/**
* @version $Id$
* @package FrontAccounting
* @copyright (C) 2005 - 2009 FrontAccounting, LLC
* @license http://www.gnu.org/copyleft/gpl-3.0.html GNU/GPL
* FrontAccounting is Free Software
*/
//
1. Changelog
------------
This is a changelog for FrontAccounting All releases.

Legend:

# -> Bug Fix
+ -> Addition
! -> Change
- -> Removed
! -> Note
$ -> Affected files

28-Feb-2011 Joe Hunt
# [0000583] Unique Reference check fails when running manual Revaluation of Currency 
$ /includes/references.inc
# When voiding Inventory Adjustment transaction, the costs are not getting adjusted.
$ /inventory/includes/db/items_adjust_db.inc
# [0000587] Converted currencies are not rounded when using Funds transfers 
$ /gl/includes/db/gl_db_bank_trans.inc
# [0000588] Inability to create recurrent invoice
$ /sales/manage/recurrent_invoices.php

25-Feb-2011 Janusz Dobrowolski
Removed dummy/service items from stock movemens/status inquiries.
$ /inventory/inquiry/stock_movements.php
  /inventory/inquiry/stock_status.php
Fixed delivery note's invoicing date description
$ /reporting/includes/doctext.inc

25-Feb-2011 Janusz Dobrowolski
Removed dummy/service items from stock movemens/status inquiries.
$ /inventory/inquiry/stock_movements.php
  /inventory/inquiry/stock_status.php
Fixed delivery note's invoicing date description
$ /reporting/includes/doctext.inc

21-Feb-2011 Janusz Dobrowolski
! Hiden warning in open_basedir/save_mode on rate retrieval.
$ /gl/includes/db/gl_db_rates.inc

18-Feb-2011 Joe Hunt
# When changing Location in Direct Cash Invoice The first Location is always chosen.
$ /sales/includes/ui/sales_order_ui.inc
  /sales/sales_order_entry.php

------------------------------- Release 2.3.2 ------------------------------------
14-Feb-2011 Joe Hunt
! Release 2.3.2
$ version.php
! A global variable in config.php, $show_voided_gl_trans = 1 shows 0 amount 
  transactions in gl inquiry and reports.
$ /config.default.php
  /gl/includes/db/gl_db_trans.inc

14-Feb-2011 Janusz Dobrowolski
# Fixed gettextized messages
$ /gl/gl_bank.php

13-Feb-2011 Janusz Dobrowolski
! Updated gettext template
$ /lang/new_language_template/LC_MESSAGES/empty.po
# Fixed invalid gettextized strings
$ /includes/packages.inc
  /gl/includes/db/gl_db_rates.inc
# Typo
$ /includes/access_levels.inc
  /admin/create_coy.php
# Fixed bug resulting in invalid postings when cash payment was selected for invoice against sales delivery.
$ /sales/customer_invoice.php
  /sales/includes/cart_class.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/ui/sales_order_ui.inc
# System settings are cached once a request.
$ /admin/db/company_db.inc
# Fixed inventory status display for items without reorder level set.
$ /inventory/includes/db/items_locations_db.inc
# Fixed error reporting in mail send method.
$ /reporting/includes/class.mail.inc
# Improved mail error handling.
$ /reporting/includes/pdf_report.inc
# Updated string handling in excel generator (reports were sometimes broken)
$ /reporting/includes/Workbook.php
# Fixed credit processing errors handling
$ /sales/customer_credit_invoice.php
! Fixed hook_invoke_all
$ /includes/hooks.inc
# [0000536] Fixed phone/email branch contact retrieval
$ /sales/includes/ui/sales_order_ui.inc
! Removed obsolete date selectors in Delivery against Order inquiry, fixed order selection.
$ /sales/inquiry/sales_orders_view.php
  /sales/includes/db/sales_order_db.inc
# Fixed bad SO reference display
$ /sales/view/view_sales_order.php

21-Jan-2011 Janusz Dobrowolski
# Sales quotations were presented in inquiry even when realized [0000498]
$ /sales/includes/sales_db.inc
  /sales/includes/db/sales_order_db.inc
! Child document preparation moved to cart class.
$ /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc

19-Jan-2011 Janusz Dobrowolski
# Fixed help link
$ /gl/accruals.php
# Cleanup
$ /includes/ui/ui_view.inc

18-Jan-2011 Janusz Dobrowolski
# Fixed accruals postings date calculation.
$ /gl/accruals.php
# Fixed add_months() result for dates near end of month.
$ /includes/date_functions.inc

18-Jan-2011 Joe Hunt
# Wrong linked credit data on invoices/credits table when view PO
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  
17-Jan-2011 Janusz Dobrowolski
# Removed sparse Add button
$ /admin/inst_module.php
# Check for qoh for supplier credit was missing.
$ /purchasing/supplier_credit.php
# Screen refresh on Update button fixed
$ /sales/customer_credit_invoice.php
# Fixed theme images location
$ /themes/aqua/renderer.php
  /themes/cool/renderer.php
  /themes/default/renderer.php
# Fixed slow sql for po related invoices/credits
$ /purchasing/includes/db/invoice_db.inc

17-Jan-2011 Joe Hunt
# [0000494] Cannot set second company pref when setup System and General GL 
$ /admin/db/company_db.inc
# {0000481] No warning when user does not supply db credentials in create_coy 
$ /admin/create_coy.php

12-Jan-2011 Janusz Dobrowolski
+ Added access extensions hook method, cleanup
$ /includes/hooks.inc
# Fixed suplier reference allowed length.
$ /purchasing/includes/ui/invoice_ui.inc
# Sparse dot.
$ /sql/alter2.3.sql
# Backward compatiblity fix in bank account limit check.
$ /gl/includes/db/gl_db_bank_accounts.inc

------------------------------- Release 2.3.1 ------------------------------------
04-Jan-2011 Joe Hunt
! Release 2.3.1
$ version.php
  /lang/new_language_template/LC_MESSAGES/empty.po

04-Jan-2011 Janusz Dobrowolski
! Database host name up to 60 chars allowed.
$ /admin/create_coy.php
  /install/index.php

31-Dec-2010 Joe Hunt
# Fixed bug in earlier invoice_db (GRN Provision should have only one row)
  Only GRN Clearring on stock items.
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
! Changed so supplier credit note items shows the invoice price/not grn price
$ /purchasing/includes/db/grn_db.inc
  /invoice_ui.inc
+ Added link for viewing GL Delivery if clearing account
$ /purchasing/po_receive_items.php
  /purchasing/po_entry_items.php
# Bug. $n undefined in /admin/gl_setup.php
$ /admin/gl_setup.php
! Added GL trans on Removal GRN items (Supp Invoice) if GRN Clearing
$ /purchasing/includes/db/invoice_db.inc
  
30-Dec-2010 Janusz Dobrowolski
+ Added option for using GRN Clearing Account for yet non invoiced GRNs.
$ /purchasing/includes/po_class.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Added GRN clearing account setting
$ /admin/gl_setup.php
! Added set_company_pref() function
$ /admin/db/company_db.inc
# JS error on focus move
$ /js/reconcile.js

29-Dec-2010 Janusz Dobrowolski
! Hook files inclusion moved to session.inc
$ /includes/hooks.inc
  /includes/session.inc
# Non-voidable transactions removed from selection on voiding page.
$ /admin/void_transaction.php
  /includes/ui/ui_lists.inc

27-Dec-2010 Joe Hunt
! Prepared for category icons in applications/application.php for themes
  To activate, set $show_menu_category_icons = 1, in config.php
$ /config.default.php
  /applications/application.php
  /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/supplier.php
  /themes/aqua/renderer.php
  /themes/aqua/images/menu_entry.png (new file)
  /themes/aqua/images/menu_inquiry.png (new file)
  /themes/aqua/images/menu_maintenance.png (new file)
  /themes/aqua/images/menu_report.png (new file)
  /themes/aqua/images/menu_settings.png (new file)
  /themes/aqua/images/menu_system.png (new file)
  /themes/aqua/images/menu_transaction.png (new file)
  /themes/aqua/images/menu_update.png (new file)
  /themes/cool/renderer.php
  /themes/cool/images/menu_entry.png (new file)
  /themes/cool/images/menu_inquiry.png (new file)
  /themes/cool/images/menu_maintenance.png (new file)
  /themes/cool/images/menu_report.png (new file)
  /themes/cool/images/menu_settings.png (new file)
  /themes/cool/images/menu_system.png (new file)
  /themes/cool/images/menu_transaction.png (new file)
  /themes/cool/images/menu_update.png (new file)
  /themes/default/renderer.php
  /themes/default/images/menu_entry.png (new file)
  /themes/default/images/menu_inquiry.png (new file)
  /themes/default/images/menu_maintenance.png (new file)
  /themes/default/images/menu_report.png (new file)
  /themes/default/images/menu_settings.png (new file)
  /themes/default/images/menu_system.png (new file)
  /themes/default/images/menu_transaction.png (new file)
  /themes/default/images/menu_update.png (new file)
  
27-Dec-2010 Janusz Dobrowolski
+ Option for allowing negative prices for dummy/service items [0000343]
$ /config.default.php
  /sales/sales_order_entry.php
# [0000356] Database errror on PO voiding.
$ /admin/db/transactions_db.inc
# [0000380] Database error during direct invoice processing in mysql strict mode.
$ /sales/includes/db/cust_trans_db.inc
! Added balance limit for payments made from cash accounts
$ /gl/gl_bank.php
  /gl/bank_transfer.php
  /gl/includes/db/gl_db_bank_accounts.inc
  /purchasing/supplier_payment.php

19-Dec-2010 Janusz Dobrowolski
# Supressed strict warnings in reporting 
$ /includes/errors.inc
# Fixed errors in tax display in purchase transactions
$ /purchasing/po_receive_items.php
  /purchasing/includes/po_class.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/po_db.inc

17-Dec-2010 Joe Hunt
# [0000304] Set locale functionality broken on Windows
$ /includes/lang/gettext.php
  /includes/packages.inc (missing include directive for hooks.inc)
# Bad test code left over, cleaning up
$ /includes/db/inventory_db.inc

16-Dec-2010 Janusz Dobrowolski
+ Added hook for session handling, fixed bug [0000315] (session fixation)
$ /includes/hooks.inc
  /includes/session.inc
# Cleanup on add_quick_entry() qid parameter added
$ /gl/includes/db/gl_db_bank_accounts.inc
# Could not change quick entry base amount description
$ /gl/manage/gl_quick_entries.php
# Fixed error handling
$ /includes/ui/items_cart.inc
# Fixed get_gl_trans_from_to return type
$ /gl/includes/db/gl_db_trans.inc

15-Dec-2010 Janusz Dobrowolski
+ Added Georgian installer wizard translation by Giorgi Natsvlishvili
$ /install/isession.inc
  /install/lang/it_IT/LC_MESSAGES/ka_GE.mo (new)
  /install/lang/it_IT/LC_MESSAGES/ka_GE.po (new)
# Nonprintable CR filtered out from pdf texts.
$ /reporting/includes/pdf_report.inc

13-Dec-2010 Joe Hunt
! Dispaly group no in Balance Sheet/Profit Loss Drilldown.
$ /gl/inquiry/balance_sheep.php
  /gl/inquiry/profit_loss.php
  
12-Dec-2010 Joe Hunt
# Removed Timezone warnings
$ /config.default.php
  /includes/date_functions.inc
  
12-Dec-2010 Janusz Dobrowolski
# [0000318] Database error after last changes related to bug 313
$ /purchasing/includes/ui/po_ui.inc

------------------------------- Release 2.3.0 ------------------------------------
09-Dec-2010 Joe Hunt
! Release 2.3.0
$ version.php

08-Dec-2010 Janusz Dobrowolski
+ Debug backtace on all errors when go_debug is set to 2
$ /includes/errors.inc
  /includes/ui/ui_msgs.inc
  /includes/ui/ui_view.inc
+ Added SetFontSize method
$ /reporting/includes/excel_report.inc
# Fixedsql assembly in gl_account_types.
  /gl/includes/db/gl_db_account_types.inc
# [0000312] Prevented directory traversal (by Mithy)
$ /admin/display_prefs.php
  /admin/attachments.php
  /admin/company_preferences.php
# [0000314] Fixed session fixation vulnerabilities
  /includes/session.inc
# [0000313] Fixed SQL injection vulerabilities (by Mithy)
$ /dimensions/includes/dimensions_db.inc
  /includes/banking.inc
  /includes/data_checks.inc
  /includes/systypes.inc
  /purchasing/includes/ui/po_ui.inc
  /reporting/includes/header2.inc
  /sales/includes/sales_db.inc
  /sales/includes/ui/sales_order_ui.inc
! Updated gettext template
$ /lang/new_language_template/LC_MESSAGES/empty.po

08-Dec-2010 Janusz Dobrowolski
# Added errors.inc inclusion
$ /install/isession.inc

07-Dec-2010 Janusz Dobrowolski
# Missing tags argument in display_type call
$ /reporting/rep705.php
# [0000301] Voided transactions should no be presented in gl inquiry
$ /gl/includes/db/gl_db_trans.inc
# [0000306] Fixed upload file name test by Mithy
$ /admin/backups.php
# Fixed multiply warnings and error handling on PHP 5.3
  /config.default.php
  /reporting/includes/class.pdf.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/tcpdf.php
# Added missing hooks class methods placeholders
$ /includes/hooks.inc
# Improved error handling
$ /admin/inst_module.php
  /includes/main.inc
  /includes/session.inc
  /includes/errors.inc

03-Dec-2010 Janusz Dobrowolski
# Fixed company prefs refresh after upgrade/restore
$ /admin/inst_upgrade.php
  /admin/backups.php
  /admin/db/company_db.inc
! Improved readibility in COA report.
$ /reporting/rep701.php
! Added core translation support for modules
$ /includes/hooks.inc
  /includes/lang/gettext.php
! Cleanup.
$ /includes/ui/ui_lists.inc
  /sales/includes/ui/sales_order_ui.inc

03-Dec-2010 Joe Hunt
+ Creating a warning when opening balance in trial balance is not in balance,
  and a probably cause of that.
$ /gl/inquiry/gl_trial_balance.php
  /reporting/rep708.php
! Fixing year closure for earlier fiscal years. en_US-demo.sql
$ /sql/en_US-demo.sql
  
02-Dec-2010 Joe Hunt
# When deleting a fiscal year, the open balances should share the same trans no.
$ /admin/db/fiscalyear_db.inc
! Changed so it is not possible to select a from date bigger than fiscal year end in trial balance.
$ /gl/inquiry/gl_trial_balance.php

01-Dec-2010 Joe Hunt
! Better test for correct balance accounts when closing fiscal year.
$ /admin/db/fiscalyear_db.inc

29-Nov-2010 Janusz Dobrowolski
# [0000290] Fixed side bug after last changes (can't upload file).
$ /admin/backups.php
# [0000289] Duplicated records in void/view/print transaction pager
$ /admin/db/transactions_db.inc

28-Nov-2010 Janusz Dobrowolski
+ Transaction name shortcuts added
$ /includes/sysnames.inc
  /reporting/includes/reports_classes.inc
+ Added Italian installer wizard translation by Paolo Ardoino
$ /install/isession.inc
  /install/lang/it_IT/LC_MESSAGES/it_IT.mo (new)
  /install/lang/it_IT/LC_MESSAGES/it_IT.po (new)

28-Nov-2010 Joe Hunt
- Removed possibility to use bank account in Direct Invoice. This
  was an old method for handling Cash Payment. We now have better options.
$ /sales/includes/db/sales_invoice_db.inc
  /sales/manage/customer_branches.php

26-Nov-2010 Janusz Dobrowolski
! [0000282] Improved reports menu display.
$ /js/inserts.js
  /js/utils.js
  /js/reports.js (new)
  /reporting/reports_main.php
  /reporting/includes/reports_classes.inc
# [0000283] Fixed potential vulnerability (Mithy)
$ /admin/db/security_db.inc
# Fixed hotkeys support.
$ /js/inserts.js
# [0000285] Errors/warning due to obsolete code
$ /reporting/rep109.php
# Fixed tabs switching
$ /sales/manage/customer_branches.php

23-Nov-2010 Janusz Dobrowolski
# [0000281] Filename input sanitization (Mithy)
$ /admin/attachments.php
  /includes/main.inc
  /admin/db/maintenance_db.inc
# Fixed sql file view, sanitization.
$ /admin/backups.php
# Fixed period type display.
$ /gl/manage/gl_quick_entries.php
# Fixed errors disay in included files
$ /includes/hooks.inc

22-Nov-2010 Janusz Dobrowolski
+ Rewritten third party module installation according to extended hooks system.
$ /admin/inst_module.php
! Tabs/menu/roles extensions moved to module hooks file, added install/uninstall hooks.
$ /includes/packages.inc
  /includes/access_levels.inc
  /sql/alter2.3.php
! check_table() helper moved.
$ /admin/inst_upgrade.php
  /admin/db/maintenance_db.inc
! Integration of hooks provided by extensions.
$ /includes/hooks.inc
  /includes/session.inc
! Hooks for tabs/menu options added.
  /frontaccounting.php
  /applications/application.php
! Small cleanup.
$ /includes/main.inc
! Fixed long timeout on localhost repo.
$ /includes/remote_url.inc
! [0000279] Fixed input sanitization by Mithy.
$ /reporting/prn_redirect.php
  /.htaccess
# [0000280] Fixed parameter sanitization in get_company_extensions() by Mithy.
$ /admin/db/company_db.inc
# Fixed db_close() helper.
$ /includes/db/connect_db.inc
# Fixed bug in update_person_contact()
$ /includes/db/crm_contacts_db.inc
# Fixed bug in exrate return
$ /gl/includes/db/gl_db_rates.inc
# Item type display incorrect after change saving
$ /inventory/manage/items.php

18-Nov-2010 Janusz Dobrowolski
! Updated including exclusive theme messages
$ /lang/new_language_template/LC_MESSAGES/empty.po
+ Added Spanish (Mexican) installer wizard translation by Julio C. Perea Pastrana
$ /install/isession.inc
  /install/lang/es_MX/LC_MESSAGES/es_MX.po (new)
  /install/lang/es_MX/LC_MESSAGES/es_MX.mo (new)

18-Nov-2010 Joe Hunt
# Could not enter a year before other years (removed readonly begin)
  and better check for first end year.
$ /adminfiscalyears.php
  /admin/db/fiscalyears_db.inc
  
! Scrambled graphic images to avoid unwanted downloads.
$ /reporting/rep102.php
  /reporting/rep202.php
  /reporting/rep706.php
  /reporting/rep707.php
  
16-Nov-2010 Joe Hunt
# Minor change in class.graphic.inc
$ /reporting/includes/class.graphic.inc
! Added Work Order Entry menu link after Sales Order issue.
$ /sales/sales_order_entry.php

15-Nov-2010 Janusz Dobrowolski
# Fixed date legend on po/grn/invoice
$ /purchasing/includes/ui/po_ui.inc
# Fixed text encoding in graphics
$ /reporting/includes/class.graphic.inc
! Default font for graphics changed from Vera to LiberationSans-Regular
$ /reporting/fonts/LiberationSans-Regular.ttf (new)
  /reporting/fonts/Vera.ttf (removed)
  /reporting/includes/class.graphic.inc
  /reporting/rep102.php
  /reporting/rep202.php
  /reporting/rep706.php
  /reporting/rep707.php

13-Nov-2010 Janusz Dobrowolski
+ New hooks system added
$ /includes/hooks.inc (new)
  /includes/session.inc
  /lang/new_language_template/locale.inc
! Old hooks converted to new hooks API
$ /gl/includes/db/gl_db_rates.inc
  /includes/ui/ui_view.inc
  /reporting/rep709.php
+ Added transaction db_write/db_void hooks
$ /gl/includes/db/gl_db_banking.inc
  /inventory/includes/db/items_adjust_db.inc
  /inventory/includes/db/items_transfer_db.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /purchasing/po_entry_items.php
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_order_db.inc

12-Nov-2010 Janusz Dobrowolski
# Added missing due date on direct purchase invoice.
$ /purchasing/po_entry_items.php
  /purchasing/includes/po_class.inc
  /purchasing/includes/supp_trans_class.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
# Fixed maximum name length
$ /inventory/manage/items.php
# Fixed a couple of edition ui bugs
$ /gl/manage/gl_quick_entries.php
+ Added db_close() for optional  use
$ /includes/db/connect_db.inc

11-Nov-2010 Janusz Dobrowolski
# Fixed sql_gen for multiply extra where clauses
$ /includes/db_pager.inc
# Fixed implode injection vulnerabilities.
$ /includes/db/crm_contacts_db.inc
  /sales/includes/db/cust_trans_details_db.inc

10-Nov-2010 Janusz Dobrowolski
# Additional fix for setting local_path_to_root in find_custom_file()
$ /includes/main.inc
# Removed related report class when company does not use dimensions
$ /reporting/includes/report_classes.inc

09-Nov-2010 Joe Hunt
! [0000277] Changed so FA suggest the next begin day in new Fiscal Year (read only).
  But only if there are any fiscal years before. Otherwise it is normal.
$ /admin/db/fiscalyears_db.inc
  /admin/fiscalyears.php

09-Nov-2010 Janusz Dobrowolski
# Session destroy added on install finish, fixed pasword/admin login update, also [0000273].
$ /install/index.php

08-Nov-2010 Janusz Dobrowolski
# Fixed support for report translations in extension modules
$ /includes/main.inc
  /reporting/includes/class.pdf.inc

07-Nov-2010 Janusz Dobrowolski
! Separate class for view and print/email links (also fixes conflict with confirmation dialog)
$ /includes/ui/ui_controls.inc
! Cleanup
  /reporting/rep107.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep209.php
  /reporting/rep210.php
  /reporting/rep409.php
  /reporting/includes/pdf_report.inc
# Fixed multipart mail structure
$ /reporting/includes/class.mail.inc
# Enabled javascript updates on ajax _page_body refresh
$ /includes/ajax.inc
! Added validation hook on buttons
$ /js/inserts.js

06-Nov-2010 Janusz Dobrowolski
# [0000274] Contact edition failed after last security fixes in RC2
$ /includes/session.inc
! Rearanged contacts edition
$ /includes/db/crm_contacts_db.inc
  /includes/ui/contacts_view.inc
  /sales/includes/db/branches_db.inc
+ Helpers for js confirmation dialog before data entry is abandoned
$ /includes/ui/ui_controls.inc
  /js/inserts.js
  /themes/aqua/renderer.php
  /themes/cool/renderer.php
  /themes/default/renderer.php
# Confirmation dialog added before transaction entry is abandoned.
$ /sales/sales_order_entry.php
  /sales/includes/sales_ui.inc

05-Nov-2010 Janusz Dobrowolski
# [0000276] Fixed admin username update and error when no prefix is selected in installer.
$ /install/index.php

04-Nov-2010 Janusz Dobrowolski
# Fixed broken excel reports for non-latin encodings.
$ /reporting/includes/Workbook.php

03-Nov-2010 Janusz Dobrowolski
# More corrections in cleanup for input
$ /includes/session.inc

02-Nov-2010 Joe Hunt
# Report Customer Details didn't show up correctly in Excel
$ /reporting/rep103.php

30-Oct-2010 Janusz Dobrowolski
! Added group code in account groups list selector.
$ /includes/ui/ui_lists.inc
! Normalized add_domain() parameters in native/ohpgettext classes
$ /includes/lang/gettext.php
! submit_js_confirm() fixed to be used also on buttons uploaded with ajax.
$ /includes/ui/ui_input.inc
# Validation code was skipped when Esc/ctrlEnter hotkeys used
$ /js/inserts.js
# Fixed reference display in credit note edition.
$ /sales/includes/ui/sales_credit_ui.inc

29-Oct-2010 Janusz Dobrowolski
# [0000275] Fixed cleanup for input arrays 
$ /includes/session.inc

28-Oct-2010 Janusz Dobrowolski
! All mysql specific functions moved to connect_db.inc
$ /admin/inst_theme.php
  /admin/db/maintenance_db.inc
  /includes/current_user.inc
  /includes/db_pager.inc
  /includes/db/connect_db.inc
  /install/index.php
# Fixed mailing problems under PHP with Suhoshin patch (Michael Hahn)
$ /reporting/includes/class.mail.inc
# Fixed db error on freehand credit invoice reedition.
$ /sales/includes/cart_class.inc

------------------------------- Release 2.3 RC3 --------------------------------
26-Oct-2010 Janusz Dobrowolski
! Release 2.3RC3
$ version.php
# Small fix to tabbed_content behaviour.
$ /includes/ui/ui_controls.inc
# Fixed installer (error in sys_prefs update)
$ /install/index.php

26-Oct-2010 Joe Hunt
# 0000272: Manufacturing Bugs. Issue GL items moved to wo_work_order_issues.inc
$ /manufacturing/includes/db/work_orders_quick_db.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items.inc
! Layout improvements in work order inquiry and various work order forms
$ /manufacturing/search_work_orders.php
  /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_costs.php
  /manufacturing/work_order_issue.php
  /manufacturing/work_order_release.php
  /includes/ui/view_package.php
  
22-Oct-2010 Janusz Dobrowolski
+ Added greek installer translation by Kyriakos Tsoukalas
$ /install/isession.inc
  /install/lang/el_GR/LC_MESSAGES/el_GR.mo
  /install/lang/el_GR/LC_MESSAGES/el_GR.po
# Fixed sql init for manual modules.
$ /admin/inst_module.php
# Old package version was not uninstalled on upgrade.
$ /includes/packages.inc

21-Oct-2010 Joe Hunt
+ Added credit info in supplier invoice and supplier credit note.
$ /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/supp_trans_class.inc
  
21-Oct-2010 Janusz Dobrowolski
! Optimized bank transaction edition code, [0000270] invalid next reference update in journal/bank trans
$ /gl/gl_bank.php
  /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_banking.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/db/supp_trans_db.inc
! Code cleanups
$ /includes/main.inc
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /includes/references.inc
  /includes/db/references_db.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/journal_inquiry.php
# Bad amount sign for amount
  /gl/view/gl_payment_view.php
# Additonal sql parameters sanitization against SQLI attacks
$ /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/journal_inquiry.php
  /includes/date_functions.inc
  /includes/references.inc
  /includes/ui/ui_lists.inc
  /purchasing/includes/db/suppalloc_db.inc
  /sales/includes/db/custalloc_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/sales_order_db.inc
# Added global input cleanup against reflected XSS attacks
$ /includes/session.inc

19-Oct-2010 Janusz Dobrowolski
! Accounts list compares keypresses to starting fragment of GL code (combo3)
$ /includes/ui/ui_lists.inc
  /js/inserts.js

17-Oct-2010 Joe Hunt
! Changed Inventory Sales Report to use average cost by actual trans dates if non zero
$ /reporting/rep304.php

16-Oct-2010 Joe Hunt
! [0000266] Added dimension selections in Profit Loss and Balance drilldown and Trial Balance
$ /gl/inquiry/balance_sheet.php
  /gl/inquiry/gl_trial_balance.php
  /gl/inquiry/profit_loss.php

15-Oct-2010 Joe Hunt
# [0000263] Customer Credit Note didn't update units when shifting items.
$ /sales/includes/ui/sales_credit_ui.inc
! [0000265] Changed Report List of Journal Entries to include balances.
$ /reporting/rep702.php

14-Oct-2010 Joe Hunt
# Check for empty class ID and better test for type/account id/name.
$ /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php
 
13-Oct-2010 Janusz Dobrowolski
! Added inline company switching with set_global_connection()
$ /admin/inst_upgrade.php
  /includes/current_user.inc
  /includes/errors.inc
  /includes/db/connect_db.inc
! Warning instead of fatal error when sales_orders table contains invalid records
$ /sales/includes/db/sales_order_db.inc
# Fixed document totals update
$ /sql/alter2.3.php
# Fixed cash payment terms definition
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql

12-Oct-2010 Janusz Dobrowolski
# Upgrade failed when MySQL run in strict mode.
$ /sql/alter2.3.sql

------------------------------- Release 2.3 RC2 --------------------------------
! Release 2.3RC2
11-Oct-2010 Joe Hunt
$ version.php
  update.html

11-Oct-2010 Janusz Dobrowolski
+ Added document reference display in cust/supp payments
$ /includes/ui/allocation_cart.inc
! Added payment terms categories
$ /includes/types.inc
! Added terms category parameter to sale_payment_list
$ /includes/ui/ui_lists.inc
  /sales/customer_invoice.php
! Allowed full edition of bank account if not used yet
$ /gl/manage/bank_accounts.php
# Fixed point of sale handling and terms selection.
$ /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/ui/sales_order_ui.inc
! Payment terms in so/si view
$ /sales/view/view_invoice.php
  /sales/view/view_sales_order.php
! Updated po template file
$ /lang/new_language_template/LC_MESSAGES/empty.po

10-Oct-2010 Joe Hunt
# Master bug in class supp_trans get_items_total. Minor bug in gl_db_trans.inc
  Wrong tax report and wrong supp trans/gl records with gl item lines.
  Fixing tax_included in gl_items. Layout improvements.
$ /purchasing/includes/supp_trans_class.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/view/view_supp_credit.php
  /gl/includes/db/gl_db_trans.inc

06-Oct-2010 Janusz Dobrowolski
# Fixed gettext for extension links.
$ /reporting/includes/reports_classes.inc
! Added helper for gettext domain switching
$ /includes/lang/gettext.php
  /applications/application.php
  /frontaccounting.php

06-Oct-2010 Joe Hunt
! Option for saving report selections ($save_report_selections > 0 in config.php means days to save)
$ /reporting/includes/reports_classes.inc
  /reporting/prn_redirect.php
  config.default.php
# Excel reports were missing their headers (due to change in report system).
$ /reporting/includes/excel_report.inc
# [0000259] Item prices not transferring when using kit codes 
$ /sales/includes/sales_db.inc

05-Oct-2010 Jusz Dobrowolski
# [0000258] Broken src_id fields after sales document edition.
$ /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc

05-Oct-2010 Joe Hunt
# [00000257] Bad Layout in sales order inquiry etc. (long item descriptions)
$ /sales/inquiry/sales_orders_view.php
  /sales/inquiry/sales_deliveries_view.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /inventory/inquiry/stock_movements.php
  /gl/inquiry/gl_account_inquiry.php
! Other layour improvements
  /admin/fiscalyears.php
  /taxes/tax_groups.php
  /taxes/tax_types.php
  
05-Oct-2010 Janusz Dobrowolski
# Fixed contact type for language selection
$ reporting/rep107.php
# Fixed language file selection
$ reporting/includes/class.pdf.inc

04-Oct-2010 Janusz Dobrowolski
# [0000252] Error during credit invoice processing for already allocated sales invoice.
$ /sales/includes/db/custalloc_db.inc

04-Oct-2010 Joe Hunt
# Dimension Report doesn't show up with correct references
$ /reporting/rep501.php

01-Oct-2010 Janusz Dobrowolski/Scott
+ Added chinese simplified installation wizard translation.
$ /install/isession.inc
  /install/lang/de_DE/LC_MESSAGES/zh_CN.mo (new)
  /install/lang/de_DE/LC_MESSAGES/zh_CN.po (new)
# Added missing GL/sql messages.
$ /lang/new_language_template/LC_MESSAGES/empty.po

28-Sep-2010 Janusz Dobrowolski
# Reference should be updated after SO edition
$ /sales/includes/db/sales_order_db.inc
# [0000250] Reference update should not change next reference.
$ /includes/references.inc
# Division by zero error in graphics (Joe Hunt)
$ /reporting/includes/class.graphic.inc
# Fixed missing gettext calls
$ /gl/inquiry/gl_account_inquiry.php
  /purchasing/manage/suppliers.php
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
# Fixed warning on multiply extension access file include
$ /includes/access_levels.inc
! Updated po tempate 
$ /lang/new_language_template/LC_MESSAGES/empty.po

27-Sep-2010 Janusz Dobrowolski
! Alowed optional path for $icon parameter in set_icon helper
$ /includes/ui/ui_input.inc
! pageNumber property of TCPDF class made publicly accesible 
$ /reporting/includes/fpdi/fpdi2tcpdf_bridge.php

23-Sep-2010 Janusz Dobrowolski
# Fixed focus behaviour
$ /includes/ajax.inc
+ Additional debug logging helper.
$ /includes/ui/ui_view.inc
# Fixed gettext for extension menu options.
$ /applications/application.php

22-Sep-2010 Janusz Dobrowolski
# Fixed delivery address printing in pdf documents.
$ /reporting/includes/header2.inc

20-Sep-2010 Janusz Dobrowolski
# Fixed third party  module installation.
$ /admin/inst_module.php

17-Sep-2010 Janusz Dobrowolski
+ [0000248] External url reading made independent of php configuration.
$ /gl/includes/db/gl_db_rates.inc
  /includes/packages.inc
  /includes/remote_url.inc (new)
# Fixed custom reports includes issue.
$ /includes/main.inc
  /reporting/prn_redirect.php
# Warning fixed
$ /includes/archive.inc

13-Sep-2010 Joe Hunt/Chaitanya
! Improved information in Bank Transfers.
$ /gl/includes/db/gl_db_banking.inc

11-Sep-2010 Janusz Dobrowolski
# Uniqueness moved from name to debtor_ref key in debtors_master
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql

10-Sep-2010 Joe Hunt
! Layout improvements
$ /gl/inquiry/gl_account_inquiry.php
  /includes/ui/contacts_view.inc
  /includes/ui/ui_view.inc
  /manufacturing/manage/bom_edit.php

09-Sep-2010 Janusz Dobrowolski
# Missing focus on sales entry page
$ /sales/includes/ui/sales_order_ui.inc
# Invalid user table name 
$ /sql/alter2.3rc.sql

08-Sep-2010 Joe Hunt
# Material cost updated when buying service items. Resulted in double COGS booking.
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /sales/includes/db/sales_delivery_db.inc
! Layout improvements in accruals.php
$ /gl/accruals.php

------------------------------- Release 2.3 RC1 --------------------------------
07-Sep-2010 Janusz Dobrowolski
! Release 2.3 RC1
$ version.php
# Ugly bug in formating numbers
$ /js/utils.js

07-Sep-2010 Joe Hunt/Chaitanya
! Removed all decimal roundings in cost price calculations
$ /purchasing/includes/db/grn_db.inc
  /manufacturing/includes/db/work_orders_db.inc

06-Sep-2010 Janusz Dobrowolski
# [0000247] Fixed error on new contact add.
$ /includes/ui/contacts_view.inc
# Fixed crud editor mode passing.
$ /includes/ui/simple_crud_class.inc

------------------------------- Release 2.3 RC --------------------------------
05-Sep-2010 Joe Hunt
! Release 2.3 RC
$ version.php
# Wrong stock item gl code when processing supplier invoice
$ /purchasing/includes/db/invoice_db.inc
! Changed layout of Direct GRN/Invoice form and check for supp ref in invoice.
$ /purchasing/po_entry_items.php

04-Sep-2010 Joe Hunt
# Fixed installed_extensions.php creation
$ /install/index.php
# Page blocked during FA upgrade
$ /sales/sales_order_entry.php
# Fixed languages update
$ /sql/alter2.3.php
! Shorter line comments
$ /install/lang/new_language_template/LC_MESSAGES/empty.po

03-Sep-2010 Joe Hunt
+ Added possibility to put dimensions on Delivery from sales order
$ /sales/customer_delivery.php
  /sales/customer_invoice.php
! Changed update.html to be more readable
$ update.html

02-Sep-2010 Janusz Dobrowolski
# Preprinted forms folder moved to /reporting where it should be
$ /reporting/forms
  /reporting/forms/index.php

29-Aug-2010 Janusz Dobrowolski
# Fixed maxprec option in number_format2
$ /includes/current_user.inc
# Missing tags parameter in display_type call
$ /reporting/rep706.php
  /reporting/rep707.php

25-Aug-2010 Janusz Dobrowolski
+ Added taxes display for sales order/quotation
$ /sales/includes/cart_class.inc
  /sales/view/view_sales_order.php
  /reporting/rep109.php

24-Aug-2010 Joe Hunt
# Removed old headerfunc in rep111.php (Sales Quotation)
$ /reporting/rep111.php

23-Aug-2010 Janusz Dobrowolski
+ Added german translation for install wizard (thanks to iscongroup) 
$ /install/isession.inc
  /install/lang/de_DE/LC_MESSAGES/de_DE.mo (new)
  /install/lang/de_DE/LC_MESSAGES/de_DE.po (new)
# Small fix in layout
$ /gl/manage/exchange_rates.php
# Fixed maxprec formatting
$ /includes/current_user.inc
  /js/utils.js
# Fixed cogs account selection
$ /purchasing/includes/db/invoice_db.inc
# Fixed tax_included option update.
$ /purchasing/manage/suppliers.php

23-Aug-2010 Joe Hunt
# Period bug caused warning on no fiscal year. Had to be reduces by one.
$ /gl/accruals.php

22-Aug-2010 Janusz Dobrowolski
+ Extended number formatting to allow maximum precision numbers with 'max' specifier. 
  /includes/current_user.inc
  /js/utils.js
+ Added purchase account special option for using item's account
$ /purchasing/manage/suppliers.php
# Fixed default 'C' locale in listing
$ /admin/inst_lang.php
# Fixed mysql extension test
$ /includes/system_tests.inc
# Fixed exrate reedition
$ /gl/manage/exchange_rates.php
# Maximum precision for factor entry
$ /inventory/purchasing_data.php
# Fixed backward compatibility for cogs GL account setup
$ /purchasing/includes/db/invoice_db.inc
! Fixed GL account selection on first display
$ /purchasing/includes/ui/invoice_ui.inc
# Fixed bug in lang update, changed purchase account for suppliers to default.
$ /sql/alter2.3rc.sql
  /sql/en_US-demo.sql

20-Aug-2010 Joe Hunt/Chaitanya
+ Improvements to bank inquiry credit/debit totals as well.
$ /gl/inquiry/bank_inquiry.php

18-Aug-2010 Joe Hunt
# View of backup scripts and attachments didn't work
$ /admin/attachments.php
  /admin/backups.php
  /admin/db/attachments_db.inc
! Added more memo info in advanced manufacture / Chaitanya
$ /manufacturing/includes/db/work_orders_quick_db.inc
! Added total debit/credit in gl_trans_view.inc / Chaitanya
$ /gl/view/gl_trans_view.php

13-Aug-2010 Joe Hunt/infotechaccountant.com
+ Added arabic translation for install wizard (thanks to Hameed, infotechaccountants)
$ /install/lang/ar_EG/LC_MESSAGES/ar_EG.mo (new)
  /install/lang/ar_EG/LC_MESSAGES/ar_EG.po (new)
  /install/isession.inc

13-Aug-2010 Janusz Dobrowolski
# Updated pt_BR instaler translation
$ /install/lang/pt_BR/LC_MESSAGES/pt_BR.mo
  /install/lang/pt_BR/LC_MESSAGES/pt_BR.po
# Fixed mysql extension test
$ /includes/system_tests.inc

12-Aug-2010 Janusz Dobrowolski
# [0000242] Database error during credit note processing.
$ /sales/includes/db/sales_credit_db.inc

11-Aug-2010 Janusz Dobrowolski
+ Added dutch translation for install wizard (thanks to MorkVonOrk) 
$ /install/isession.inc
  /install/lang/nl_BE/LC_MESSAGES/nl_BE.mo (new)
  /install/lang/nl_BE/LC_MESSAGES/nl_BE.po (new)
+ Added portuguese (Brasil) translation for install wizard (thanks to InterConnect Brasil)
$ /install/isession.inc
  /install/lang/pt_BR/LC_MESSAGES/pt_BR.mo (new)
  /install/lang/pt_BR/LC_MESSAGES/pt_BR.po (new)
# Fixed two typos in translated messages.
$ /includes/system_tests.inc
  /install/lang/da_DK/LC_MESSAGES/da_DK.mo
  /install/lang/da_DK/LC_MESSAGES/da_DK.po
  /install/lang/fr_FR/LC_MESSAGES/fr_FR.mo
  /install/lang/fr_FR/LC_MESSAGES/fr_FR.po
  /install/lang/id_ID/LC_MESSAGES/id_ID.mo
  /install/lang/id_ID/LC_MESSAGES/id_ID.po
  /install/lang/new_language_template/LC_MESSAGES/empty.po
  /install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
  /install/lang/pl_PL/LC_MESSAGES/pl_PL.po
  /install/lang/sv_SE/LC_MESSAGES/sv_SE.mo
  /install/lang/sv_SE/LC_MESSAGES/sv_SE.po
  /lang/new_language_template/LC_MESSAGES/empty.po

10-Aug-2010 Janusz Dobrowolski
# Fixed tests or fresh new install
$ /includes/system_tests.inc
! Warning cleanups
$ /includes/ajax.inc
  /includes/lang/language.php

09-Aug-2010 Janusz Dobrowolski
+ Added French translation (thanks to Gaston)
$ /install/isession.inc
  /install/lang/fr_FR/LC_MESSAGES/fr_FR.mo
  /install/lang/fr_FR/LC_MESSAGES/fr_FR.po
+ Added Indonesian translation (thanks to Eko Prasetiyo)
$ /install/isession.inc
  /install/lang/id_ID/LC_MESSAGES/id_ID.mo
  /install/lang/id_ID/LC_MESSAGES/id_ID.po
# Warning in installer cleanup
$ /includes/ajax.inc
# Subpage display title update on lang switching
$ /install/index.php

08-Aug-2010 Janusz Dobrowolski
+ Multilangage support in installer
$ /install/lang (new)
  /install/lang/new_language_template/LC_MESSAGES (new)
  /install/lang/new_language_template/LC_MESSAGES/empty.po (new)
  /install/index.php
  /install/isession.inc
+ Added Polish installer translation
$ /install/lang/pl_PL (new)
  /install/lang/pl_PL/LC_MESSAGES (new)
  /install/lang/pl_PL/LC_MESSAGES/pl_PL.po (new)
  /install/lang/pl_PL/LC_MESSAGES/pl_PL.mo (new)
+ Added Danish/Svedish installer translation (Joe Hunt)
$ /install/lang/da_DK (new)
  /install/lang/da_DK/LC_MESSAGES (new)
  /install/lang/da_DK/LC_MESSAGES/da_DK.po (new)
  /install/lang/da_DK/LC_MESSAGES/da_DK.mo (new)
$ /install/lang/sv_SE (new)
  /install/lang/sv_SE/LC_MESSAGES (new)
  /install/lang/sv_SE/LC_MESSAGES/sv_SE.po (new)
  /install/lang/sv_SE/LC_MESSAGES/sv_SE.mo (new)
  
! Updated language template
$ /lang/new_language_template/LC_MESSAGES/empty.po

07-Aug-2010 Janusz Dobrowolski
+ Added langauges selection in installer.
$ /install/index.php
! Testing config_db on start
$ /index.php
# Side bug fixed.
$ /applications/setup.php
! Default language code changed form 'en_GB' to 'C'
$ /admin/inst_lang.php
  /includes/system_tests.inc
  /includes/lang/gettext.php
  /includes/lang/language.php
  /sql/alter2.3rc.sql
  /sql/alter2.3.php
  /sql/en_US-demo.sql
! Cleanup.
$ /includes/archive.inc
! Additional error messages
$ /includes/packages.inc
! Added descriptions for all existing hooks
$ /lang/new_language_template/locale.inc
! Changed hook name from TaxFunction to tax_report_done
$ /reporting/rep709.php

07-Aut-2010 Joe Hunt
# Stamping the installed_languags.inc file with 'rtl' = false, causes 'rtl'.
  The value: 'rtl' = false will make the variable as isset.
$ /includes/lang/languages.php
  /includes/session.inc
  /admin/inst_lang.php

06-Aug-2010 Janusz Dobrowolski
# Fixed page title
$ /gl/gl_bank.php
# Fixed memo dupliactaion after bank payment edition.
$ /gl/includes/db/gl_db_bank_trans.inc
! Cleanup.
$ /install/index.php
! Improved chart list selection.
$ /includes/ui/ui_lists.inc
+ Added Chart of accounts installation.
$ /admin/inst_chart.php (new)
  /applications/setup.php
# Fixed third-party extension installation
$ /admin/inst_module.php
# Fixed theme description popup.
$ /admin/inst_theme.php
! Added optional type parameter in get_extensions_list()
$ /includes/packages.inc
+ Added encoding display for chart packages list
$ /install/index.php
# Fixed multiline package property values display.
$ /includes/ui/view_package.php

06-Aug-2010 Joe Hunt
# Bank Payment on customer statements shows in credit column, should be debit. Balance ok.
$ /reporting/rep108.php

04-Aug-2010 Janusz Dobrowolski
+ Rewritten installation wizard, uploading additional COAs form repository during install
  /install/index.php
  /install/stylesheet.css
  /install/isession.inc (new)
  /install/save.php (removed)
! COAs selected from previously uploaded charts.
$ /admin/create_coy.php
! Diagnostic tests moved to separate file, to be reused during FA install.
$ /includes/system_tests.inc (new)
  /admin/system_diagnostics.php
! user_theme fixed to be used before login, and warning suppressed in array_search_value 
$ /includes/current_user.inc
# Fixed bug in check_write() helper
$ /includes/main.inc
! Changed core_version to db_version for better readibility
$ /admin/db/company_db.inc
  /sql/alter2.3.php
  /version.php
+ Chart packages support added
$ /includes/packages.inc
  /includes/ui/ui_lists.inc
! Update from beta to RC1
$ /sql/alter2.3rc.sql (new)
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
# Fixed exit on error in check_db_error()
$ /includes/errors.inc
! Added css parameter in page();
$ /includes/page/header.inc
  /includes/main.inc
! Changed repository parameteres format.
$ /version.php
! Cleanup
$ /admin/inst_lang.php

04-Aug-2010 Joe Hunt
+ Added an extra parameter to db_export in maintenance_db.inc for new COAs
$ /admin/db/maintenance_db.inc
# Link error in items.php for Pictures
$ /inventory/manage/items.php

01-Aug-2010 Joe Hunt
+ Added Email link when updating documents.
$ /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_invoice.php
  
30-Jul-2010 Janusz Dobrowolski
! Skipping hidden files in sql folder during upgrade.
$ /admin/inst_upgrade.php
# Warning cleanup
$ /includes/lang/language.php
# Bug in src document lines retrieval during edition 
$ /sales/includes/cart_class.inc
! Fixing extensions configuration moved to installed() method.
$ /sql/alter2.3.php

26-Jul-2010 Janusz Dobrowolski
# Fatal typo in upgrade function fixed.
$ /sql/alter2.3.php

25-Jul-2010 Janusz Dobrowolski
# Fixed language file switching on package version change
  /admin/db/company_db.inc
  /includes/session.inc
  /includes/lang/language.php
  /includes/current_user.inc
! flush_dir() and company_path() moved to current_user.php 
$  /includes/main.inc
+ Added preprinted forms folder
$ /reporting/includes/forms (new)
  /reporting/includes/forms/index.php
# Fixed multilanguage tests 
$ /admin/system_diagnostics.php
  /includes/lang/gettext.php
# Fixed config comments
$ /admin/db/maintenance_db.inc
! Cleanup.
$ /includes/packages.inc
# Fixed installed_languages config file upgrade.
$ /sql/alter2.3.php

24-Jul-2010 Janusz Dobrowolski
# Upgrade routines for extensions configuration
  /sql/alter2.3.php
# Cleanup
$ /admin/inst_module.php
  /includes/current_user.inc
  /includes/packages.inc

24-Jul-2010 Joe Hunt
! Changed so Purchase Order also print taxes.
$ /reporting/rep209.php
  /reporting/doctype.inc
# Fixed Customer Details Report and Pricelist (UOM)
$ /reporting/rep103.php
  /reporting/rep104.php
  
23-Jul-2010 Janusz Dobrowolski
+ Added tax information display
  /purchasing/view/view_grn.php
  /purchasing/view/view_po.php
+ Added option for tax included prices.
$ /purchasing/includes/db/suppliers_db.inc
  /purchasing/manage/suppliers.php
+ Added support for transactions with tax included prices
$ /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/includes/po_class.inc
  /purchasing/includes/supp_trans_class.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
+ Added GRNs to supplier transaction inquiry
  /purchasing/inquiry/supplier_inquiry.php
! Added upgrade from 2.3beta to 2.3RC
  /sql/alter2.3.php
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Versions information moved to separate file.
$ /version.php (new) 
  /config.default.php
  /includes/session.inc
! Fixed item list buttons position.
$ /sales/includes/ui/sales_order_ui.inc
# Fixed credit links colors
$ /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
# SysPrefs restoration after upgrade.
$ /admin/inst_upgrade.php
# Warning clenaup
$ /includes/packages.inc
+ Supplier transactions list added.
$ /includes/ui/ui_lists.inc
# Fixed tax footer descriptions
$ /includes/ui/ui_view.inc

21-Jul-2010 Joe Hunt
! Changed Report Statements to accept selector Outstanding Only
$ /reporting/reports_main.php
  /reporting/rep108.php
  
19-Jul-2010 Joe Hunt
+ Added Revenue / Cost Accruals to be included in core FA
$ /applications/generalledger.php
  /gl/accruals.php (new file)
  /gl/view/accrual_trans.php (new file)
  /includes/access_levels.inc
! Changed Std. Cost to show all decimals, and added UOM
$ /reporting/rep301.php
  /reporting/rep303.php
# Wrong link to Inventory Reports
$ /applications/inventory.php

18-Jul-2010 Janusz Dobrowolski
! Improved key_in_foreign_table to check multiply tables
$ /admin/db/company_db.inc
! New customer/supplier currency can be edited as long as no transaction is entered.
$ /purchasing/includes/db/suppliers_db.inc
  /purchasing/manage/suppliers.php
  /sales/includes/db/customers_db.inc
  /sales/manage/customers.php

17-Jul-2010 Janusz Dobrowolski
+ New packaged extensions system
$ /modules/_cache/index.php (new)
  /FA.pem (new)
  /includes/archive.inc (new)
  /includes/packages.inc (new)
  /includes/ui/view_package.php (new)
  /config.default.php
  /frontaccounting.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /includes/access_levels.inc
  /includes/ui/ui_controls.inc
  /includes/ui/ui_view.inc
  /admin/db/maintenance_db.inc
! Changed language file convention to prevent need for apache restart after *.po file change.
$ /includes/lang/gettext.php
  /includes/lang/language.php
! Small cleanup
$ /includes/page/header.inc
! Fixed memo string in adjust_deliveries.
$ /includes/db/inventory_db.inc
! Fixed call params check message display
$ /gl/view/gl_trans_view.php
! Updated MySQL, php, debugging and extension system checks
$ /admin/system_diagnostics.php
# Fixed gettext msg typo
$ /purchasing/supplier_invoice.php
# Fixed curr_default check
$ /gl/manage/currencies.php
# Message typos
$ /admin/create_coy.php
  /admin/inst_upgrade.php
! Updated translation template
$ /lang/new_language_template/LC_MESSAGES/empty.po

15-Jul-2010 Chaitanya/Joe Hunt
! Changed calculating of cost update (average material price) for better sync.
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /includes/db/inventory_db.inc
  
------------------------------- Release 2.3 Beta --------------------------------
28-Jun-2010 Joe Hunt
! Release 2.3 Beta
$ config.default.php
  
28-Jun-2010 Merged changes from main trunk (2.2.11) as follows
------------------------------- Release 2.2.11 ----------------------------------
! Release 2.2.11
$ config.default.php
  update.html

22-Jun-2010 Joe Hunt
# Minor select bug in create recurrent invoices
$ /sales/create_recurrent_invoices.php

18-Jun-2010 Joe Hunt
- Removed constraint on day values in Payment Terms
$ /admin/payment_terms.php

18-Jun-2010 Janusz Dobrowolski
# Small bug on final credit note screen redirection
$ /sales/customer_credit_invoice.php

17-Jun-2010 Janusz Dobrowolski
# [0000235],[0000236] db error in sales order view window.
$ /sales/view/view_sales_order.php

14-Jun-2010 Tom Moulton/Joe Hunt
# Bug [0000231] Wrong On Order for Advanced Manufacturing.before final production.
$ /includes/db/manufacturing_db.inc
! Allow optional non zero values in reports 101,102,201,202,203 and 303.
$ /reporting/rep101.php
  /reporting/rep102.php
  /reporting/rep201.php
  /reporting/rep202.php
  /reporting/rep203.php
  /reporting/rep303.php
  /reporting/reports_main.php

---------- End of changes from main trunk 2.2.11

27-Jun-2010 Janusz Dobrowolski
+ Added debtor_trans.src_id update
$ /sql/alter2.3.php
  /sql/alter2.3.sql
+ Added key for debtor_trans_detail.src_id
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Added company upgrade boundary markers in error log.
$ /admin/inst_upgrade.php
! Changed price column name to reflect current pricelist type.
  /sales/includes/ui/sales_order_ui.inc
# Fixed sql (removed obsolete email field)
  /reporting/rep112.php
# Fixed sql for child/parent lines retrieval
  /sales/includes/sales_db.inc
# Removed bank payment print links (not implemented yet)
  /sales/inquiry/customer_inquiry.php
# Cleanup
$ /purchasing/includes/db/po_db.inc

26-Jun-2010 Joe Hunt
! Option to suppress tax rates on documents. To be used for tax on tax
  The tax % should be included in the tax name and the calculated
  rate be set as the rate. $suppress_tax_rates in config.php set to 1.
$ config.default.php
  /includes/ui/ui_view.inc
  /reporting/rep107.php
  /reporting/rep110.php
! Improvements to Sales Groups. Presenting the Id too.
$ /sales/manage/sales_groups.php
+ Preparing for 2.3 Beta
$ update.html
  
26-Jun-2010 Janusz Dobrowolski
# Fixed sql for child transaction retrieval
$  /sales/includes/sales_db.inc
! Added debtor_trans_details.src_id
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql

25-Jun-2010 Janusz Dobrowolski
! Allow reuse of references previously used on voided transactions
$ /includes/references.inc
! Fixed sales database design to ensure document relations consistency on line level.
$ /admin/db/fiscalyears_db.inc
  /admin/db/voiding_db.inc
  /reporting/includes/header2.inc
  /sales/customer_invoice.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/cust_trans_details_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/view/view_invoice.php
  /sales/view/view_sales_order.php

24-Jun-2010 Joe Hunt
# Rewritten function gl_account_in_company_defaults in gl_db_accounts.inc
$ /gl/includes/db/gl_db_accounts.inc
# More test on tags due to db error in reports with tags.
$ /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  
23-Jun-2010 Chaitanya/Joe Hunt
! Changed memo message in supp invoice price variance
$ /purchasing/includes/db/invoice_db.inc
! Changed Ourstanding GRN Report to use Actual Price instead of Std Cost.
$ /reporting/rep204.php

23-Jun-2010 Janusz Dobrowolski
# Restored customer payments display
$ /sales/includes/db/cust_trans_db.inc

22-Jun-2010 Janusz Dobrowolski
# Fixed pos parameters retrieval in direct invoice
$ /sales/includes/cart_class.inc

21-Jun-2010 Janusz Dobrowolski
+ Support for current credit display
$ /includes/ui/ui_input.inc
  /purchasing/po_entry_items.php
  /purchasing/includes/po_class.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/suppliers_db.inc
  /purchasing/includes/ui/po_ui.inc
  /sales/customer_delivery.php
  /sales/includes/cart_class.inc
  /sales/includes/db/customers_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_order_ui.inc
+ Optional displaying all sql queries in footer for debugging purposes
  /includes/db/connect_db.inc
  /includes/page/footer.inc
  /config.default.php
  /admin/system_diagnostics.php
  /includes/errors.inc
+ Not fully credited invoice can still be credited (automatic payments reallocation)
$ /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/custalloc_db.inc
  /sales/includes/db/sales_credit_db.inc
+ Added payment term types
$ /includes/sysnames.inc
  /includes/types.inc
+ Added popup mode
$ /sales/inquiry/customer_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
! Reorganized payment terms editor
$ /admin/payment_terms.php
  /includes/ui/ui_lists.inc
! Comments
$ /includes/ui/allocation_cart.inc
! Cleanup
$ /reporting/rep101.php
# Fixed fatal typo
$ /sales/customer_credit_invoice.php
! Fixed final page message text
$ /sales/customer_invoice.php
! Removed sparse order allocation code, invoice reallocation routine added
$ /sales/includes/db/custalloc_db.inc
# Fixed branch creation for new company
$ /sales/manage/customer_branches.php
! Changed line_details class name to po_line_details to avoid conflicts.
$ /purchasing/includes/po_class.inc
! Added sales and purchase order totals
$ /sql/alter2.3.sql
  /sql/alter2.3.php
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

14-Jun-2010 Janusz Dobrowolski
# Additional corrections to yesterday commit
$ /sales/includes/cart_class.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/view/view_sales_order.php

13-Jun-2010 Janusz Dobrowolski
# Small layout bug in tabs widget
$ /includes/ui/ui_controls.inc
! Allowed space and '[' in button names
$ /includes/ui/ui_input.inc
! Formatted posts and a couple of improvements
$ /includes/ui/simple_crud_class.inc
! Changed method naming convention
$ /includes/ui/contacts_view.inc
! is_invoice property superseded by trans_type, removed obsolete Complete property
$ /purchasing/includes/supp_trans_class.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/view/view_supp_credit.php
  /purchasing/view/view_supp_invoice.php
! Cleanups and comments
$ /purchasing/includes/po_class.inc
  /sales/includes/cart_class.inc
! Added document inheritance definitions
$ /includes/types.inc
# Smaller technical fixes
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/po_db.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/sales_credit_db.inc
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php

13-Jun-2010 Merged changes from main trunk (2.2.10) as follows

------------------------------- Release 2.2.10 ----------------------------------
11-Jun-2010 Joe Hunt
! Release 2.2.10
$ config.default.php
  update.html
  
10-Jun-2010 Joe Hunt
! Changed Wiki help url and site url in config.default.php
$ config.default.php

07-Jun-2010 Joe Hunt
# HTML decode text when printing to Excel.
$ /reporting/includes/excel_report.inc

06-Jun-2010 Janusz Dobrowolski
# False overallocation fixed.
$ /includes/ui/allocation_cart.inc
+ Allowed optional long timeout on default/cancel/selector buttons
$ /includes/ui/ui_input.inc
  /js/behaviour.js
  /js/inserts.js
# Long ajax timeout on all reports
$ /reporting/includes/reports_classes.inc
# [0000232] Fixed list of related invoices/credits in SO view.
$ /sales/view/view_sales_order.php
# Small bug on final screen redirection
$ /sales/customer_credit_invoice.php

03-Jun-2010 Joe Hunt
# Rounding bug when decimals greater than or equal to 6.
$ /includes/current_user.inc

31-May-2010 Joe Hunt
# No limit on 30 days in Payment terms if end of month.
$ /admin/payment_terms.php

30-May-2010 Joe Hunt
! Global variabel, $def_print_destination, config.php can be set to 0 or 1
$ config.default.php
  /reporting/includes/reports_classes.inc
! copy line memo to next line in journal entries and bank payments/deposits
$ /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
! Report GL Transactions now prints line memos
$ /reporting/rep704.php

29-May-2010 Janusz Dobrowolski
# Smaller fixes initial COAs
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql

---------- End of changes from main trunk 2.2.10

05-Jun-2010 Joe Hunt
! Allowing SA_MULTIFISCALYEAR access to enter transactions on open fiscal years
$ /admin/db/fiscalyears_db.inc
  /includes/date_functions.inc
  /includes/acces_levels.inc
  
31-May-2010 Joe Hunt
! Allowing modifying of Bank Payments/Deposits
$ /gl/gl_bank.php
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/journal_inquiry.php
  /purchasing/includes/db/supp_trans_db.inc
  /sales/includes/db/cust_trans_db.inc
  
27-May-2010 Merged changes from main trunk (2.2.8, 2.2.9) as follows

------------------------------- Release 2.2.9 ----------------------------------
24-May-2010 Joe hunt
! Release 2.2.9
$ config.default.php
  update.html
# [0000230] Incorrect 'On order' quantity of raw materials in the 'Stock Check Sheets' report.   
$ /reporting/rep303.php

24-May-2010 Janusz Dobrowolski
# Additional fixes in payment/deposit allocations.
$ /includes/ui/allocation_cart.inc
  /js/payalloc.js

22-May-2010 Janusz Dobrowolski
# Fixed html generation for buttons
$ /includes/ui/ui_input.inc

13-May-2010 Janusz Dobrowolski
# [0000229] Payment overallocation is now forbidden (addendum)
$ /js/payalloc.js

12-May-2010 Janusz Dobrowolski
# [0000226] Fixed diagnostic checks for javascript cached files, improved readability
$ /admin/system_diagnostics.php
# [0000227] Fixed cookie name to enable multiply FA instances on the same server.
$ /includes/session.inc
# [0000229] Payment overallocation is now forbidden
$ /includes/ui/allocation_cart.inc
  /js/allocate.js
# Fixed email links to use ajax
$ /purchasing/po_entry_items.php
  /sales/credit_note_entry.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
# Fixed shipping tax naming
$ /taxes/tax_groups.php

12-May-2010 Joe Hunt
! Changed to allow change of theme in 'allow_demo_mode' during session
$ /admin/display_prefs.php
! [0000228] Sales order inquiry using reference number.
$ /sales/inquiry/sales_orders_view.php

10-May-2010 Joe Hunt/Alvin
! Changed so Print Statements don't list voided items.
$ /reporting/rep108.php

04-May-2010 Janusz Dobrowolski/Robert Laussegger
# Fixed amibiguites and typos in report titles.
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc

04-May-2010 Joe Hunt
# [0000225] Supplier Payment Report showing paid invoices (rounding problem)
$ /reporting/rep203.php
! Minor change to balance sheet/profit and loss drilldown
  Script is modified to display only direct child types
/gl/inquiry/balance_sheet.php
/gl/inquiry/profit_loss.php
! New empty.po for release 2.2.8
$ /lang/new_language_template/LC_MESSAGES/empty.po

26-Apr-2010 Joe Hunt
! Allowing the Tax Report to be printed to Excel/OO Calc
$ /reporting/rep709.php
  /reporting/reports_main.php
  /reporting/includes/excel_report.inc
  
21-Apr-2010 Joe Hunt
# [0000223] Incorrect backup of tables with more than 2 digit prefix
$ /admin/db/maintenance_db.inc

21-Apr-2010 Joe Hunt
# [0000222] Deleting a Sales Order with reference to a voided delivery causes SQL error when
  looking at this delivery. Solution, can't delete, but set the deliveries to 0
  on the lines.
$ /sales/includes/db/sales_order_db.inc

------------------------------- Release 2.2.8 ----------------------------------
18-Apr-2010
! Release 2.2.8
$ config.default.php
  update.html

17-Apr-2010 Janusz Dobrowolski
# Small fix in company creation 
$ /admin/create_coy.php
# Checking whether reference is unique before saving transaction.
$ /sales/sales_order_entry.php

09-Apr-2010 Joe Hunt
# Creating a new company without a Database script causes unpredictable errors.
$ /admin/create_coy.php

06-Apr-2010 Joe Hunt/Albin
# Inactive items should not show in Price List Report. In Item lists they are
  stamped (Inactive) after the description.
$ /reporting/rep104.php
  /reporting/rep301.php
  /reporting/rep302.php
  /reporting/rep303.php
  /reporting/rep304.php
  /reporting/rep305.php
  
03-Apr-2010 Joe Hunt/Chaitanya
# [0000219] Incorrect behaviors regarding Payment forms
$ /purchasing/supplier_payment.php
  /sales/customer_payments.php

20-Mar-2010 Joe Hunt/RodW
# [0000215} Wrong text in deliver to and not printing it.
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  
15-Mar-2010 Janusz Dobrowolski
# Missing check for customer/branch selected ([0000216])
$ /sales/sales_order_entry.php
  /sales/customer_payment.php
# Missing check for supplier selected ([0000217])
$ /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/po_entry_items.php
# Fixed db error on no supplier selected
  /purchasing/includes/db/suppalloc_db.inc
# Smaller clenaups.
$ /includes/current_user.inc
  /includes/session.inc

10-Mar-2010 Joe Hunt
! Print full Location name on reports
$ /reporting/rep105.php
  /reporting/rep301.php
  /reporting/rep302.php
  /reporting/rep303.php
# Print reference on email (PO)
  /reporting/rep209.php
  
07-Mar-2010 Joe Hunt
# Bug in ui_lists.inc, systypes_list_row, too many parameters in
  call to systypes_list_cells
$ /includes/ui/ui_lists.inc

06-Mar-2010 Joe Hunt
# Bug in Text(Col)WrapLines. Doesn't break on space.
$ /reporting/includes/pdf_report.inc
# Missing 'Set Global Supplier' in invoice_ui.inc
$ /purchasing/includes/ui/invoice_ui.inc

---------- End of changes from main trunk 2.2.7-2.2.9

15-May-2010 Joe Hunt
! Layout - added class label for branch link
$ /sales7manage/customers.php

11-May-2010 Janusz Dobrowolski
+ Added multiply categorized customer/branch/supplier contacts in separate table,
 per contact report language selection
$ /admin/crm_categories.php (new)
  /applications/setup.php
  /includes/access_levels.inc
  /includes/sysnames.inc
  /includes/db/crm_contacts_db.inc (new)
  /includes/ui/contacts_view.inc (new)
  /includes/ui/simple_crud_class.inc (new)
  /manufacturing/includes/db/work_orders_db.inc
  /purchasing/includes/db/suppliers_db.inc
  /purchasing/manage/suppliers.php
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep112.php
  /reporting/rep209.php
  /reporting/rep210.php
  /reporting/rep409.php
  /sales/includes/db/branches_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/customers_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
  /sql/alter2.3.php
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Added tabbed content widget
$ /includes/ui/ui_controls.inc
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
+ Changes in hotkeys system for tabs support
$ /js/inserts.js
+ Emailed reports can be send to multiply contacts, fixed email charset selection
$ /reporting/includes/pdf_report.inc
+ Added charset selection for email content
$ /reporting/includes/class.mail.inc
# Small field name bug
$ /reporting/reports_main.php
# Fixed typo and small bug
$ /reporting/includes/doctext.inc
# Fixed problem with multiselection in array_combo, added crm related list helpers
$ /includes/ui/ui_lists.inc
# Fixed function name
$ /sales/includes/db/sales_credit_db.inc
# Fixed email sending links to use ajax.
$ /sales/credit_note_entry.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
# Fix in array_search_keys
$ /includes/current_user.inc
# Fixed bug in company deletion
$ /admin/create_coy.php
  /admin/db/company_db.inc

07-May-2010 Joe Hunt
+ Added Account tags selection in Annual Expense Breakdown, Balanse Sheet
  and Profit and Loss Sheet
$ /admin/db/tags_db.inc
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  /reporting/reports_main.php
  /reporting/includes/reports_classes.inc
  
07-May-2010 Janusz Dobrowolski
# Fixed bug in array_selector for multiply lists
$ /includes/ui/ui_lists.inc

30-Apr-2010 Janusz Dobrowolski
+ Recovering next reference after voiding of last reference
  /admin/db/voiding_db.inc
  /includes/references.inc
  /includes/db/references_db.inc
# Reference column displayed also for journal entries
  /admin/void_transaction.php
# Voided transactions excluded form list of transactions
  /admin/db/transactions_db.inc

26-Apr-2010 Joe Hunt
! Changed voiding of Direct Invoice to automatically void 'auto' delivery
  and set SO quantity and qty_sent to 0.
  And a few small bug fixes.  
$ /admin/db/voiding_db.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_delivery_db.inc
  
21-Apr-2010 Joe Hunt
# Bug in systypes selector (no type update)
$ /admin/attachments.php
! Better layout
$ /admin/company_preferences.php
# Didn't show 'View Attachments' for Journal Entries
$ /includes/ui/ui_controls.inc

20-Apr-2010 Joe Hunt
+ Added option for Manual Revaluation of Currency Accounts
$ /admin/company_preferences.php
  /applications/generalledger.php
  /gl/includes/db/gl_db_banking.inc
  /gl/manage/revaluate_currencies.php (new file)
  /includes/prefs/sysprefs.inc
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /sql/alter2.3.sql
  
16-Apr-2010 Joe Hunt
# Minor fixes in voiding transactions
$ /admin/void_transaction.php
! Layout improvement in hyperlink_back function
$ /includes/ui/ui_controls.inc

15-Apr-2010 Joe Hunt
! Added an alternative way of presenting tax included on invoices.
  This is done by setting a global variabel $alternative_tax_include_on_docs = 1.
$ config.default.php 
  /includes/ui/ui_view.inc
  /reporting/rep107.php
  /reporting/rep110.php
  
! Added a date column and combined the # and View column in 'View / Print Transactions.
! Changed Voiding Transaction to also include a pager.
$ /admin/view_print_transaction.php
  /admin/void_transaction.php
  /admin/db/transaction_db.inc
  /includes/systypes.inc
  /manufacturing/view/wo_production_view.php
  /reporting/includes/reporting.inc
  
14-Apr-2010 Joe Hunt
! Replaced the global variables for table styles to defined CSS classes.
$ all files that includes the call to start_table and start_outer_table

14-Apr-2010 Joe Hunt/ AVB3
+ Added 'View Attachments' if any in all popup view windows
$ /admin/db/attachments_db.inc
  /includes/main.inc
  /includes/ui/ui_controls.inc
  /dimensions/view/view_dimension.php
  /gl/view/bank_transfer_view.php
  /gl/view/gl_deposit_view.php
  /gl/view/gl_payment_view.php
  /gl/view/gl_trans_view.php
  /inventory/view/view_adjustment.php
  /inventory/view/view_transfer.php
  /manufacturing/view/work_order_view.php
  /manufacturing/view/wo_issue_view.php
  /manufacturing/view/wo_production_view.php
  /purchasing/view/view_grn.php
  /purchasing/view/view_po.php
  /purchasing/view/view_supp_credit.php
  /purchasing/view/view_supp_invoice.php
  /purchasing/view/view_supp_payment.php
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_receipt.php
  /sales/view/view_sales_order.php
  
04-Apr-2010 Janusz Dobrowolski
+ Added supplier/customer document language selection
$ /purchasing/includes/db/suppliers_db.inc
  /purchasing/manage/suppliers.php
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep112.php
  /reporting/rep209.php
  /reporting/rep210.php
  /reporting/includes/class.pdf.inc
  /reporting/includes/pdf_report.inc
  /sales/includes/db/branches_db.inc
  /sales/includes/db/customers_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /reporting/includes/doctext2.inc (removed)

+ Added company_path() helper
$ /admin/attachments.php
  /admin/company_preferences.php
  /admin/create_coy.php
  /admin/display_prefs.php
  /admin/print_profiles.php
  /admin/system_diagnostics.php
  /admin/db/fiscalyears_db.inc
  /includes/main.inc
  /includes/lang/language.php
  /includes/page/header.inc
  /includes/ui/ui_view.inc
  /inventory/manage/items.php
  /reporting/rep102.php
  /reporting/rep104.php
  /reporting/rep202.php
  /reporting/rep303.php
  /reporting/rep706.php
  /reporting/rep707.php
  /reporting/includes/excel_report.inc
  /reporting/includes/header2.inc

! Added all_option parameter to language selectors
$ /includes/ui/ui_lists.inc

! System names extracted to new separated file to enable re-read after langauge change
$ /includes/types.inc
  /includes/sysnames.inc (new)

! Fixed for better extension modules support
$ /reporting/prn_redirect.php
  /reporting/includes/tcpdf.php

! Changed addReport method (better support for extension modules)
$ /reporting/reports_main.php
  /reporting/includes/reports_classes.inc

! Code cleanup
$ /gl/inquiry/balance_sheet.php
  /gl/inquiry/profit_loss.php

26-Mar-2010 Joe Hunt
# Fixed a sorting problem in gl_account_types_list
$ /includes/ui/ui_lists.inc
  /gl/includes/db/gl_db_account_types.inc

24-Mar-2010 Janusz Dobrowolski/Joe Hunt
# Fixed problem with multiply zeros a value of option in list selectors
# Parse error in ui_list.inc. Fix in other files.
$ /includes/ui/ui_lists.inc
  /gl/includes/db/gl_db_account_types.inc
  /gl/manage/gl_account_types.php

22-Mar-2010 Joe Hunt
# Error editing (updating) Account Groups and problem
  with "00" == "0" in php.
$ /gl/includes/db/gl_db_account_types.inc
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /includes/ui/ui_lists.inc
  /sql/alter2.3.sql
  
12-Mar-2010 Janusz Dobrowolski
# Small cleanups.
$ /reporting rep301.php
  /reporting rep304.php
  /reporting rep601.php

05-Mar-2010 Merged changes from main trunk up to 2.2. as follows
------------------------------- Release 2.2.7 ----------------------------------
05-Mar-2010 Joe Hunt
! Release 2.2.7
! Removed redundant variable $use_new_account_types from config.php
$ config.default.php
  update.html
! Removed redundant function get_gl_accounts_all in gl_db_accounts.inc
$ /gl/includes/db/gl_db_accounts.inc

02-Mar-2010 Joe Hunt
# Bug sending email to a name with commas. Has been replaced with ''.
$ /reporting/includes/pdf_report.inc

01-Mar-2010 Janusz Dobrowolski
# [0000212] Selecting branch from popup was not working.
$ /sales/manage/customer_branches.php
# [0000213] Date change on journal entry update.
$ /gl/gl_journal.php

01-Mar-2010 Joe Hunt
! Allow change of password without script in Create/Update Company.
$ /admin/create_coy.php

28-Feb-2010 Joe Hunt
# Fixed a non esisting voiding of Work Order Advanced and a couple of
  bugs in the same operation. And a fix according to Vramak on the forum.
  Wiki will be updated on how does the Work Order work
$ /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
  /manufacturing/includes/db/work_order_requirements_db.inc
  /purchasing/includes/db/grn_db.inc
  
26-Feb-2010 Janusz Dobrowolski
# [0000209],[0000210] Improper quantity/price handling on supplier change.
$ /purchasing/includes/ui/po_ui.inc
# [0000211] Typo in work order legend.
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
# Restored Esc hot key on cancel buttons.
$ /js/inserts.js

26-Feb-2010 Joe Hunt
# [0000208] Voiding a work order production does not revert raw material quantities 
$ /manufacturing/includes/db/work_order_produce_items_db.inc

25-Feb-2010 Janusz Dobrowolski
# Fixed bug in quantity input
$ /manufacturing/work_order_add_finished.php

24-Feb-2010 Joe Hunt
# Tax included calculation problem when more than 1 tax type in a group
$ /taxes/tax_calc.inc
! Small layout fixes
$ /admin/backups.php
  /includes/ui/ui_lists.inc
  /reporting/rep107.php
  /reporting/rep110.php
  
22-Feb-2010 Janusz Dobrowolski
# Two smaller fixes in security area codes.
$ /includes/access_levels.inc

21-Feb-2010 Joe Hunt
# Exchange rate doesn't update table immediately when adding new rate 
  and no exchange rates there before.
$ /gl/manage/exchange_rates.php
# Bug in exchange variation calculation in certain situations. Again.
$ /gl/includes/db/gl_db_banking.inc
 
21-Feb-2010 Janusz Dobrowolski
# Fixed check for language session var.
$ /includes/session.inc

19-Feb-2010 Joe Hunt/Ary Wibowo
# Bug in exchange variation calculation in certain situations.
$ /gl/includes/gl_db_banking.inc
! Better and cleaner layout in graphics
$ /reporting/includes/class.graphic.inc
! Fixed better layout in customer delivery form
$ /sales/customer_delivery.php

17-Feb-2010 Joe Hunt
# Missing border layout in report centre
$ /reporting/includes/reports_classes.inc

---------- End of changes from main trunk 2.2.6-2.2.7

01-Mar-2010 Janusz Dobrowolski
+ Rewrite of FrontReport header API to accept externally defined headers in php and/or pdf form.
$ /reporting/includes/class.pdf.inc
  /reporting/includes/excel_report.inc
  /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc
+ Integration of fpdi class
$ /reporting/includes/fpdi/* (new)
  /reporting/forms (new)
! find_report_file() helper moved to main.inc and renamed to ind_custom_file
$ /reporting/prn_redirect.php
  /includes/main.inc
! Reports fixed according to changes in header API in FrontReport class.
$ /reporting/rep101.php
  /reporting/rep102.php
  /reporting/rep103.php
  /reporting/rep104.php
  /reporting/rep105.php
  /reporting/rep106.php
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep112.php
  /reporting/rep201.php
  /reporting/rep202.php
  /reporting/rep203.php
  /reporting/rep204.php
  /reporting/rep209.php
  /reporting/rep210.php
  /reporting/rep301.php
  /reporting/rep302.php
  /reporting/rep303.php
  /reporting/rep304.php
  /reporting/rep305.php
  /reporting/rep401.php
  /reporting/rep409.php
  /reporting/rep501.php
  /reporting/rep601.php
  /reporting/rep701.php
  /reporting/rep702.php
  /reporting/rep704.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  /reporting/rep708.php
  /reporting/rep709.php
  /reporting/rep710.php

25-Feb-2010 Janusz Dobrowolski
# Files manipulation helpers added
$ /includes/main.inc
# Cleanup
$ /includes/db/sql_functions.inc
+ Added radio buttons helper
$ /includes/ui/ui_input.inc
# Smaller fixes: lists reset after page reload, nonformatted description for edition, html cleanup
$ /includes/ui/ui_lists.inc
! Changed _vd debug function to notification type
$ /includes/ui/ui_view.inc
# Layout fix on final screen 
$ /purchasing/po_entry_items.php
# Error message when no report file is found
$ /reporting/prn_redirect.php
# Code cleanup (missing $row declaration)
$ /reporting/includes/pdf_report.inc

20-Feb-2010 Joe Hunt
# Wrong class parameter in Generqal Ledger Reports
$ /applications/generalledger.php

16-Feb-2010 Merged changes from main trunk up to 2.2.6 as follows
------------------------------- Release 2.2.6 ----------------------------------
16-Feb-2010 Joe Hunt
! Release 2.2.6
$ config.default.php
  update.html
  /lang/new_language_template/LC_MESSAGES/empty.po
! CSS style is now implemented in all FA.
! New label style for the themes. Better layout in supp inv/credit
! A lot of code clean up. New password_row and file_row/cells.
# Several minor bugs during final CSS implementaion
  /access/login.php
  /admin/attachments.php
  /admin/change_current_user_password.php
  /admin/company_preferences.php
  /admin/create_coy.php
  /admin/display_prefs.php
  /admin/gl_setup.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /admin/users.php
  /includes/ui/ui_controls.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
  /inventory/manage/items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/includes/ui/po_ui.inc
  /purchasing/includes/ui/invoice_ui.inc
  /reporting/includes/reports_classes.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/view/view_sales_order.php
  /themes/default/default.css
  /themes/aqua/default.css
  /themes/cool/default.css
  

11-Feb-2010 Janusz Dobrowolski
# Better check for language session var.
$ /includes/session.inc
# Fixed IE related hotkeys problem with AltTab
$ /js/inserts.js

11-Feb-2010 Joe Hunt/Chaitanya
# [0000204] GRN Valuation Report shows wrong data
$ /reporting/rep305.php

10-Feb-2010 Janusz Dobrowolski
# [0000201] Cannot change item type when item is edited
$  /inventory/manage/items.php
# Sparse warning fixed.
$ includes/db/manufacturing_db.inc

10-Feb-2010 Joe Hunt
! Changed so 'Allow Negative Stock' will update the GL cogs/inventory when
  the correct values later are obtained.
$ /admin/gl_setup.php
  /includes/db/inventory_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
+ Added a selector for decimal values in Balance Sheet and P/L Statement
$ /reporting/reports_main.php
  /reporting/rep706.php
  /reporting/rep707.php
! Added trans_no in bank deposit/payment final link, by Tom Hallman.
$ /gl/gl_bank.php
  
09-Feb-2010 Joe Hunt/Chaitanya
# [0000202] Global $path_to_root is missing in function handle_submit() in file admin/create_coy.php 
$ /admin/create_coy.php

06-Feb-2010 Janusz Dobrowolski
# Fixed get_standard_cost() for dummy items again.
$ /includes/db/inventory_db.inc
# Fixed bug resulting in broken line items relations after edition of multiline SO.
$ /sales/includes/db/sales_invoice_db.inc
! Yesterday changes removed
$ /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
# Prevent saving empty lines in invoices/delivery notes - rerun
  /reporting/rep107.php
  /reporting/rep110.php

06-Feb-2010 Joe Hunt/Chaitanya
! Changed Balance Sheets/PL Statements to be recursive
$ /gl/inquiry/balance_sheet.php
  /gl/inquiry/profit_loss.php
  /reporting/rep701.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  
05-Feb-2010 Joe Hunt/Kalido
+ Placing a print link in all view windows (without menus).
$ /includes/main.inc
  /includes/ui_controls.inc
! Preparing for new recursive balance sheet/PL Statements
$ /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  
05-Feb-2010 Janusz Dobrowolski
# Fixed get_standard_cost() for dummy items
$ /includes/db/inventory_db.inc
# Prevent saving empty lines in invoices/delivery notes
$ /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc

03-Feb-2010 Janusz Dobrowolski
# Fixed continuation after timeout.
$ /access/login.php
  /includes/main.inc
  /includes/session.inc
  /includes/page/footer.inc
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
# Added error message when no file is selected on view or download.
$ /admin/backups.php

03-Feb-2010 Joe Hunt
# When buying a service item from a supplier, the delivery produced
  wrong inventory GL transactions. No GL transactions should be here.
$ /sales/includes/db/sales_delivery_db.inc
# [0000200] stock_master material_cost incorrectly updated during GRN when 
  price format uses thousands seperator. A couple of minor errors too. 
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoices_db.inc
# Exchange rate bug when searching a non existing customer
$ /includes/banking.inc

03-Feb-2010 Chaitanya/Joe
+ Added a Profit and Loss Drilldown page and changed menu link
$ /applications/generalledger.php
  /gl/inquiry/profit_loss.php (New file)
  /gl/inquiry/balance_sheet.php
! Better layout
$ /gl/inquiry/journal_inquiry.php

02-Feb-2010 Chaitanya
+ Added memo search on journal inquires.
$ /gl/inquiry/journal_inquiry.php

---------- End of changes from main trunk 2.2.5-2.2.6

09-Feb-2010 Janusz Dobrowolski
+ Improved multilevel database transaction support
$ /includes/errors.inc
  /includes/db/connect_db.inc
  /includes/db/sql_functions.inc
  /sales/includes/cart_class.inc
+ Added Direct GRN and Direct Invoice in purchases module
$ /applications/suppliers.php
  /includes/current_user.inc
  /includes/ui/ui_lists.inc
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/includes/po_class.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/ui/grn_ui.inc
  /purchasing/includes/ui/po_ui.inc
+ Added invoice preselection option.
$ /purchasing/supplier_payment.php
! Optimized extensions related code.
$ /applications/application.php
  /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
! Cleanup
$ /purchasing/supplier_invoice.php
  /sales/includes/ui/sales_order_ui.inc
# Typo
$ /sales/sales_order_entry.php

05-Feb-2010 Janusz Dobrowolski
+ Multiply order items with the same stock_id (with warning), code cleanups
$ /purchasing/po_entry_items.php
  /purchasing/includes/po_class.inc
  /purchasing/includes/supp_trans_class.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/ui/po_ui.inc
# Fixed typo bugs
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc

04-Feb-2010 Joe Hunt
! Extended account id's to 15 chars. Changed account type to varchar(10)
  and class id varchar(3). Ability to change account groups online.
$ /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php
  /gl/includes/db/gl_db_account_types.inc
  /includes/ui/ui_lists.inc
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

03-Feb-2010 Janusz Dobrowolski
# Payment terms were not retrieved at invoice edit start.
$ /sales/customer_invoice.php
# Fixed item selector.
$ /inventory/prices.php

02-Feb-2010 Janusz Dobrowolski
# Missing closing bracket
$ /sql/alter2.3.php
# Small fixes in sys_prefs update/retrieve
$ /admin/db/company_db.inc

02-Feb-2010 Merged changes from main trunk 2.2.4-2.2.5 as follows
------------------------------- Release 2.2.5 ----------------------------------
02-Feb-2010 Joe Hunt
! Release 2.2.5
$ $config.default.php
  update.html
# Bug in direct invoice when cash sales and no cash account defined in sales pos.
$ /sales/sales_order_entry.php

01-Feb-2010 Janusz Dobrowolski
# Fixed error display hidden during ajax call in some situations
$ /includes/errors.inc
! Ajax timeout changed to 6/60s without retries, otherwise multiply 
 errors are generated on fatal failure.
$ /js/utils.js
  /js/inserts.js

01-Feb-2010 Joe Hunt
# [0000198] Bug ignoring shipping cost in Direct Invoice (cash).
$ /sales/sales_order_entry.php
# [0000197] Bug in closing some special balance sheet levels.
$ /gl/inquiry/balance_sheet.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php

31-Jan-2010 Joe Hunt
# Bug in Quick Entries with Tax added.
$ /includes/ui/ui_view.inc

30-Jan-2010 Joe Hunt/Chaitanya
+ Added a Balance Sheet drilldown inquiry in Banking and GL.
  Contributed by Chatanya. Magnificient!
$ /applications/generalledger.php
  /gl/inquiry/balance_sheet.php (new file)
  /gl/inquiry/gl_account_inquiry.php
+ Added Purchase tax account in en_US-new.sql and en_US-demo.sql
$ /sql/en_US-demo.sql
  /sql/en_US_new.sql
# Fixed bug in gl accounts checks
  /taxes/tax_types.php

30-Jan-2010 Janusz Dobrowolski
# [0000194] Fixed tax records from journal entry (voiding problem)
$ /gl/includes/db/gl_db_trans.inc
  /reporting/rep709.php

25-Jan-2010 Joe Hunt
# [0000195] Bug not deleting refs record when deleting Sales Order, Quotation
# A couple of redirecting bugs
$ /sales/sales_order_entry.php
  /sales/includes/db/sales_order_db.inc
# Bug in the sequence in sales price pickup
$ /sales/includes/sales_db.inc
+ Added document Receipt and small rearrangements and bugfixes
$ /includes/types.inc
  /includes/ui/ui_view.inc
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep112.php (new document file)
  /reporting/rep209.php
  /reporting/rep210.php
  /reporting/reports_main.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/inquiry/customer_inquiry.php
  
22-Jan-2010 Tom Hallman/Joe Hunt
# Exchange rate doesn't update table when adding new or deleting rate
$ /gl/manage/exchange_rates.php
! Small adjustments to Bank Statement and GL Transactions Reports
$ /reporting/rep601.php
  /reporting/rep704.php
! Layout fix for Report Selectors in when running in Windows OS.
$ /reporting/includes/reports_classes.inc

20-Jan-2010 Joe Hunt
! Put a heavy warning on marking the checkbox 'Allow Negative Inventory'.
$ /admin/gl_setup.php

18-Jan-2010 Joe Hunt
# Demand was calculated double from Sales Quotation. Should be 0.
$ /includes/db/manufacturing_db.inc
# A back link was still in Bank Transfer.
$ /gl/bank_transfer.php

---------- End of changes from main trunk 2.2.4-2.2.5

26-Jan-2010 Janusz Dobrowolski
+ Editable sales terms in sales orders and invoices, default terms from customer record.
$ /admin/db/company_db.inc
  /includes/ui/ui_lists.inc
  /reporting/rep102.php
  /reporting/rep108.php
  /sales/create_recurrent_invoices.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/manage/sales_points.php
  /sql/alter2.3.php
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

26-Jan-2010 Janusz Dobrowolski
+ Full support for items with editable descriptions in sales documents
$ /includes/ui/ui_lists.inc
  /inventory/prices.php
  /inventory/includes/db/items_db.inc
  /inventory/manage/items.php
  /js/inserts.js
  /sales/customer_delivery.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/ui/sales_order_ui.inc
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
# Fixed warning in debug mode
$ /sales/inquiry/sales_deliveries_view.php
  /sales/includes/db/cust_trans_db.inc

23-Jan-2010 Janusz Dobrowolski
+ Improved locales checking
$ /includes/lang/gettext.php
  /includes/lang/language.php
+ Defaults for get_post also for array submits, added confirm dialog helper
$ /includes/ui/ui_controls.inc
+ Added info label in error_log for warnings during upgrade process
$ /includes/errors.inc
! System preferences moved from company to new sys_prefs table
$ /admin/company_preferences.php
  /admin/display_prefs.php
  /admin/gl_setup.php
  /admin/users.php
  /admin/db/company_db.inc
  /admin/db/users_db.inc
  /includes/current_user.inc
  /includes/session.inc
  /includes/prefs/sysprefs.inc
  /includes/prefs/userprefs.inc
  /sql/alter2.1.php
  /sql/alter2.3.php
  /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /install/save.php
! Updated locales and database/src compatibility checks
$ /admin/system_diagnostics.php
! Added core version for checks against database version_id
$ /config.default.php
! System setup re-read after upgrade
$  /admin/inst_upgrade.php
! Cached company currency retrieval
$ /includes/banking.inc
! Removed sysprefs.inc include
$ /includes/main.inc
# Removed archaic error handling
$ /includes/date_functions.inc
# Missing path_to_root declaration in handle_submit().
$ /admin/create_coy.php
# Message box cleanup before ajax call
$ /js/utils.js

20-Jan-2010 Merged changes from main trunk 2.2.3-2.2.4 as follows

------------------------------- Release 2.2.4 ----------------------------------
17-Jan-2010 Joe Hunt
! Release 2.2.4
$ $config.default.php
  update.html

17-Jan-2010 Janusz Dobrowolski
! Improved error checking.in company update/creation.
$ /admin/create_coy.php
# Fixed default value for stock_category.dflt_tax_type
$ /sql/en_US-new.sql
# Fixed errors display in ajax mode.
$ /includes/errors.inc
# Fixed checks for deleting POS
$ /sales/manage/sales_points.php

15-Jan-2010 Janusz Dobrowolski
! Changed so GL Account Types id allows up to 10 digits.
$ /gl/manage/gl_account_types.php
# [0000187] Category and description reset after failed check;
$ /inventory/manage/sales_kits.php
# Cleaned warnings in errorlog.
$ /sales/includes/sales_db.inc
! Default 0 on empty amount fields
$ /includes/data_checks.inc
! Empty numeric input fields globaly defaulted to 0.
$ /includes/data_checks.inc
  /includes/ui/ui_input.inc

15-Jan-2010 Joe Hunt
# [0000190] Back link on confirmation only pages removed.
$ /includes/page/footer.inc
  /includes/ui/ui_view.inc
  /includes/main.inc
# Removed a comma after last item in structure for 0_tax_types, line 1596
$ /sql/en_US-new.sql

14-Jan-2010 Joe Hunt
# A couple of small bugs were fixed in average material cost
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /manufacturing/includes/db/work_orders_db.inc

13-Jan-2010 Joe Hunt
! Changed so also Item Adjustment and Cost Update allow more than 2 dec in price
$ /inventory/cost_update.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/view/view_adjustment.php
! Changed so GL Account Types id allows up to 6 digits.
$ /gl/manage/gl_account_types.php
  
12-Jan-2010 Janusz Dobrowolski
# Fixed buggy exemptions display
$ /taxes/item_tax_types.php

---------- End of changes from main trunk 2.2.3-2.2.4

12-Jan-2010 Janusz Dobrowolski
! Added sorting by branch_ref
$ /sales/includes/db/branches_db.inc
# Fixed misnamed function parameter.
  /sales/includes/db/cust_trans_db.inc
  /sales/inquiry/sales_deliveries_view.php

12-Jan-2010 Merged changes from main trunk 2.2.2-2.2.3 as follows
------------------------------- Release 2.2.3 ----------------------------------
12-Jan-2010 Joe Hunt
! Release 2.2.3
! Allow using of multi level sub-types when digits are of same length in account types
$ config.default.php
  update.html
  /gl/includes/db/gl_db_accounts.inc
! Print COA also prints class id and account type id.
$ /reporting/rep701.php


11-Jan-2010 Janusz Dobrowolski
# Removed invalid constraint on tax_types.
$ /sql/en_US-new.sql

10-Jan-2010 Janusz Dobrowolski
! Small fix in new_doc_date()
$ /includes/date_functions.inc
# Prevent warnings for sql results without 'inactive' field
$ /includes/ui/db_pager_view.inc
# Fixed js error in IE7
$ /js/inserts.js
+ Added support for customized doctext.inc/header2.inc
$ /reporting/prn_redirect.php
  /reporting/includes/pdf_report.inc
! Increased number of decimals for tax calculations
$ /taxes/tax_calc.inc
! Code cleanup
$ /includes/current_user.inc
# Fixed check for missing POST in check_num()
$ /includes/data_checks.inc
# [0000187] Category and description reset after failed check;
$ /inventory/manage/item_codes.php
# [0000186] Timeout on Refresh button
$ /sales/allocations/customer_allocate.php
# [0000185] Update notification missing.
$ inventory/reorder_level.php

09-Jan-2010 Joe Hunt
# Bugs in deleting fiscal year. Some transactions weren't deleted.
$ /admin/fiscalyear.php

07-Jan-2010 Joe Hunt
! Changed to let the $doctypes in documents follow the types in types.inc
+ New document, Remittance, to print payment allocations to suppliers
  Also print/email links from Supplier Payment and Supplier Inquiry.
$ /purchasing/supplier_payment.php
  /purchasing/inquiry/supplier_inquiry.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep209.php
  /reporting/rep210.php (New file)
  /reporting/reports_main.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc
# Creating recurrent invoices with date outside fiscal year.  
  /sales/create_recurrent_invoices.php
  
06-Jan-2010 Janusz Dobrowolski
# Check on existence of locale.inc added to avoid blank pages when the file is broken.
$ /includes/session.inc
! Changed reference incrementation algorithm to preserve both number prefix and postfix.
$ /includes/references.inc

04-Jan-2010 Joe Hunt
! Making the stretch parameter = 1 on default print pdf all over
  Improved layout on documents.
$ /reporting/includes/class.pdf.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  
31-Dec-2009 Joe Hunt
# When updating tax rate, it didn't show and calculate correct in documents.
$ /taxes/db/tax_groups_db.inc

27-Dec-2009 Joe Hunt
# Problems letting various currency bank accounts sharing the same GL account
$ /gl/manage/bank_accounts.php
  /gl/includes/db/gl_db_banking.inc

---------- End of changes from main trunk 2.2.2-2.2.3

11-Jan-2010 Janusz Dobrowolski
! Optimized database indexes.
$ /sql/alter2.3.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

27-Dec-2009 Janusz Dobrowolski
+ Remote packages repository support for extensions and languages
$ /config.default.php
  /frontaccounting.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /includes/access_levels.inc
  /includes/ui/ui_lists.inc
  /sql/alter2.3.php
# Small fix in handle_submit
$ /admin/create_coy.php
! Using var_dump function for storing variables in config files.
$ /admin/db/maintenance_db.inc
+ Added copy_file(), check_write() helper functions.
$ /includes/main.inc
+ Aded array_search_key() helper.
$ /includes/lang/gettext.php
+ Added helper for checking langauge support.
$ /includes/current_user.inc
+ Added helper for radio buttons.
$ /includes/ui/ui_input.inc
! Extension links support moved to application class.
$ /applications/application.php
  /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/suppliers.php
  /includes/archive.inc (new)
  /includes/packages.inc (new)
+ Support for popup buttons
$ /js/inserts.js

24-Dec-2009 Merged changes from main trunk 2.2.1-2.2.2 as follows
------------------------------- Release 2.2.2 ----------------------------------
23-Dec-2009 Joe Hunt
! Release 2.2.2
$ /update.html
! Changed so Printed Sales Order (Quotation) shows TOTAL VAT INCL. if it is.
$ /reporting/rep109.php
  /reporting/rep111.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
# Restoring journal entry sql to previous without join with bank_trans
  due to error in joins. Tom Hallman works on it until 2.2.3
$ /gl/inquiry/journal_inquiry.php  
! Replaced all deprecated functions so FA runs in php >= 5.3.0 as well.
$ /admin/db/maintenance_db.inc
  /gl/gl_bank.php
  /includes/db_pager.inc
  /includes/session.inc
  /includes/lang/language.php
  /includes/page/header.inc
  /install/save.php
  /inventory/adjustments.php
  /inventory/transfers.php
  /purchasing/supplier_invoice.php
  /purchasing/allocations/supplier_allocate.php
  /purchasing/includes/ui/po_ui.inc
  /reporting/includes/class.graphic.inc
  /reporting/includes/tcpdf.php
  /reporting/includes/Workbook.php
  /sales/allocations/customer_allocate.php
  
22-Dec-2009 Joe Hunt
! Some additional changes in pdf_report.inc for supporting report extensions.
$ /reporting/includes/pdf_report.inc
  /reporting/includes/excel_report.inc

21-Dec-2009 Chaitanya/Janusz Dobrowolski
# [0000184] Bad source document quantities update and invalid qtys during
	derivative document entry.
$ /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
# Fixed quantity columns descriptions in delivery edition.
$ /sales/customer_delivery.php

21-Dec-2009 Joe Hunt
# Function money_format function doesn't exist in OS Win. Fix in current_user.inc
  Some errors in header3() in pdf_report.inc.
$ /includes/current_user.inc
  /reporting/includes/pdf_report.inc

18-Dec-2009 Joe Hunt
# Allowing a quantity of 0 in a PO item line when modifying caused strange result.
  Fixed depending on the decimals in the stock item to not allow less than minimum.
$ /purchasing/po_entry_items.php

12-Dec-2009 Joe Hunt
! Implemented search on categories as well in sales_items_list...
$ /includes/ui/ui_lists.inc

09-Dec-2009 Janusz Dobrowolski
+ Added system diagnostics page
$ /admin/system_diagnostics.php
  /applications/setup.php

08-Dec-2009 Tom Hallman/Joe Hunt
+ Extended the Report Engine to better support own reports
$ /reporting/includes/class.pdf.inc
  /reporting/includes/excel_report.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/tcpdf.php
  /reporting/fonts/courier.php (new file)
  /reporting/fonts/times.php (new file)
  /reporting/fonts/timesb.php (new file)
  /reporting/fonts/timesbi.php (new file)
  /reporting/fonts/timesi.php (new file)
  /reporting/fonts/symbol.php (new file)
  /reporting/fonts/zapfdingbats.php (new file)
  
07-Dec-2009 Joe Hunt
! Providing use of alternative providers for exchange rates.
$ /gl/includes/db/gl_db_rates.inc

06-Dec-2009 Janusz Dobrowolski
# Safer algorithm for company removal, additional prefix check on company add.
$ /admin/create_coy.php
  /admin/db/maintenance_db.inc

04-Dec-2009 Janusz Dobrowolski
# [0000179] Cannot allocate ST_BANKPAYMENT type payments
$ /includes/ui/allocation_cart.inc
# False currency rate error on first opening of sales order page when customer_list is off.
$ /sales/includes/cart_class.inc

04-Dec-2009 Joe Hunt
# Print Statement prints balances in wrong place.
$ /reporting/rep108.php
! Better date2sql in date_functions.inc
$ /includes/date_functions.inc

03-Dec-2009 Janusz Dobrowolski
# Fixed bug [0000178] data error in supplier allocations
$ /includes/ui/allocation_cart.inc

---------- End of changes from main trunk 2.2.1-2.2.2

10-Dec-2009 Joe Hunt
+ Enhanced Quick Entries to also support Balance Based source amount. Monthly or Yearly (all)
  Only works with type Journal Entry.
$ /gl/manage/gl_quick_entries.php
  /gl/includes/ui/gl_journal_ui.inc
  /includes/ui/ui_view.inc
  /sql/alter2.3.sql
  /sql/en_US-new.sql
  /sql/en_US-demo.sql
  .
05-Dec-2009 Joe Hunt
! Moved all SQL statements from PHP files into relevant *_db.inc files.
  All folders done, except reporting/repXXX.php and reporting/includes/reports_classes.inc
  Awaiting change in report mechanism
$ /includes/ui/allocation_cart.inc
  /reporting/includes/header2.inc
  /reporting/includes/reports_classes.inc (partly)
  /sales/create_recurrent_invoices.php
  /sales/customer_payments.php
  /sales/allocations/customer_allocate.php
  /sales/includes/sales_db.inc
  /sales/includes/db/branches_db.inc
  /sales/includes/db/custalloc_db.inc
  /sales/includes/db/customers_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/recurrent_invoices_db.inc (new file)
  /sales/includes/db/sales_groups_db.inc (new file)
  /sales/includes/db/sales_order_db.inc
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
  /sales/manage/credit_status.php
  /sales/manage/customers.php
  /sales/manage/customer_branches.php
  /sales/manage/recurrent_invoices.php
  /sales/manage/sales_areas.php
  /sales/manage/sales_groups.php
  /sales/manage/sales_people.php
  /sales/manage/sales_points.php
  /sales/manage/sales_types.php
  /sales/view/view_sales_order.php
  /taxes/item_tax_types.php
  /taxes/tax_groups.php
  /taxes/tax_types.php
  /taxes/db/tax_types_db.inc

04-Dec-2009 Janusz Dobrowolski
+ Next release upgrade skeleton files.
$ /sql/alter2.3.php (new)
  /sql/alter2.3.sql (new)

04-Dec-2009 Tom Hallman
# Added key on type, id in comments to improve performance
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql

04-Dec-2009 Joe Hunt
! Moved all SQL statements from PHP files into relevant *_db.inc files.
  Included purchasing folder
$ /includes/db/manufacturing_db.inc
  /manufacturing/search_work_orders.php
  /manufacturing/work_order_costs.php
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/inquiry/where_used_inquiry.php
  /manufacturing/manage/bom_edit.php
  /manufacturing/manage/work_centres.php
  /purchasing/po_entry_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/suppalloc_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocations_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/manage/suppliers.php

03-Dec-2009 Joe Hunt
! Moved all SQL statements from PHP files into relevant *_db.inc files.
  Included inventory folder
$ /admin/payment_terms.php
  /admin/printers.php
  /admin/print_profiles.php
  /admin/shipping_companies.php
  /admin/db/company_db.inc
  /admin/db/printers_db.inc
  /admin/db/shipping_db.inc
  /dimensions/includes/dimens_db.inc
  /gl/gl_bank.php
  /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/db/gl_db_curriencies.inc
  /gl/manage/bank_accounts.php
  /gl/manage/currencies.php
  /gl/manage/gl_accounts.php
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /inventory/purchasing_data.php
  /inventory/includes/inventory_db.inc
  /inventory/includes/db/items_category_db.inc
  /inventory/includes/db/items_db.inc
  /inventory/includes/db/items_locations_db.inc
  /inventory/includes/db/items_purchases_db.inc (New file)
  /inventory/includes/db/movement_types_db.inc
  /inventory/inquiry/stock_movements.php
  /inventory/manage/items_php
  /inventory/manage/item_categories.php
  /inventory/manage/locations.php
  /inventory/manage/movement_types.php
  
02-Dec-2009 Janusz Dobrowolski
! Merged changed from trunk up to 2.2.1 ---------------------------------------

$ /sql/en_US-demo.sql
# Fixed to store default null values on export
$ /admin/db/maintenance_db.inc
! Display sql in case of duplicate data error when go_debug=1 - redone
$ /includes/errors.inc
# Display settings are restored in every login in demo mode.
$ /admin/display_prefs.php
  /includes/current_user.inc
# Fixed view/download backup
$ /admin/backups.php

$ config.default.php
  /lang/new_language_template/LC_MESSAGES/empty.po
  /lang/en_US/LC_MESSAGES/en_US.mo
# More restrictions on deleting gl_accounts
$ /gl/manage/gl_accounts.php
! Changed 'delete' to 'deldump' in backups.php to better satisfy IE8 (Yes!)
$ /admin/backups.php

01-Dec-2009 Janusz Dobrowolski
# Removing config.php after error during install. Otherwise misleading message is displayed.
$ /install/save.php
! Display sql in case of duplicate data error when go_debug=1.
$ /includes/errors.inc
! Next transaction numbers retrieved from transaction table instead of sys_types
$ /includes/systypes.inc

29-Nov-2009 Janusz Dobrowolski
# Fixed change of language in display preferences. Removed sparse $_SESSION['languages'] variable
$ /includes/lang/language.php
  /includes/session.inc
! Array helpers moved to current_user. Added array_search_key and array_search_key helpers.
$ /includes/current_user.inc
  /includes/main.inc

28-Nov-2009 Chaitanya/Joe Hunt
# Missing ajax trigger in stock_purchasable_items_list_cells. Prices not updated instantly.
$ /purchasing/includes/ui/po_ui.inc

26-Nov-2009 Joe Hunt
# Round to nearest value of 0 produced a division by zero error
$ /admin/company_preferences.php
# When printing reference numbers instead of internal numbers on documents
  it should also refer to reference numbers in deliveries and orders.
$ /reporting/includes/header2.inc

25-Nov-2009 Joe Hunt/Tom Hallman
# Fixed so total amount cannot be 0 in Bank Payments/Deposits
$ /gl/gl_bank.php

21-Nov-2009 Janusz Dobrowolski
# Fixed bug [0000178] data error in supplier allocations
$ /includes/ui/allocation_cart.inc
! Fixed type constant usage.
$ /purchasing/includes/db/supp_trans_db.inc

--------------

01-Dec-2009 Joe Hunt
! Moved all SQL statements from PHP files into relevant *_db.inc files.
  included gl folder
$ /dimensions/includes/dimensions_db.inc
  /dimensions/includes/dimensions_ui.inc
  /dimensions/inquiry/search_dimensions.php
  /gl/bank_account_reconcile.pph
  /gl/gl_budget.php
  /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_currencies.inc
  /gl/includes/db/gl_db_rates.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/bank_inquiry.php
  /gl/inquiry/journal_inquiry.php
  /gl/manage/bank_accounts.php
  /gl/manage/currencies.php
  /gl/manage/exchange_rates.php
  /gl/manage/gl_accounts.php
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/view/gl_trans_view.php
  
30-Nov-2009 Joe Hunt
! Moved all SQL statements from PHP files into relevant *_db.inc files.
  admin folder
$ /admin/attachments.php
  /admin/create_coy.php
  /admin/fiscalyears.php
  /admin/gl_setup.php
  /admin/payment_terms.php
  /admin/printers.php
  /admin/shipping_companies.php
  /admin/view_print_transaction.php
  /admin/db/attachments_db.inc (New file)
  /admin/db/company_db.inc
  /admin/db/fiscalyears_db.inc (New file)
  /admin/db/maintenance_db.inc
  /admin/db/printers_db.inc
  /admin/db/shipping_db.inc (New file)
  /admin/db/transactions_db.inc (New file)
  /includes/date_functions.inc
  /reporting/includes/excel_report.inc
  /reporting/includes/pdf_report.inc

------------------------------- Release 2.2 ----------------------------------
18-Nov-2009 Joe Hunt
! Release 2.2
$ config.default.php
# Allow null references in trans to show up in gl_trans_view
$ /gl/view/gl_trans_view.php
# Fixed side bug after last sql update.
$ /gl/bank_account_reconcile.php

17-Nov-2009 Joe Hunt/Tom Hallman
! Moved payment terms in documents for better view. Increased
  space for legal text.
$ /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc
! Changed sorting in get_gl_transactions to sort by tran_date, counter
  Changed period in Journal Entries to one month instead of one year.
$ /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/journal_inquiry.php
! Changed rep705 to show fiscal year instead of year
$ /reporting/rep705.php
  /reporting/includes/reports_classes.inc
! updated fles
$ update.html
  /lang/new_language_template/LC_MESSAGES/empty.po
  
15-Nov-2009 Janusz Dobrowolski
+ Added integration of custom and extended reports into reporting module; optimizations.
$ /reporting/prn_redirect.php
  /reporting/reports_main.php
  /reporting/includes/reports_classes.inc
! All *_list() helper functions now return html code, while *_list_cells/*_list_row() display the controls directly.
$ /includes/ui/ui_lists.inc
  /admin/backups.php
  /admin/inst_module.php
  /admin/print_profiles.php
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /gl/manage/exchange_rates.php
  /includes/ui/ui_input.inc
  /inventory/cost_update.php
  /inventory/prices.php
  /inventory/purchasing_data.php
  /inventory/reorder_level.php
  /inventory/inquiry/stock_status.php
  /inventory/manage/item_codes.php
  /inventory/manage/items.php
  /inventory/manage/sales_kits.php
  /manufacturing/inquiry/where_used_inquiry.php
  /manufacturing/manage/bom_edit.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /sales/allocations/customer_allocation_main.php
  /sales/manage/customer_branches.php

13-Nov-2009 Tom Hallman/Joe Hunt
! Allow editing account when editing a row in GL Bank and GL Journal Entry
$ /gl/gl_bank.php
  /gl/gl_journal.php
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /includes/ui/items_cart.inc
# Transaction bug in void_journal_trans()
$ /gl/includes/db/gl_db_trans.inc

12-Nov-2009 Tom Hallman/Joe Hunt
! Cleaning the CHANGELOG.txt file
! Changed to allow change of reference in GL modifying
$ /gl/includes/db/gl_db_trans.inc
  /gl/gl_journal.php
  /gl/includes/ui/bl_journal_ui.inc
  /gl/view/gl_trans_view.php
  /includes/references.inc
  /includes/db/references_db.inc
  
12-Nov-2009 Tom Hallman/Janusz Dobrowolski
+ Added amount range in gl inquires.
$ /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/gl_account_inquiry.php
! Changed menu option text for GL inquiry
$ /applications/generalledger.php
# Fixed typo
$ /doc/access_levels.txt
# Fixed maximal memo line length.
$ /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc

12-Nov-2009 Tom Hallman/Joe Hunt
! Changed Journal Inquiries so it shows the Bank Deposit/Payment amount
  instead of sum of positive transaction.
$ /gl/inquiry/journal_inquiry.php

10-Nov-2009 Janusz Dobrowolski
# Fixed value for SA_SUPPBULKREP access area.
$ /includes/access_levels.inc
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

10-Nov-2009 Joe Hunt
# disallow bank accounts in accounts list in Bank Deposits/Payments.
  It produces double records in bank inquiry otherwise..
$ /gl/includes/ui/gl_bank_ui.inc
# disallow bank accounts in accounts list when type is Bank Deposits
  or Payments. See above.
$ /gl/manage/gl_quick_entries.php
# type warning in dimension tags
$ /admin/tags.php

09-Nov-2009 Janusz Dobrowolski
! Fixed help link to provide ctxhelp switch and clean the page context string.
$ /includes/page/header.inc

08-Nov-2009 Joe Hunt
# Bug in adding freight cost to sales order/quotation
$ /sales/inquiry/sales_orders_view.php
! Additional improvements on layout display
$ /purchasing/includes/ui/invoice_ui.inc
  /purchasing/view/view_po.php
  /sales/view/view_sales_order.php
! Changed the Running Balance column in Customer Transaction
  to only show when the type is selected. The order is not
  good before sorting in date order
$ /sales/inquiry/customer_inquiry.php  

07-Nov-2009 Janusz Dobrowolski
# Added missing help_context
$ /sales/inquiry/sales_orders_view.php

07-Nov-2009 Joe Hunt
! More improvements on layout display.
$ /purchases/includes/ui/po_ui.inc
  /inventory/includes/item_adjustments_ui.inc

06-Nov-2009 Janusz Dobrowolski
# Include sequence fixed.
$ /admin/tags.php
  
06-Nov-2009 Joe Hunt
! Improved layout in the new tax info display. Also old ones.
$ /sales/credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc

05-Nov-2009 Joe Hunt
! Display tax info in Sales Quotation, Order, Direct Delivery and Invoice.
$ /sales/includes/ui/sales_order_ui.inc
  /sales/sales_order_entry.php
! Include freight_cost in Sales Quotations, Orders in inquiries.
$ /sales/inquiry/sales_orders_view.php
# Bug on line 215 in /sales/customer_delivery.php
$ /sales/customer_delivery.php

04-Nov-2009 Tom Hallman/Joe Hunt
! Included dimension(s) in Bank Deposit/Payment View and correct signs.
$ /gl/view/gl_deposit_view.php
  /gl/view/gl_payment_view.php
  
04-Nov-2009 Janusz Dobrowolski
# Fixed bug introduced during security update and merged from main trunk.
$ /admin/db/printers_db.inc

03-Nov-2009 Janusz Dobrowolski
! Added optional parameter to add_bank_transaction
$ /gl/includes/db/gl_db_banking.inc
# Fixed missing default price_dec.
$ /includes/prefs/userprefs.inc

03-Nov-2009 Joe Hunt
# Bad debit account when debiting service items.
$ /purchasing/includes/db/invoice_db.inc
# Removed unneeded reference to $result in db_num_rows. Gave warnings.
$ /includes/db/connect_db.inc
! Better formatting of update.html
$ update.html
# Wrong presentation on reference and order in Customer Allocation Inquiry
$ /sales/inquiry/customer_allocation_inquiry.php
! Changed so reference no in QUOTE/SO/INV/CRE/PO is printed instead of trans_no 
  if global variable in config.php, $print_invoice_no = 0 (default).
$ /reporting/includes/header2.inc
  /reporting/includes/reports_classes.inc
  
02-Nov-2009 Janusz Dobrowolski
# Bad default value retrieved for service COGS account.
$ /inventory/manage/items.php

01-Nov-2009 Joe Hunt
! Changed $date_system value of 3 to be traditional, but non-workday is Friday 
  and start of week is Saturday. For DatePicker.
$ config.default.php
  /includes/date_functions.inc
  /includes/ui/ui_view.inc
# Bugs in function show_users_online in users_db.inc
$ /admin/db/users_db.inc

01-Nov-2009 Janusz Dobrowolski
+ Added default date format and date separator used before login.
$ /config.default.php
  /includes/prefs/userprefs.inc

30-Oct-2009 Janusz Dobrowolski
# Fixed non-default company selection bug on login.
$ /includes/session.inc
! Code cleanup.
$ /includes/db/connect_db.inc

30-Oct-2009 Joe Hunt
! Changed name on folder for global help url to fawiki.
$ /config.default.php

29-Oct-2009 Janusz Dobrowolski
! Changed context help organization to enable use of central multilanguage wiki.
$ /config.default.php
  /admin/*.php
  /applications/*.php
  /dimensions/dimension_entry.php
  /dimensions/inquiry/search_dimensions.php
  /dimensions/view/view_dimension.php
  /gl/*.php
  /gl/inquiry/*.php
  /gl/manage/*.php
  /gl/view/*.php
  /includes/page/header.inc
  /inventory/*.php
  /inventory/inquiry/*.php
  /inventory/manage/*.php
  /inventory/view/*.php
  /manufacturing/*.php
  /manufacturing/inquiry/*.php
  /manufacturing/manage/*.php
  /manufacturing/view/*.php
  /purchasing/*.php
  /purchasing/allocations/*.php
  /purchasing/inquiry/*.php
  /purchasing/manage/suppliers.php
  /purchasing/view/*.php
  /reporting/reports_main.php
  /sales/*.php
  /sales/allocations/*.php
  /sales/inquiry/*.php
  /sales/manage/*.php
  /sales/view/*.php
  /taxes/item_tax_types.php
  /taxes/tax_groups.php
  /taxes/tax_types.php
  /themes/aqua/renderer.php
  /themes/cool/renderer.php
  /themes/default/renderer.php

28-Oct-2009 Joe Hunt
! Changed report Annual Expense Breakdown to follow the fiscal year instead of 
  calendar year. The year selector selects the start of the fiscal year.
  Only the last 12 months are shown.
$ /reporting/rep705.php

27-Oct-2009 Joe Hunt
# Database error when updating item.
$ /inventory/includes/db/items_db.inc
# Removed unneeded double forms in scripts with db_pager. Missing $_POST variables.
$ /dimensions/inquiry/search_dimensions.php
  /manufacturing/search_work_orders.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
  /sales/inquiry/customer_inquiry.php
  
26-Oct-2009 Janusz Dobrowolski
# [0000177] Fixed error during gl class update.
$ /gl/includes/db/gl_db_account_types.inc

26-Oct-2009 Joe Hunt
# Fixed another compatibility issue with MySQL 3.xx (DATE)
$ /reporting/rep710.php
! Late changes in empty.po and en_US.mo
$ /lang/new_language_template/LC_MESSAGES/empty.po
  /lang/en_US/LC_MESSAGES/en_US.mo

24-Oct-2009 Janusz Dobrowolski
# Fixed compatibility issue with MySQL 3.xx
$ /admin/db/tags_db.inc

24-Oct-2009 Janusz Dobrowolski
+ Default add/update button, ajax update.
$ /dimensions/dimension_entry.php
  /gl/manage/gl_accounts.php
! Removed obsolete $tabs global array (tab ids retrieved from $_SESSION['App'])
$ /includes/types.inc
  /includes/ui/ui_lists.inc
  /admin/inst_module.php
  /includes/page/header.inc
# Fixed ajax support for multiply selects.
$ /js/utils.js
# Fixed buggy php behaviour when foreach is used on global array.
$ /frontaccounting.php

------------------------------- Release 2.2 RC ----------------------------------
24-Oct-2009 Joe Hunt
! Changed so -1 as parameters to dimensions in get_transactions db routines only 
  fetches NO dimensions. 
$ /gl/includes/db/gl_db_trans.inc
  /reporting/rep705.php
  /reporting/includes/reports_classes.inc

24-Oct-2009 Janusz Dobrowolski
# Added text fields sanitiozation during upgrade to 2.2.
$ /sql/alter2.2.php
# Fixed error log warning (missing installed_extensions()) during upgrade .
$ /includes/session.inc
# CVS folders exluded from flush_dir to avoid unwanted warnings in error log on devel boxes.
$ /includes/main.inc

23-Oct-2009 Janusz Dobrowolski
# Fixed 2.2 upgrade pre_check
$ /sql/alter2.2.php
# Fixed check_table() to avoid sparse messages in error log
$ /admin/inst_update.php
# Fixed module update and deletion.
$ /admin/inst_module.php

22-Oct-2009 Tom Hallman
+ Added generic tags support and tags for dimensions/gl accounts.
$ /applications/dimensions.php
  /applications/generalledger.php
  /dimensions/dimension_entry.php
  /gl/manage/gl_accounts.php
  /includes/data_checks.inc
  /includes/ui/ui_lists.inc
  /admin/tags.php (new)
  /admin/db/tags_db.inc (new)

22-Oct-2009 Janusz Dobrowolski
# Fixed bug in setting default value in array_selector, fixed default fo systypes selector.
$ /includes/ui/ui_lists.inc
# Fixed double escaping during add/update.
$ /dimensions/includes/dimensions_db.inc
# More security fixes in sql statements.
$ /gl/manage/bank_accounts.php
  /gl/manage/currencies.php
  /gl/manage/exchange_rates.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php
  /includes/db/audit_trail_db.inc
  /includes/db/comments_db.inc
  /includes/db/inventory_db.inc
  /includes/db/manufacturing_db.inc
  /includes/db/references_db.inc
# Initial value for $next_extension_id added.
$ /admin/db/maintenance_db.inc
# Added fixing special chars in refs table during upgrade
$ /sql/alter2.2.php

21-Oct-2009 Joe Hunt
! Changed install.html, update.html and empty.po files
$ install.html
  update.html
  /lang/new_language_template/LC_MESSAGES/empty.po
! Enabled a global flag in config.default.php (config.php), $show_users_online = 0.
  If this flag is set to 1 FA will show discretely the users online in the footer.
$ config.default.php
  /admin/db/users_db.inc

21-Oct-2009 Janusz Dobrowolski
! Upgrade scripts modified to be used with 2.1 or 2.2beta
$ /sql/alter2.1.php
  /sql/alter2.2.php
  /sql/alter2.2rc.sql (new)
  /admin/inst_upgrade.php
# Fixed help link.
$ /includes/page/header.inc
# Fixed upgrade of reference table to avoid duplicate record error.
$ /sql/alter2.2.php
# Fixed bug in array_selector 
$ /includes/ui/ui_lists.inc

20-Oct-2009 Janusz Dobrowolski
! Conditional config files generation - prevents overwrite during upgrade.
$ /config.php (removed)
  /installed_extensions.php (removed)
  /company/0/installed_extensions.php (removed)
  /config.default.php  (new initial default)
  /config_db.php (removed initial version)
  /admin/db/maintenance_db.inc
  /includes/session.inc
  /install/index.php
  /install/save.php
  /lang/installed_languages.inc (removed initial version)
! Moving control to install wizard when config file does not exists.
$ /index.php
# Fixed db error message
$ /dimensions/includes/db/dimension_db.inc

18-Oct-2009 Janusz Dobrowolski (merged changes for 2.1.7 from main branch)
! Added html_entity_decode() in db_escape() for correct INSERT>SELECT>INSERT sequences.
$ /includes/db/connect_db.inc
# Fixed warnings on first page display
$ /admin/company_preferences.php
# Fixed erroneous message
$ /gl/manage/gl_account_types.php
# Security sql statements update against sql injection attacks.
$ /admin/attachments.php
  /admin/payment_terms.php
  /admin/print_profiles.php
  /admin/printers.php
  /admin/shipping_companies.php
  /admin/view_print_transaction.php
  /admin/db/company_db.inc
  /admin/db/printers_db.inc
  /admin/db/voiding_db.inc
  /admin/db/users_db.inc
  /dimensions/includes/dimensions_db.inc
  /dimensions/inquiry/search_dimensions.php
  /gl/bank_account_reconcile.php
  /gl/gl_budget.php
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_currencies.inc
  /gl/includes/db/gl_db_rates.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/bank_inquiry.php
  /gl/view/bank_transfer_view.php
  /gl/view/gl_trans_view.php
  /inventory/cost_update.php
  /inventory/purchasing_data.php
  /inventory/includes/db/items_category_db.inc
  /inventory/includes/db/items_codes_db.inc
  /inventory/includes/db/items_db.inc
  /inventory/includes/db/items_locations_db.inc
  /inventory/includes/db/items_prices_db.inc
  /inventory/includes/db/items_trans_db.inc
  /inventory/includes/db/items_units_db.inc
  /inventory/includes/db/movement_types_db.inc
  /inventory/inquiry/stock_movements.php
  /inventory/manage/item_categories.php
  /inventory/manage/item_units.php
  /inventory/manage/items.php
  /inventory/manage/locations.php
  /inventory/manage/movement_types.php
  /manufacturing/search_work_orders.php
  /manufacturing/includes/db/work_centres_db.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
  /manufacturing/includes/db/work_order_requirements_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /manufacturing/inquiry/where_used_inquiry.php
  /manufacturing/manage/bom_edit.php
  /manufacturing/manage/work_centres.php
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/invoice_items_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/includes/db/suppalloc_db.inc
  /purchasing/includes/db/suppliers_db.inc
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/manage/suppliers.php

12-Oct-2009 Janusz Dobrowolski (merged)
# Fixed sql injection vulnerability on some php/mysql configurations
$ /admin/db/users_db.inc
! Single quotes also encoded before database data insert
$ /admin/db/maintenance_db.inc
  /includes/db/connect_db.inc
  /reporting/includes/tcpdf.php
  /sales/includes/cart_class.inc

16-Oct-2009 Janusz Dobrowolski
+ Access control system description.
$ /doc/access_levels.txt (new)

14-Oct-2009 Janusz Dobrowolski
# [0000173] Missing global systypes_array declaration.
$ /purchasing/allocations/supplier_allocate.php

14-Oct-2009 Joe Hunt
# [0000172] Difference between Customer Balances and Print Statements
$ /reporting/rep108.pp

13-Oct-2009 Janusz Dobrowolski
# Fixed default page access.
$ /sales/inquiry/sales_orders_view.php

13-Oct-2009 Joe Hunt
+ Added discrete users online in footer (from Wish List Forum) (New rerun)
$ /admin/db/users_db.inc
  /sql/alter2.2.sql
  /sql/en_US-new.sql
  /sql/en_US-demo.sql
  /themes/aqua/renderer.php
  /themes/cool/renderer.php
  /themes/default/renderer.php
! Changed Tag types in reports_classes to be the same as defined in types.inc. Suitable height=5
$ /reporting/includes/reports_classes.inc
! Code cleanup (old code removed)
$ /includes/ui_view.inc
  
12-Oct-2009 Janusz Dobrowolski
# Fixed sql injection vulnerability on some php/mysql configurations
$ /admin/db/users_db.inc
# Fixed broken table editor page layout on duplicate record.
$ /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_accounts.inc
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php
# [0000169],[0000174] Removed sparse session var unset firing error.
  /sales/allocations/customer_allocation_main.php
  /purchasing/allocations/supplier_allocation_main.php

11-Oct-2000 Joe Hunt
# [0000168] Undefined variable: paylink in file rep110.php
$ /reporting/rep110.php
  /reporting/includes/pdf_report.inc
  
11-Oct-2009 Janusz Dobrowolski
+ Added security area for sales quotes entry
$ /applications/customers.php
  /includes/access_levels.inc
  /sql/alter2.2.php
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Standard SA_DENIED access level added.
$ /includes/current_user.inc
+ Added helper function for setting page_security level depending on GET content and/or expression value
$ /includes/session.inc
# Fixed security areas sort order
$ /admin/security_roles.php
# Fixed page_security for various usage types.
$ /sales/sales_order_entry.php
  /sales/inquiry/sales_orders_view.php

10-Oct-2009 Janusz Dobrowolski
! Changed access control extensions support for modules/plugins to use unique extension ids
$ /admin/inst_module.php
  /admin/security_roles.php
  /admin/db/maintenance_db.inc
  /includes/access_levels.inc
  /includes/current_user.inc
  /installed_extensions.php
  /index.php
# Enabled error handling for extensions
$ /frontaccounting.php
# Page code rewrite
$ /admin/inst_module.php
# Fixed missing parameters in update_user_display_prefs call
$ /admin/users.php
! Non-accesable menu options displayed as text instead of link
$ /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/suppliers.php
# Fixed error handling for duplicate table records
$ /includes/errors.inc
# Fixed php 5.3 function name conflict
$ /includes/main.inc
  /sales/inquiry/sales_orders_view.php
# Fixed delivery note edition bug (introduced during systypes rewrite)
$ /sales/includes/cart_class.inc
! Changed page_security to SASALESINVOICE
$ /sales/inquiry/sales_deliveries_view.php

09-Oct-2009 Joe Hunt
+ Added option to print delivery notes as packing slip in reports and links.
$ /includes/ui/ui_controls.inc 
  /reporting/rep110.php
  /reporting/reports_main.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/reporting.inc
  /sales/customer_delivery.php
  /sales/sales_order_entry.php
  
08-Oct-2009 Joe Hunt
+ Prepared the Report Engine for Tags handling.
! Changed report::getDisplay() to use combo_input from ui_lists.inc insted of local function
  dup_simple_codeandname_list().
$ /reporting/includes/reports_classes.inc
! Changed a parameter in report 301.php to be Summary Only instead of Detailed report.
$ /reporting/reports_main.php
  /reporting/rep301.php

06-Oct-2009 Tom Hallman
# moved commit_transaction and added a default use_transaction param in write_journal_entries
$ /gl/includes/db/gl_db_trans.inc
# Show Journal Entries from 2.1 as closed in Journal Inquiries.
$ /gl/inquiry/journal_inquiry.php

03-Oct-2009 Janusz Dobrowolski
# Fixed false upgrade related error displayed in some situations on logout.
$ /access/logout.php
# Missing old_db declaration fixed.
$ /includes/current_user.inc
# Fixed combo_input and array_selector to accept array of selected items from POST.
$ /includes/ui/ui_lists.inc
!  Changed structure of tag_associations table.
$ /sql/alter2.sql
  /sql/en_US-new.sql
  /sql/en_US-demo.sql

03-Oct-2009 Joe Hunt
# Bad conversion of timestamp value in report audit trail.
$ /reporting/rep710.php

01-Oct-2009 Janusz Dobrowolski
! Added comment on add_access_extensions usage.
$ /includes/access_levels.inc
# Removed sparse add_access_extensions() call.
$ /includes/session.inc
+ Added support for multiply select options in combo_input.
$ /includes/ui/ui_lists.inc
! Unaccesable menu options are now displayed as grey text.
$ /themes/aqua/default.css
  /themes/aqua/renderer.php
  /themes/cool/default.css
  /themes/cool/renderer.php
  /themes/default/default.css
  /themes/default/renderer.php

------------------------------- Release 2.2 Beta ----------------------------------
30-Sep-2009 Joe Hunt
! Release 2.2 Beta
$ config.php
  update.html
# Errors in the 2 last user variables in userprefs and parse error in alter2.2.php 
$ /includes/prefs/userprefs.inc
  /sql/alter2.2.php
# Trivial errors in not set bank charge account, retained earnings or profit/loss year account
$ /admin/fiscalyears.php
  /purchasing/supplier_payment.php
  /sales/customer_payments.php
# Parse error in view_supp_payment.php
$ /purchasing/view/view_supp_payment.php

30-Sep-2009 Janusz Dobrowolski
! Single quotes also encoded before database data insert
$ /admin/db/maintenance_db.inc
  /includes/db/connect_db.inc
  /reporting/includes/tcpdf.php
  /sales/includes/cart_class.inc
# Included missing dimension configuration section.
$ /includes/access_levels.inc
! Changed tag types array name
$ /includes/types.inc
# Message typo
$ /sql/alter2.2.php
# Fixed false error on payment without allocation.
$ /purchasing/supplier_payment.php
  /sales/customer_payments.php
# Fixed access to payments when deposits are disabled.
$ /gl/gl_bank.php
! Access level checking moved to page() function to make session start 
	and page access checks independent.
$ /includes/main.inc
  /includes/session.inc
# Back link on upgrade help page
  /includes/current_user.inc

29-Sep-2009 Tom Hallman
! Changes in tags table structure, tags related security areas
$ /includes/access_levels.inc
  /includes/types.inc
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

29-Sep-2009 Janusz Dobrowolski
# Fixed sql error during sales order line update with line cancelation.
$ /sales/includes/db/sales_order_db.inc

29-Sep-2009 Joe Hunt
! Improved layout on documents etc and new empty language file.
$ /doc/*.txt
  update.html
  /lang/new_language_template/LC_MESSAGES/empty.po
  
28-Sep-2009 Janusz Dobrowolski
+ Rewritten extensions system to enable per company module/plugin activation. 
$ /frontaccounting.php
  /installed_extensions.php
  /admin/create_coy.php
  /admin/inst_module.php
  /admin/inst_lang.php
  /admin/db/maintenance_db.inc
  /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/suppliers.php
  /includes/access_levels.inc
  /includes/current_user.inc
  /includes/main.inc
  /includes/session.inc
  /includes/ui/ui_lists.inc
  /sql/alter2.2.php
  /modules/installed_modules.php (Removed)
# Prevented switching off access to security role editor for current role.
$ /admin/security_roles.php

25-Sep-2009 Joe Hunt
# Wrong presentation of qty decimals when trans_no != 0 (delivered)
$ /sales/includes/ui/sales_order_ui.inc
! Improved layout of login screen
$ /addess/login.php
  /themes/default/login.css
  
24-Sep-2009 Janusz Dobrowolski
+ Additional fields for secondary phone and/or general notes in customers, 
 cust_branches, shippers, locations and suppliers tables.
$ /admin/shipping_companies.php
  /inventory/includes/db/items_locations_db.inc
  /inventory/manage/locations.php
  /purchasing/manage/suppliers.php
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

24-Sep-2009 Joe Hunt
# Parse error
$ /sales/inquiry/customer_inquiry.php

23-Sep-2009 Janusz Dobrowolski
# Fixed crash for all transaction types report
$ /reporting/rep702.php

23-Sep-2009 Joe Hunt
# Cleaning from javascript errors.
$ /access/login.php
  /admin/fiscalyears.php
# missing unset of post variable (DayNumber).
$ /admin/payment_terms.php
! Changed login to be dependent only by login.css
$ /themes/default/login.css
  
22-Sep-2009 Joe Hunt
! Changed copyright notice in installer files to credit the original copyrighter. GPLv3.
$ /install/index.php
  /install/save.php
! Updated the install.html and created a doc txt file, about sales quotations.
$ install.html
  /doc/2.2_Beta.txt
  /doc/sales_quotations.txt
! Changed login.php and logout.php to be neutral and tried to use our own api.
$ /access/login.php
  /access/logout.php
# parse error in login_fail
$ /includes/session.inc
  
21-Sep-2009 Janusz Dobrowolski/Tom Hallman
! Added info on timeout and default bank accounts.
$ /doc/2.2_Beta.txt
! Tags support related changes in database
$ /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

20-Sep-2009 Joe Hunt
! Removed editable rate field in tax_group_items.
$ /taxes/tax_groups.php
# Fixed report layout
$ /reporting/rep704.php

20-Sep-2009 Janusz Dobrowolski
+ Optional demo data checkbox on install page.
$ /install/index.php
  /install/save.php
# Fixed previous interface mode after timeout.
$ /access/login.php
+ Optional additional security roles includable from modules/extensions
$ /admin/inst_module.php
  /admin/security_roles.php
  /includes/access_levels.inc
  /installed_extensions.php
! Bug with rates display fixed in single form layout.
$ /taxes/tax_groups.php
# Fixed 'bad password' info screen to be usable also in non-js mode.
$ /includes/session.inc
# Fixed debtors_master name size.
$ /sql/en_US-new.sql
  /sql/en_US-demow.sql

19-Sep-2009 Janusz Dobrowolski
+ Support for inactive record control added, optimizations.
$ /includes/db_pager.inc
  /includes/ui/db_pager_view.inc
! db_pager instead of simple table used for table of branches
$ /sales/manage/customer_branches.php
! Cleanup after db_pager optimization
$ /admin/view_print_transaction.php
  /dimensions/inquiry/search_dimensions.php
  /gl/bank_account_reconcile.php
  /gl/inquiry/journal_inquiry.php
  /gl/manage/exchange_rates.php
  /manufacturing/search_work_orders.php
  /manufacturing/inquiry/where_used_inquiry.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /sales/allocations/customer_allocation_main.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
# Additional fix after removal of bank account report parameter
$ /sales/create_recurrent_invoices.php
  /reporting/rep107.php

19-Sep-2009 Joe Hunt
# Eliminate PT_WORKORDER from payment_person_types_list
$ /includes/ui/ui_lists.inc
! Error msg in Bank Transfer if no Bank Charge Account set.
$ /gl/bank_transfer.php

18-Sep-2009 Janusz Dobrowolski
+ Added currency default bank accounts used in reporting instead of manual account selector.
$ /gl/includes/db/gl_db_bank_accounts.inc
  /gl/manage/bank_accounts.php
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep111.php
  /reporting/rep209.php
  /reporting/reports_main.php
  /reporting/includes/reporting.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

17-Sep-2009 Joe Hunt
+ Added release note file for 2.2.
$ /doc/2.2-Beta.txt

16-Sep-2009 Joe Hunt
! Clean ups in default themes.
$ config.php
  /admin/display_prefs.php
  /themes/default/default.css
  /themes/aqua/default.css
  /themes/cool/default.css
# Removing php5 date warnings
$ /includes/date_functions.inc
  
15-Sep-2009 Janusz Dobrowolski/Joe Hunt
# Fixed journal entry type and systype selectors
# Restore of the 4 include files in types.inc
$ /includes/types.inc
! Cleanup
$ /includes/ui/ui_lists.inc
  /reporting/includes/reports_classes.inc
! Changed security roles in default COAs.
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql
# Fixed GET call continuation after timeout and logout page access without authorization
$ /access/login.php
  /includes/session.inc
  /includes/prefs/userprefs.inc

14-Sep-2009 Joe Hunt
! Changed all numeric constants to the new defined constants. A huge task.
$ /admin/fiscalyears.php
  /admin/forms_setup.php
  /admin/view_print_transaction.php
  /admin/void_transaction.php
  /gl/includes/db/gl_db_banking.inc
  /gl_includes/db/gl_db_trans.inc
  /gl/inquiry/journal_inquiry.php
  /includes/systypes.inc
  /includes/ui/allocation_cart.inc
  /includes/ui/ui_view.inc
  /inventory/inquiry/stock_movements.php
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items.inc
  /manufacturing/view/wo_production_view.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/suballoc_db.inc
  /purchasing/includes/db/suppliers_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/includes/ui/grn_ui.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/view/view_grn.php
  /purchasing/view/view_po.php
  /purchasing/view/view_supp_credit.php
  /purchasing/view/view_supp_invoice.php
  /purchasing/view/view_supp_payment.php
  /reporting/rep101.php
  /reporting/rep102.php
  /reporting/rep103.php
  /reporting/rep105.php
  /reporting/rep106.php
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php
  /reporting/rep201.php
  /reporting/rep202.php
  /reporting/rep203.php
  /reporting/rep304.php
  /reporting/rep409.php
  /reporting/rep709.php
  /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc
  /sales/create_recurrent_invoices.php
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/custalloc_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
  /sales/manage/recurrent_invoices.php
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_sales_order.php
  
13-Sep-2009 Janusz Dobrowolski
! Eliminated non-static method calls and some more fixes to avoid log warnings on both php 4 and 5:
 Classes systypes, bank_account_types, payment_person_types, wo_types, reserved replaced by
simple arrays and defines, removed wrapper get_text class, static method calls replaced by
calls to singleton variables or defines. Suppressed warnings generated by html_entity_decode()
and htmlspecialchars() for unsupported encodings.
$ /frontaccounting.php
  /admin/display_prefs.php
  /admin/fiscalyears.php
  /admin/forms_setup.php
  /admin/view_print_transaction.php
  /admin/void_transaction.php
  /admin/db/voiding_db.inc
  /dimensions/dimension_entry.php
  /dimensions/includes/dimensions_db.inc
  /dimensions/inquiry/search_dimensions.php
  /dimensions/view/view_dimension.php
  /gl/bank_account_reconcile.php
  /gl/bank_transfer.php
  /gl/gl_bank.php
  /gl/gl_journal.php
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/inquiry/bank_inquiry.php
  /gl/inquiry/gl_account_inquiry.php
  /gl/inquiry/journal_inquiry.php
  /gl/manage/bank_accounts.php
  /gl/manage/gl_account_types.php
  /gl/view/bank_transfer_view.php
  /gl/view/gl_deposit_view.php
  /gl/view/gl_payment_view.php
  /gl/view/gl_trans_view.php
  /includes/reserved.inc (Removed)
  /includes/JsHttpRequest.php
  /includes/banking.inc
  /includes/errors.inc
  /includes/main.inc
  /includes/references.inc
  /includes/session.inc
  /includes/types.inc
  /includes/lang/gettext.php
  /includes/lang/language.php
  /includes/page/footer.inc
  /includes/prefs/sysprefs.inc
  /includes/prefs/userprefs.inc
  /includes/ui/allocation_cart.inc
  /includes/ui/items_cart.inc
  /includes/ui/ui_globals.inc
  /includes/ui/ui_lists.inc
  /includes/ui/ui_view.inc
  /inventory/adjustments.php
  /inventory/cost_update.php
  /inventory/transfers.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /inventory/includes/db/items_adjust_db.inc
  /inventory/includes/db/items_trans_db.inc
  /inventory/includes/db/items_transfer_db.inc
  /inventory/inquiry/stock_movements.php
  /inventory/manage/movement_types.php
  /inventory/view/view_adjustment.php
  /inventory/view/view_transfer.php
  /manufacturing/search_work_orders.php
  /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_costs.php
  /manufacturing/work_order_entry.php
  /manufacturing/work_order_issue.php
  /manufacturing/work_order_release.php
  /manufacturing/includes/manufacturing_ui.inc
  /manufacturing/includes/work_order_issue_ui.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /manufacturing/view/wo_issue_view.php
  /manufacturing/view/wo_production_view.php
  /manufacturing/view/work_order_view.php
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocate.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/db/suppalloc_db.inc
  /purchasing/includes/ui/grn_ui.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/view/view_supp_credit.php
  /purchasing/view/view_supp_payment.php
  /reporting/rep101.php
  /reporting/rep102.php
  /reporting/rep103.php
  /reporting/rep104.php
  /reporting/rep105.php
  /reporting/rep108.php
  /reporting/rep201.php
  /reporting/rep202.php
  /reporting/rep203.php
  /reporting/rep204.php
  /reporting/rep301.php
  /reporting/rep302.php
  /reporting/rep303.php
  /reporting/rep304.php
  /reporting/rep409.php
  /reporting/rep601.php
  /reporting/rep702.php
  /reporting/rep704.php
  /reporting/rep709.php
  /reporting/rep710.php
  /reporting/includes/header2.inc
  /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc
  /sales/create_recurrent_invoices.php
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/allocations/customer_allocate.php
  /sales/allocations/customer_allocation_main.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/custalloc_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
  /sales/manage/customers.php
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_receipt.php
  /taxes/tax_groups.php

11-Sep-2009 Joe Hunt
! Changed so deleting of fiscal year also handles sales quotations
! Check that new closing accounts have been set before closure.
$ /admin/fiscalyears.php
! Check that new bank charge account have been set before adding bank charge.
$ /sales/customer_payments.php
  /purchasing/supplier_payment.php

10-Sep-2009 Joe Hunt
! By changing a simple sentence in allocation_cart.inc, the customer/supplier payments works with prompt payment discounts
$ /includes/ui/allocation_cart.inc
# Small typo error in types.inc
/includes/types.inc

09-Sep-2009 Janusz Dobrowolski
# Added two special access areas for bank gl postings and grn removal.
$ /gl/gl_journal.php
  /gl/includes/ui/gl_journal_ui.inc
  /includes/access_levels.inc
  /purchasing/supplier_invoice.php
  /purchasing/includes/ui/invoice_ui.inc
  /sql/alter2.2.php
! Added generic access level checking function can_access().
$ /includes/current_user.inc
! Code cleanup
$ /admin/users.php
# Activated javascript confirm dialogs
$ /js/inserts.js
# Fixed dialogs containing newlines.
$ /includes/ui/ui_input.inc
+ Added js confirm dialogs for deleting and restoring backup files.
$ /admin/backups.php

08-Sep-2009 Joe Hunt
! Changed so voiding and view/print is working with the new Sales Order/Sales Quotation
$ /admin/view_print_transaction.php
  /admin/void_transaction.php
  /admin/db/voiding_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/view/view_sales_order.php
  
08-Sep-2009 Janusz Dobrowolski
+ Added detection of partial db upgrade.
$ /admin/inst_upgrade.php
  /sql/alter2.1.php
  /sql/alter2.2.php
# Small fixes to db upgrade for quotations
$ /sql/alter2.2.php
  /sql/alter2.2.sql
# Added missing sys info for quotations, fixed reference for SO
$ /includes/systypes.inc
# Removed obsolete field in sys_types
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql
# date_diff function name changed to date_diff2 for php5.3 compatibility 
$ /dimensions/inquiry/search_dimensions.php
  /includes/date_functions.inc
  /manufacturing/search_work_orders.php
  /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_costs.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/ui/sales_order_ui.inc

08-Sep-2009 Joe Hunt
+ Added Sales Quotations, inquiry and report
$ /applications/customers.php
  /includes/types.inc
  /includes/ui/ui_view.inc
  /reporting/rep105.php
  /reporting/rep107.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep111.php (new file)
  /reporting/reports_main.php
  /reporting/includes/doctext.php
  /reporting/includes/doctext2.php
  /reporting/includes/header2.inc
  /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/inquiry/sales_orders_view.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_sales_order.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Allow re-opening of Dimensions
$ /dimensions/dimension_entry.php
  /dimensions/includes/dimensions_db.inc
  /dimensions/inquiry/search_dimensions.php
  
01-Sep-2009 Janusz Dobrowolski
# Fixed security sections db update.
$ /admin/security_roles.php
# Fixed ui behaviour during FA ugrade.
$ /includes/current_user.inc
  /includes/session.inc
  /access/login.php
# Company directory where not deleted during company removal.
$ /admin/create_coy.php
  /includes/main.inc
# Fixed old security settings import.
  /sql/alter2.2.php
  /sql/alter2.2.sql

31-Aug-2009 Janusz Dobrowolski
! gl accounts selector ordered by account class id
$ /includes/ui/ui_lists.inc
! Changed security modules to sections
$ /admin/security_roles.php
  /admin/db/security_db.inc
! Fine tuned security sections/areas.
$ /includes/access_levels.inc
+ Optimized js compressor (up to 5 times faster)
$ /includes/main.inc
! Changed order of gl account selector, added security roles list.
$ /includes/ui/ui_lists.inc
! Switch to new access levels system
$ /config.php
  /index.php
  /access/logout.php
  /access/timeout.php
  /admin/*.php
  /admin/db/users_db.inc
  /applications/application.php
  /applications/setup.php
  /dimensions/dimension_entry.php
  /dimensions/inquiry/search_dimensions.php
  /dimensions/view/view_dimension.php
  /gl/*.php
  /gl/inquiry/*.php
  /gl/manage/*.php
  /gl/view/*.php
  /includes/current_user.inc
  /includes/session.inc
  /inventory/*.php
  /inventory/inquiry/*.php
  /inventory/manage/*.php
  /inventory/view/*.php
  /manufacturing/*.php
  /manufacturing/inquiry/*.php
  /manufacturing/manage/*.php
  /manufacturing/view/*.php
  /purchasing/*.php
  /purchasing/allocations/*.php
  /purchasing/inquiry/*.php
  /purchasing/manage/suppliers.php
  /purchasing/view/*.php
  /reporting/prn_redirect.php
  /reporting/rep*.php
  /reporting/reports_main.php
  /reporting/includes/pdf_report.inc
  /sales/*.php
  /sales/allocations/*.php
  /sales/inquiry/*.php
  /sales/manage/*.php
  /sales/view/*.php
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /taxes/*.php

28-Aug-2009 Joe Hunt
# The reference for deposits and payments didn't show up in Tax Report
$ /reporting/rep709.php
# Minor bug in Quick Entries display
$ /includes/ui/ui_view.inc
  
27-Aug-2009 Joe Hunt
# bank_trans_type_id removed from bank_trans in en_US-demo.sql and en_US-new.sql.
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql
  
26-Aug-2009 Janusz Dobrowolski
! Merged changes from main trunk  2.1.4-2.1.5 (see below)

$ /config.php
  /includes/ui/ui_view.inc
  /includes/current_user.inc
  /includes/ui/ui_input.inc
  /inventory/purchasing_data.php
  /install/save.php
  /gl/manage/gl_accounts.php
  /gl/includes/gl_db_accounts.inc
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/manage/gl_quick_entries.php
  /gl/manage/gl_account_classes.php
  /gl/includes/db/gl_db_bank_trans.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /purchasing/includes/supp_trans_class.inc
  /purchasing/po_receive_items.php
  /purchasing/view/view_grn.php
  /purchasing/view/view_po.php
  /purchasing/supplier_payment.php
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/invoice_db.inc
  /reporting/reports_main.php
  /reporting/includes/header2.inc
  /reporting/rep209.php
  /reporting/rep109.php
  /reporting/rep702.php
  /sales/customer_payments.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/includes/db/payments_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/manage/sales_points.php
  /taxes/tax_calc.inc

26-Aug-2009 Joe Hunt
# Changed the text Manifactoring => Manifacturing
$ /reporting/reports_main.php

25-Aug-2009 Joe Hunt
+ Added reference number in report List of Journal Entries.
$ /reporting/rep702.php
! Changed default startup_up app to be in user preferences. Default 'Sales'.
  Moved tab_list_row to ui_lists.inc and changed the global $tabs to be in types.inc
$ config.php
  /admin/display_prefs.php
  /admin/inst_module.php
  /admin/db/users_db.inc
  /includes/current_user.inc
  /includes/types.inc
  /includes/page/header.inc
  /includes/prefs/userprefs.inc
  /includes/ui/ui_lists.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  

24-Aug-2009 Janusz Dobrowolski
# Fixed warning displayed before db upgrade.
$ /includes/current_user.inc
# Small final page layout fix
$ /purchasing/po_entry_items.php
+ Additional links to next document on final pages.
$ /purchasing/po_receive_items.php
  /purchasing/supplier_invoice.php
# Fixed focus issues on hyperlinks
$ /includes/ui/ui_controls.inc

23-Aug-2009 Janusz Dobrowolski
+ Implemented customizable authentication timeout.
$ /access/timeout.php (new)
  /access/login.php
  /admin/company_preferences.php
  /admin/db/company_db.inc
  /includes/current_user.inc
  /includes/session.inc
  /includes/ui/ui_input.inc
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Reorganized access control structures for easier customizing.
$ /includes/access_levels.inc
  /admin/security_roles.php

20-Aug-2009 Janusz Dobrowolski
! Tax Item Types moved to Setup module
$ /applications/inventory.php
  /applications/setup.php
+ Partial changes for new access control.
$ /admin/security_roles.php (new)
  /admin/db/security_db.inc (new)
  /includes/access_levels.inc
  /includes/ui/ui_lists.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql

04-Aug-2009 Joe Hunt
+ Added email links after creating documents
$ /includes/ui/ui_controls.inc
  /manufacturing/work_order_entry.php
  /purchasing/po_entry_items.php
  /reporting/reports_main.php
  /reporting/includes/reporting.inc
  /sales/create_recurrent_invoices.php
  /sales/credit_note_entry.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/sales_order_entry.php
! Added new access levels
$ /includes/access_levels.inc (new file)
  
03-Aug-2009 Janusz Dobrowolski
+ Clone record option added.
$ /includes/ui/ui_input.inc
  /inventory/manage/item_categories.php
  /inventory/manage/items.php
# Fixed default focus for some controls
$ /includes/ui/ui_input.inc
# Fixed popup top placement on FF2
$ /js/inserts.js
! Default submit changed
$ /purchasing/po_receive_items.php

+ Customer/branch/supplier selectable by additional short name instead of full name.
$ /purchasing/manage/suppliers.php
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
  /includes/ui/ui_lists.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

01-Aug-2009 Joe Hunt
! Reduced size of the icons to 12 pix.
$ /includes/ui/ui_input.inc

31-Jul-2009 Janusz Dobrowolski
! Merged changes from main trunk  2.1.3-2.1.4 (see below)
$ /admin/attachments.php
  /inventory/purchasing_data.php
  /includes/db/manufacturing.inc
  /gl/manage/bank_accounts.php
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /purchasing/includes/purchasing_db.inc
  /purchasing/manage/suppliers.php
  /purchasing/view/view_grn.php
  /purchasing/includes/db/invoice_db.inc
  /purchasing/view/view_supp_payment.php
  /reporting/reports_main.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc
  /reporting/rep101.php
  /reporting/rep109.php
  /reporting/rep201.php
  /reporting/rep304.php
  /reporting/rep709.php
  /sales/includes/db/cust_trans_db.inc
  /sales/create_recurrent_invoices.php
  /sales/sales_order_entry.php
  /sales/view/view_receipt.php

27-Jul-2009 Janusz Dobrowolski
# Fixed default selection in popup
$ /js/inserts.js
# Fixed branch selection by url
$ /sales/manage/customer_branches.php
# Fixed print links's default class.
$ /reporting/includes/reporting.inc

25-Jul-2009 Janusz Dobrowolski
! Popup editor now available as option for some list selectors.
$ /includes/ui/ui_lists.inc
  /gl/gl_bank.php
  /gl/includes/ui/gl_bank_ui.inc
  /includes/session.inc
  /includes/page/footer.inc
  /includes/ui/ui_controls.inc
  /inventory/purchasing_data.php
  /js/inserts.js
  /purchasing/po_entry_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/includes/ui/po_ui.inc
  /sales/credit_note_entry.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/allocations/customer_allocation_main.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /themes/aqua/default.css
  /themes/aqua/renderer.php
  /themes/cool/default.css
  /themes/cool/renderer.php
  /themes/default/default.css
  /themes/default/renderer.php

21-Jul-2009 Janusz Dobrowolski
! Asynchronous customer/supplier/item selection now use popup window.
$ /index.php
  /gl/gl_bank.php
  /includes/session.inc
  /includes/page/footer.inc
  /includes/ui/ui_controls.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
  /inventory/purchasing_data.php
  /inventory/manage/items.php
  /js/inserts.js
  /js/utils.js
  /purchasing/po_entry_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/manage/suppliers.php
  /sales/credit_note_entry.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/allocations/customer_allocation_main.php
  /sales/manage/customer_branches.php
  /sales/manage/customers.php

15-Jul-2009 Joe Hunt
! Replaced sys_types names from table to systypes::name in reports
  Now the English names in table are never used in inquiries or reports
$ /reporting/rep101.php
  /reporting/rep102.php
  /reporting/rep108.php
  /reporting/rep201.php
  /reporting/rep202.php
  /reporting/rep203.php
  /reporting/rep709.php
  /sql/alter2.2.sql
! Audit-Trail report (systypes selector should include all systypes, extra parameter to function dup_systypes_list.
$ /reporting/rep710.php
  /reporting/reports_main.php
  /reporting/includes/reports_classes.inc
# Removed warning from COA report
$ /gl/includes/db/gl_db_accounts.inc
  /includes/date_functions.inc
  /reporting/rep701.php
  
13-Jul-2009 Joe Hunt
+ Added Audit Trail Report
$ /reporting/rep710.php (new file)
$ /reporting/reports_main.php
! Changed so $page_security works with reports (displays an error message on top)
$ /reporting/includes/pdf_report.inc
  /reporting/includes/excel_report.inc
  
10-Jul-2009 Janusz Dobrowolski
+ Added direct allocations in payments.
$ /purchasing/supplier_payment.php
  /sales/customer_payments.php
! Allocations related code reuse.
$ /includes/ui/allocation_cart.inc
  /purchasing/allocations/supplier_allocate.php
  /sales/allocations/customer_allocate.php

02-Jul-2009 Joe Hunt
! Always show 0.00 in debit column when using display_debit_or_credit
$ /includes/ui/ui_view.inc

01-Jul-2009 Joe Hunt
! Small adjustment in /inventory/prices.php to see the calculated prices if they are set.
$ /inventory/prices.php
# Small bug/layout fixes
$ /inventory/manage/item_categories.php
  /inventory/manage/locations.php
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

30-Jun-2009 Joe Hunt
# Small annoying bug-fixes in items.php and items_trans_db.inc
$ /inventory/manage/items.php
  /inventory/includes/db/items_trans_db.inc
  
30-Jun-2009 Joe Hunt
+ Implemented automatic price calculation of items from std. cost.
$ /admin/company_preferences.php
  /admin/db/company_db.inc
  /doc/calculate_price.txt (new file)
  /sales/includes/sales_db.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  
29-Jun-2009 Joe Hunt
! Small layout improments in Customer Payments
$ /sales/customer_payments.php

28-Jun-2009 Joe Hunt
# Fixed link bugs in sales order entry and optimized a couple of functions in ui_controls.inc
$ /includes/ui/ui_controls.inc
  /sales/sales_order_entry.php
  
27-Jun-2009 Joe Hunt
# Corrections to default COAs.
$ /sql/alter2.2.sql
  /sql/en_US-new.sql
  /sql/en_US-demo.sql
  
26-Jun-2009 Joe Hunt
+ Added Print of Work Order and GRN Valuation Report
# Small bug in company preferences
$ /admin/company_preferences.php
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/work_order_entry.php
  /reporting/rep305.php (new file)
  /reporting/rep409.php (new file)
  /reporting/reports_main.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/reports_classes.inc
  
26-Jun-2009 Joe Hunt
+ Added Bank Charge field to Customer Payment, Supplier Payment and Bank Transfer and a new default bank charge account in gl_setup.
$ /admin/gl_setup.php
  /admin/db/company_db.inc
  /gl/bank_transfer.php
  /gl/includes/db/gl_db_banking.inc
  /purchasing/supplier_payment.php
  /purchasing/includes/db/supp_payment_db.inc
  /sales/customer_payment.php
  /sales/includes/db/payment_db.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  
25-Jun-2009 Joe Hunt
! Changed balance_sheet field in account class to ctype and fixed class editing.
# Parse error in ui_lists.inc. Masked include_once(/validation.inc) in main.inc.
$ /admin/fiscalyears.php
  /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/manage/gl_account_classes.php
  /includes/main.inc
  /includes/ui/ui_lists.inc
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /sql/alter2.2.sql
  
25-Jun-2009 Janusz Dobrowolski
! Merged changes from main trunk  2.1.2-2.1.3 (see below)
$ /admin/backups.php
  /admin/company_preferences.php
  /admin/view_print_transaction.php
  /applications/setup.php
  /config.php
  /dimensions/inquiry/search_dimensions.php
  /gl/gl_journal.php
  /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/inquiry/gl_trial_balance.php
  /gl/inquiry/tax_inquiry.php
  /gl/manage/gl_account_classes.php
  /includes/data_checks.inc
  /includes/db/manufacturing_db.inc
  /includes/errors.inc
  /includes/main.inc
  /includes/references.inc
  /includes/session.inc
  /includes/types.inc
  /includes/ui/db_pager_view.inc
  /includes/ui/ui_lists.inc
  /includes/ui/ui_view.inc
  /inventory/inquiry/stock_status.php
  /inventory/manage/items.php
  /inventory/manage/locations.php
  /inventory/manage/sales_kits.php
  /inventory/prices.php
  /inventory/purchasing_data.php
  /lang/new_language_template/LC_MESSAGES/empty.po
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_produce_items_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /manufacturing/includes/manufacturing_ui.inc
  /manufacturing/inquiry/bom_cost_inquiry.php
  /manufacturing/manage/bom_edit.php
  /manufacturing/search_work_orders.php
  /manufacturing/view/work_order_view.php
  /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_costs.php (new file)
  /manufacturing/work_order_entry.php
  /manufacturing/work_order_issue.php
  /manufacturing/work_order_release.php
  /purchase/po_receive_items.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/ui/po_ui.inc
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /reporting/includes/class.mail.inc
  /reporting/includes/pdf.report.inc
  /reporting/includes/reports_classes.inc
  /reporting/rep109.php
  /reporting/rep209.php
  /reporting/rep302.php
  /reporting/rep302.php
  /reporting/rep303.php
  /reporting/rep303.php
  /reporting/rep701.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  /reporting/rep708.php
  /reporting/reports_main.php
  /sales/create_recurrent_invoices.php
  /sales/customer_delivery.php
  /sales/includes/db/sales_order_db.inc
  /sales/includessales_order_ui.inc
  /sales/inquiry/sales_orders_view.php
  /sales/manage/customer_branches.php
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /taxes/db/tax_types_db.inc
  /taxes/tax_types.php

17-Jun-2009 Janusz Dobrowolski
# Fixed supplier payment view link
$ /includes/ui/ui_view.inc

03-Jun-2009 Janusz Dobrowolski
! Delete buttons prepared for js confirmation.
$ /admin/fiscalyears.php

02-Jun-2009 Joe Hunt
! Fiscal Year delete . now removes all transactions and convert into relevant open balances.
$ /admin/fiscalyear.php
! Created a function db_backup in /admin/db/maintenence_db.inc
$ /admin/db/maintenance_db.inc
  /admin/backups.php
  /admin/inst_upgrade.php
  
22-May-2009 Janusz Dobrowolski
# Defualt hyperlink href set to PHP_SELF
$ /includes/ui/ui_controls.inc

21-May-2009 Janusz Dobrowolski
+ Added reset_focus helper function.
$ /includes/ui/ui_view.inc
# Fixed link on and focus on final page.
$ /gl/gl_journal.php

19-May-2009 Janusz Dobrowolski
+ Automatic update currency option added.
$ /gl/includes/db/gl_db_currencies.inc
  /includes/ui/ui_view.inc
  /gl/manage/currencies.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Added hook support for localized functions
$ /gl/includes/db/gl_db_rates.inc
  /gl/manage/exchange_rates.php
  /includes/session.inc
! Fixed hook for optional TaxFunction
$ /reporting/rep709.php
! Removed obsolete has_locale helper.
$ /includes/lang/language.php

17-May-2009 Janusz Dobrowolski
+ Added excluding item/category from sales.
$ /includes/ui/ui_lists.inc
  /inventory/includes/db/items_category_db.inc
  /inventory/includes/db/items_db.inc
  /inventory/manage/item_categories.php
  /inventory/manage/items.php
  /sql/alter2.2.sql
  /sql/alter2.2.php

15-May-2009 Joe Hunt
# Bad link to view dimension
$ /includes/ui/ui_view.inc
! Improved layout.
$ /purchasing/includes/ui/invoice_ui.inc

14-May-2009 Joe Hunt
+ Added user_id to Journal Inquiry
$ /gl/inquiry/journal_inquiry.php

13-May-2009 Janusz Dobrowolski
# Excluding closed transactions from edition/voiding.
$ /includes/db/audit_trail_db.inc  
  /admin/void_transaction.php
  /sales/inquiry/customer_inquiry.php
  /gl/inquiry/journal_inquiry.php
# Fixed error during category adding.
$ /inventory/includes/db/items_category_db.inc
+ Units and item type is editable until item not used.
$ /inventory/includes/db/items_db.inc
  /inventory/manage/items.php

11-May-2009 Joe Hunt
! Changed creating of fiscal year so gap is not allowed. Cannot close year if open years before.
$ /admin/fiscalyers.php

10-May-2009 Janusz Dobrowolski
! Support for periodic journal trans closing/indexing
$ /includes/db/audit_trail_db.inc
  /admin/fiscalyears.php
  /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/journal_inquiry.php

! Restored support for reversed transactions
$ /gl/gl_journal.php
  /gl/includes/ui/gl_journal_ui.inc

08-May-2009 Janusz Dobrowolski
+ Added journal entry edition, removed reverse transaction option.
$ /gl/includes/ui/gl_journal_ui.inc
  /gl/includes/db/gl_db_trans.inc
+ Added journal entry transaction edition/view
$ /gl/gl_journal.php
  /includes/ui/ui_view.inc
+ Added journal inquiry
$ /gl/inquiry/journal_inquiry.php (new)
  /includes/ui/ui_lists.inc
  /applications/generalledger.php
! Document references saved also in refs table for easy access.
$ /dimensions/includes/dimensions_db.inc
  /includes/references.inc
  /gl/includes/db/gl_db_banking.inc
  /inventory/includes/db/items_adjust_db.inc
  /inventory/includes/db/items_transfer_db.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sql/alter2.2.php
! Small fixes needed for pending client-side validation support
$ /includes/current_user.inc
  /includes/main.inc
  /includes/session.inc
  /includes/page/header.inc
  /includes/page/footer.inc
  /includes/errors.inc
  /js/inserts.js
  /js/utils.js
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
  /themes/aqua/renderer.php
  /themes/cool/renderer.php
  /themes/default/renderer.php
! Function get_reference return string instead of mysql resource.
$ /includes/db/references_db.inc
! Added reference var
$ /includes/ui/items_cart.inc
# Small bugfix in invoice view
$ /sales/includes/db/sales_invoice_db.inc
# Last document date bug fixed
$ /sales/customer_delivery.php
# Fixed false warning during upgrade process in debug mode.
$ /admin/inst_upgrade.php

03-May-2009 Janusz Dobrowolski
+ Audit trail added.
$ /includes/db/audit_trail_db.inc (new)
  /admin/db/voiding_db.inc
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /includes/main.inc
  /inventory/includes/db/items_adjust_db.inc
  /inventory/includes/db/items_trans_db.inc
  /inventory/includes/db/items_transfer_db.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/sales_order_db.inc
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Changed primary key in users table
$ /admin/change_current_user_password.php
  /admin/inst_upgrade.php
  /admin/users.php
  /admin/db/users_db.inc
  /includes/current_user.inc
! Enabled drop table queries during non-forced upgrade
$ /admin/db/maintenance_db.inc
# Small optimization
  /sales/includes/sales_db.inc
# Fixed default date handling.
$ /sales/customer_invoice.php
# Fixed error handling in debug mode
$ /includes/errors.inc
  /includes/db/connect_db.inc

02-May-2009 Joe Hunt
# Minor bug Profit & Loss Statement
$ /reporting/rep707.php

02-May-2009 Joe Hunt
! Company setup option for printing server Time Zone on Reports Print-Out.
! Company setup version_id for stamping the version id. Can be used for check for update.
$ /admin/company_preferences.php
  /admin/db/company_db.inc
  /reporting/includes/pdf_report.inc
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  
01-May-2009 Joe Hunt
! Changed Customer Balance and Supplier Balance to period select with Open Balance
$ /reporting/reports_main.php
  /reporting/rep101.php
  /reporting/rep201.php
  
30-Apr-2009 Janusz Dobrowolski
! Merged changes from main trunk  2.1.1-2.1.2 (see below)

30-Apr-2009 Janusz Dobrowolski
# Small layout fixes 
$ /includes/errors.inc
  /themes/aqua/renderer.php
  /themes/cool/renderer.php
  /themes/default/renderer.php

29-Apr-2009 Janusz Dobrowolski
! Messages styles moved default.css
$ /includes/errors.inc
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css

28-Apr-2009 Joe Hunt
! Changed so the close of fiscal years also closes the balances and brings forward retained earnings.
$ /admin/gl_setup.ph
  /admin/fiscalyears.php
  /admin/db/company_db.inc
  /sql/en_US-new.sql
  /sql/en_US-demo.sql
  /sql/alter2.2.sql
  
25-Apr-2009 Janusz Dobrowolski
# Fixed ambigous sql
$ /inventory/manage/item_categories.php

25-Apr-2009 Joe Hunt
! Removed obsolete field 'included_in_price' from table 'Tax_group_items' in en_US-demo.sql.
$ /sql/en_US-demo.sql
  /sql/alter2.2.sql

24-Apr-2009 Janusz Dobrowolski
+ Added inactive records support.
$ /admin/payment_terms.php
  /admin/shipping_companies.php
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_currencies.inc
  /gl/manage/bank_accounts.php
  /gl/manage/currencies.php
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php
  /includes/ui/ui_lists.inc
  /inventory/includes/db/items_units_db.inc
  /inventory/includes/db/movement_types_db.inc
  /inventory/manage/item_categories.php
  /inventory/manage/item_units.php
  /inventory/manage/items.php
  /inventory/manage/locations.php
  /inventory/manage/movement_types.php
  /manufacturing/includes/db/work_centres_db.inc
  /manufacturing/manage/work_centres.php
  /purchasing/manage/suppliers.php
  /sales/includes/db/sales_points_db.inc
  /sales/manage/sales_points.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  /taxes/item_tax_types.php
  /taxes/tax_groups.php
  /taxes/tax_types.php
  /taxes/db/tax_groups_db.inc
  /taxes/db/tax_types_db.inc
# Edit buttons center alignment.
$ /includes/ui/ui_input.inc
# Fixed ajax request using element name on multi-part forms.
$ /js/utils.js

24-Apr-2009 Joe Hunt
! Added option to select how to present Balance Sheet and P&L Statement
$ /gl/manage/gl_account_classes.php
  /gl/includes/db/gl_db_account_types.inc
  /reporting/rep706.php
  /reporting/rep707.php
  /sql/alter2.2.sql

22-Apr-2009 Janusz Dobrowolski
+ Added inactive records support.
$ /sales/includes/db/credit_status_db.inc
  /sales/includes/db/sales_types_db.inc
  /sales/manage/credit_status.php
  /sales/manage/customer_branches.php
  /includes/data_checks.inc
  /sales/manage/sales_groups.php
  /sales/manage/sales_people.php
  /sales/manage/sales_types.php
# Slightly changed inactive record support
$ /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
  /sales/manage/customers.php
  /sales/manage/sales_areas.php
! Display all db_query errors in debug mode
$ /includes/db/connect_db.inc
# Hide empty/disabled tabs
$ /frontaccounting.php
  /applications/dimensions.php
# Small typo fixed
$ /applications/application.php

21-Apr-2009 Janusz Dobrowolski
+ Support for inactive records.
$ /includes/ui/ui_lists.inc
  /includes/ui/ui_input.inc
  /includes/db/sql_functions.inc
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
+ Added inactive field in cust_branches
$ /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Added inactive records edition.
$ /sales/manage/customers.php
  /sales/manage/sales_areas.php
  
08-Apr-2009 Janusz Dobrowolski
# Fix for hotkeys on multi form pages.
$ /js/inserts.js
! Customer name max. length 80
$ /sales/manage/customers.php
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql

30-Mar-2009 Janusz Dobrowolski
! Merged changes from main trunk for versions 2.1RC-2.1.1 (see below)
$ /admin/db/v_banktrans.inc (removed)
  /applications/manufacturing.php
  /gl/include/db/gl_db_banking.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /gl/manage/exchange_rates.php
  /.htaccess
  /includes/banking.inc
  /includes/data_checks.inc
  /includes/ui/items_cart.inc
  /includes/ui/ui_inputs.inc
  /includes/ui/ui_lists.inc
  /install.html
  /install/index.php
  /install/save.php
  /inventory/includes/inventory_db.inc
  /inventory/manage/items.php
  /inventory/manage/sales_kits.php
  /js/inserts.js
  /lang/new_language_template/LC_MASSAGES/empty.po
  /manufacturing/inquiry/bom_cost_inquiry.php
  /purchasing/allocations/supplier_allocate.php
  /purchasing/manage/suppliers.php
  /reporting/includes/doctext2.inc
  /reporting/includes/doctext.inc
  /reporting/including/excel_report.inc
  /reporting/rep104.php
  /reporting/rep106.php
  /reporting/rep303.php
  /reporting/rep702.php
  /sales/allocations/customer_allocate.php
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_points_db.inc
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/manage/sales_points.php
  /sales/sales_order_entry.php
  /sql/alter2.1.sql
  /taxes/tax_types.php
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css

29-Mar-2009 Janusz Dobrowolski
! Added cancel button
$ /inventory/manage/items.php
! Element id generation speedup
$ /includes/ui/ui_view.inc
# Fixed hotkeys behaviour in report module
$ /js/inserts.js
  /reporting/includes/reports_classes.inc

21-Mar-2009 Janusz Dobrowolski
+ Option to use last document date on subsequent new documents.
$ /admin/display_prefs.php
  /admin/db/users_db.inc
  /includes/current_user.inc
  /includes/prefs/userprefs.inc
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Optional check for current date in date_cells()/date_row()
$ /includes/ui/ui_input.inc
! Save/retrieve last document date.
$ /gl/bank_account_reconcile.php
  /gl/gl_bank.php
  /gl/gl_journal.php
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /includes/date_functions.inc
  /includes/ui/ui_view.inc
  /inventory/adjustments.php
  /inventory/transfers.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /manufacturing/work_order_entry.php
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_payment.php
  /purchasing/includes/ui/grn_ui.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc

18-Mar-2009 Janusz Dobrowolski
+ Additional option for submit_add_or_update_x() helpers
$ /includes/ui/ui_input.inc
+ Icon for default escape button
$ /themes/aqua/images/escape.png (new)
  /themes/cool/images/escape.png (new)
+ Arrow navigation also in report menus
$ /js/utils.js
  /js/inserts.js
+ Added default keys for form submition/cancelling when apprioprate.
$ All form entry files.

17-Mar-2009 Joe Hunt
! Changed so company domicile is printed on invoices and statements if filled out.
$ /reporting/includes/header2.inc

17-Mar-2009 Janusz Dobrowolski
+ Added default delivery_required_by parameter, removed custom company fields/names.
$ /admin/company_preferences.php
  /admin/gl_setup.php
  /admin/db/company_db.inc
  /includes/prefs/sysprefs.inc
  /sql/alter2.2.php (new)
  /sql/alter2.2.sql (new)
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
+ Item category now contains default parameters for new items.
$ /inventory/includes/db/items_category_db.inc
  /inventory/manage/item_categories.php
  /inventory/manage/items.php
  /sql/alter2.2.php
  /sql/alter2.2.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Updated FA version string.
$ /config.php
! Stock item types moved to types.inc
$ /includes/types.inc
  /includes/ui/ui_lists.inc
! Focus js code optimization
$ /js/inserts.js
  /js/utils.js
 
16-Mar-2009 Janusz Dobrowolski
+ Support for default buttons with Ctrl-Enter/Escape hotkeys, 
	arrow navigation in menus
$ /includes/ui/ui_input.inc
  /includes/ui/ui_controls.inc
  /includes/ui/ui_view.inc
  /includes/page/footer.inc
  /config.php
  /js/inserts.js
  /js/utils.js
  /reporting/includes/reporting.inc
  /themes/default/images/escape.png
  /themes/aqua/default.css
  /themes/aqua/renderer.php
  /themes/cool/default.css
  /themes/cool/renderer.php
  /themes/default/default.css
  /themes/default/renderer.php
  /themes/default/images/escape.png
  /sales/sales_order_entry.php

! SID & start_form() cleanup
$ /.htaccess
  /access/logout.php
  /admin/attachments.php
  /admin/backups.php
  /admin/create_coy.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /admin/view_print_transaction.php
  /admin/void_transaction.php
  /dimensions/inquiry/search_dimensions.php
  /gl/bank_transfer.php
  /gl/gl_bank.php
  /gl/inquiry/gl_trial_balance.php
  /gl/manage/exchange_rates.php
  /inventory/adjustments.php
  /inventory/cost_update.php
  /inventory/prices.php
  /inventory/purchasing_data.php
  /inventory/reorder_level.php
  /inventory/transfers.php
  /inventory/inquiry/stock_movements.php
  /inventory/inquiry/stock_status.php
  /inventory/manage/item_codes.php
  /inventory/manage/sales_kits.php
  /manufacturing/search_work_orders.php
  /manufacturing/work_order_issue.php
  /manufacturing/inquiry/bom_cost_inquiry.php
  /manufacturing/manage/bom_edit.php
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocate.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/allocations/customer_allocate.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php

------------------------------- Release 2.1.5 ----------------------------------
26-Aug-2009 Joe Hung
! Release 2.1.5
$ config.php
# If no dimensions in system, then there were 2 destination selectors in report Balance Sheet
$ /reporting/reports_main.php
! Code cleanup
$ /taxes/tax_calc.inc
  /lang/new_language_template/LC_MESSAGES/empty.po (new extraction)
  
24-Aug-2009 Joe Hunt
# A Purchasing Price of 12.34 with a conversion factor of 100,0000 caused a false internal rounding error of 12.00.
! The Purchasing Price, price can now have up to 6 decimals (fractions of hundredth's) and are presented correctly.
  If you need to increase the decimals in a current value, then you have to delete it and create it again with new values.
  This is for safety reasons.
$ /includes/current_user.inc
  /includes/ui/ui_input.inc
  /inventory/purchasing_data.php
  /purchasing/po_receive_items.php
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /purchasing/view/view_grn.php
  /purchasing/view/view_po.php
  /reporting/rep209.php
  
21-Aut-2009 Joe Hunt
# [0000162] Deleting a GL account may cause problems with quick entries 
$ /gl/manage/gl_accounts.php

20-Aug-2009 Joe Hunt
# If account code2 is used in the accounts the report Chart of Accounts gave a bad index and didn't print the code.
$ /gl/includes/gl_db_accounts.inc
# If setting the delivered items in PO Receive Items to 0 the value is not updated 
$ /purchasing/po_receive_items.php

19-Aug-2009 Joe Hunt
! Change of Quick Entries to use the Tax Types instead, due to complexity using the Tax Groups in EU.
  If you for need more than one Tax Type row in a Quick Entry, please keep the rows together and use the same action type.
$ /gl/includes/db/gl_db_bank_accounts.inc
  /gl/manage/gl_quick_entries.php
  /includes/ui/ui_view.inc
  
18-Aug-2009 Joe Hunt
! When using Quick Entries in Supplier Invoices/credit notes the tax sum now shows correctly.
$ /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/supp_trans_class.inc
  
18-Aug-2009 Joe Hunt
! Quick Entries uses Tax Groups instead of Item Tax Types for calculating taxes (Please change the item lines for tax).
  Quick Entry Lines of type Supplier Invoice. When using, the Supplier Tax Group Id overrides the The Tax Group set on the line.
$ /gl/includes/db/gl_db_bank_accounts.inc
  /gl/manage/gl_quick_entries.php
  /includes/ui/ui_view.inc
  /taxes/tax_calc.inc
  
17-Aug-2009 Janusz Dobrowolski
# [0000158] Added missing check for POS usage before deletion.
$ /sales/manage/sales_points.php

17-Aug-2009 Joe Hunt
# [0000160] Customer payments in different currencies (bank account exchange error). Fixed so diff bank_curr/home_curr and cust/supp curr is readonly.
$ /gl/includes/db/gl_db_bank_trans.inc
  /purchasing/supplier_payment.php
  /sales/customer_payments.php
  /sales/includes/db/payments_db.inc

14-Aug-2009 Janusz Dobrowolski
# [0000161] Fixed reference edition on sales invoice/deliery/credit.
$ /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php

12-Aug-2009 Joe Hunt
# [0000159] Memo field's GL entries are not saved (gl_trans) in supplier invoice
$ /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/invoice_db.inc
# memo field was not written in list of journal entries.
$ /reporting/rep702.php
  
08-Aug-2009 Janusz Dobrowolski
# Fixed bug in calculation of taxes for quick entries using multiply tax rates
$ /includes/ui/ui_view.inc

08-Aug-2009 Janusz Dobrowolski
# [0000152] Config_db.php changed after failed company database creation
$ /install/save.php

08-Aug-2009 Joe Hunt
# [0000153] not possible to make a new balance sheet GL account cl (old style)
$ /gl/manage/gl_account_classes.php

04-Aug-2009 Joe Hunt
# [0000150] Logo on printed papers is placed on top of the adress rule nr 1
$ /reporting/includes/header2.inc
# [0000145] Email sales order doesn't work if no email on branch but on customer
$ /sales/includes/db/sales_order_db.inc
  /reporting/rep109.php
! Changed so $use_oldstyle_convert=1 variable in config.php (line 78) gives fully backwards compatibility in 
  Balance Sheet, PL Statements and Monthly Bread Down reports.
$ /gl/manage/gl_account_classes.php.  

------------------------------- Release 2.1.4 ----------------------------------
30-Jul-2009 Joe Hunt
! Release 2.1.4
$ config.php
# Bad right margin on Tax Report (papersize A4)
$ /reporting/rep709.php
# [0000146] Purch data description with a ' (apostrophe) fails
$ /inventory/purchasing_data.php
  /purchasing/includes/purchasing_db.inc

28-Jul-2009 Joe Hunt
# Bugs in sending documents as email. Seems to land in the spam filter due to bad text and scrambled name on attached documents
$ /reporting/rep109.php
  /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
  /reporting/includes/pdf_report.inc

18-Jul-2009 Joe Hunt
# When saving a Payment to a Customer in Bank Payments (normally payment to suppliers) it was saved with wrong sign in debtor_trans (very rare).
$ /sales/includes/db/cust_trans_db.inc
# Wrong presentation in customer/supplier balance if using bank payments for customers and bank deposits for suppliers (very rare)
$ /reporting/rep101.php
  /reporting/rep201.php
  
13-Jul-2009 Joe Hunt
# Bug in Tax Inquiry and Tax Report when entering in Journal Entry
$ /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /reporting/rep709.php
! Comments should follow templates and recurrent invoices.
$ /sales/create_recurrent_invoices.php
  /sales/sales_order_entry.php
  
12-Jul-2009 Joe Hunt
# Wrong presentation of left to allocate if discount was given
$ /sales/view/view_receipt.php
  /purchasing/view/view_supp_payment.php
  
11-Jul-2009 Joe Hunt
! Improved Inventory Sales Report. Now by Customer and quantities as well.
$ /reporting/rep304.php
  /reporting/reports_main.php

10-Jul-2009 Joe Hunt
# [0000142] Purchase Order use the same header as Sales Order
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
# Bug in demand qty
$ /includes/db/manufacturing.inc

10-Jul-2009 Janusz Dobrowolski
# [0000141] Attachment view/download bug.
$ /admin/attachments.php
# [0000140] Numeric format bug in credit limit input.
$ /purchasing/manage/suppliers.php
# [0000143] Bad format of PO popup window (Softechmatrix).
$ /purchasing/view/view_grn.php

09-Jul-2009 Janusz Dobrowolski
# [0000139] Change of bank account type after creation should not be allowed.
$ /gl/manage/bank_accounts.php

01-Jul-2009 Joe Hunt
# Guess what :) [0000137] Material Cost Averaging Problem (again again again) when voiding.
$ /purchasing/includes/db/invoice_db.inc

26-Jun-2009 Joe Hunt
# [0000137] Material Cost Averaging Problem (again again) when voiding.
$ /purchasing/includes/db/invoice_db.inc

------------------------------- Release 2.1.3 ----------------------------------
25-Jun-2009 Joe Hunt
! Release 2.1.3
$ config.php
  /sql/en_US-new.sql
  /sql/en_US-demo.sql
! Suppressed menu on access denied in view popup windows.
$ /includes/session.inc
  /includes/main.inc
! New empty.po file
  /lang/new_language_template/LC_MESSAGES/empty.po

23-Jun-2009 Janusz Dobrowolski
! Added edition link in Purchase Order Inquiry
$ /purchasing/includes/ui/po_ui.inc
  /purchasing/inquiry/po_search_completed.php

23-Jun-2009 Joe Hunt
# [0000137] Material Cost Averaging Problem (again) when voiding.
$ /purchasing/includes/db/invoice_db.inc

21-Jun-2009 Joe Hunt
# If no additional costs (overhead/labour) it should reduce the average additional costs.
$ /manufacturing/includes/db/work_orders_quick_db.inc

20-Jun-2009 Janusz Dobrowolski
! Php notices removed from logging to avoid flood from @ constructs.
$ /includes/errors.inc
# [0000135] Direct posting to gl accounts with more than one related tax type forbidden.
$ /gl/gl_journal.php
  /includes/ui/ui_view.inc
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /taxes/tax_types.php
  /taxes/db/tax_types_db.inc

20-Jun-2009 Joe Hunt/Tu Nguyen
# [0000137] Material Cost Averaging Problem when voiding Supp Inv and qoh reaches 0.
$ /purchasing/includes/db/grn_db.inc

18-Jun-2009 Joe Hunt
! Better support for conversion_factor in Purchasing Pricing. Instruction on Sticky Inventory Forum.
$ /inventory/purchasing_data.php
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/ui/po_ui.inc
  
17-Jun-2009 Janusz Dobrowolski
# Fixed form reset after error, allowed png logo files.
$ /admin/company_preferences.php
! Removed unneeded submit_on_change in uom selector.
$ /includes/ui/ui_lists.inc
# Allowed reuse of supplier references from voided invoices.
$ /purchasing/supplier_invoice.php
# Total payment/credit sign fix.  
$ /purchasing/allocations/supplier_allocation_main.php
# Voided documents should not be displayed.
$ /purchasing/inquiry/supplier_inquiry.php

17-Jun-2009 Joe Hunt/Tu Nguyen
# [0000136] view_po on invoices and credits shows transactions from other suppliers
$ /purchasing/includes/db/invoice_db.inc

16-Jun-2009 Janusz Dobrowolski
! Added error logging to file or syslog.
$ /config.php
  /includes/errors.inc
# Cleaned output buffering notices.
$ /includes/errors.inc
  /includes/session.inc

15-Jun-2009 Joe Hunt
! Added Item Code Entry in Work Order Entry and quantity decimals now follows the item
! Clean-up in ui_list codes.
$ /includes/ui/ui_lists.inc
  /manufacturing/work_order_entry.php
  /manufacturing/search_work_orders.php
  /manufacturing/manage/bom_edit.php
  /manufacturing/inquiry/bom_cost_inquiry.php
  
14-Jun-2009 Joe Hunt
! Much better presentation of new Balance Sheet, P&L Statement and Monthly Breakdown.
$ /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_accounts.inc
  /includes/types.inc
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
! New variable in config.php, $use_oldstyle_convert, if set to 1, same convert as in old versions.  
$ config.php
  
13-Jun-2009 Joe Hunt/Pete/Tom Moulton
! Changed next reference method to also include partly alpha characters in front, fi. WA036 increments to WA037
$ /includes/references.inc
! Improved email sending of documents. With help of Tom Moulton
$ /reporting/rep109.php
  /reporting/rep209.php
  /reporting/includes/class.mail.inc
  /reporting/includes/pdf.report.inc
  
12-Jun-2009 Joe Hunt
! Code clean-up
$ /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/gl_trial_balance.php
  /includes/ui/ui_view.inc
  /reporting/rep708.php
  
11-Jun-2009 Joe Hunt
! Changed balance_sheet operation in class table to class type for sign convert in Balance Sheet, Profit and Loss Statement and Monthly Breakdown
$ /gl/manage/gl_account_classes.php
  /gl/includes/db/gl_db_account_types.inc
  /gl/includes/db/gl_db_accounts.inc
  /gl/inquiry/gl_trial_balance.php
  /includes/types.inc
  /includes/ui/ui_lists.inc
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  /reporting/rep708.php
  
09-Jun-2009 Joe Hunt
# Bad format in due date column in search dimensions
$ /dimensions/inquiry/search_dimensions.php

08-Jun-2009 Joe Hunt
! Changed Advanced Manufacturing payments to be more flexible and simpler. Removed from Payment.
$ /gl/includes/db/gl_db_trans.inc
  /gl/includes/ui/gl_bank_ui.inc
  /includes/types.inc
  /includes/ui/ui_lists.inc
  /manufacturing/search_work_orders.php
  /manufacturing/work_order_costs.php (new file)
  /manufacturing/work_order_entry.php
# Overhead costs in Manufacturing/Assembling wasn't added to stock overhead cost
$ /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_issue.php
  /manufacturing/work_order_release.php
  /manufacturing/includes/manufacturing_ui.inc
  /manufacturing/includes/db/work_orders_db.inc
  /manufacturing/includes/db/work_orders_quick_db.inc
  /manufacturing/includes/db/work_orders_produce_items_db.inc
  /manufacturing/view/work_order_view.php
  
05-Jun-2009 Joe Hunt
# Missing underscore in gettext string
$ /sales/create_recurrent_invoices.php
# Broken gettext string over 2 lines
$ /sales/customer_delivery.php

04-Jun-2009 Joe Hunt
# [0000134] Voiding a supplier credit note didn't activate the PO Receivals and void the stock moves.
$ /purchasing/includes/db/invoice_db.inc

03-Jun-2009 Joe Hunt
! Changed to present reference number in Print Invoices/Credit Notes if global $print_invoice_no = 0
$ /reporting/includes/reports_classes.inc
# Deleting of Locations was too easy. Implemented much more checks
$ /inventory/manage/locations.php
! Report Stock Check Sheet and 'Inventory Item Status' was wrong when Locations were selected.
$ /reporting/rep302.php
  /reporting/rep303.php
  /includes/db/manufacturing_db.inc
# When producing advanced manufacture there should be errors when insuffient qoh in items (if 'Allow Negative Stock' is not marked).
$ /manufacturing/work_order_issue.php
  /manufacturing/work_order_add_finished.php
# Missing decimal calculation in BOM edit.
$ /manufacturing/manage/bom_edit.php
# Wrong toottip text on Process button in Purchase Order, Receive Items.
$ /purchase/po_receive_items.php
  
27-May-2009 Joe Hunt
# After heavy testing a new set of nested subtypes in COA, Monthly Breakdown, Balance Sheet and P&L Statement.
$ /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  /reporting/rep701.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php

26-May-2009 Joe Hunt
# Again fixed nested subtypes in account types correctly in COA, Monthly Breakdown, Balance Sheet and P&L Statement
$ /gl/includes/db/gl_db_accounts.inc
  /gl/includes/db/gl_db_account_types.inc
  /reporting/rep701.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
# fixed wider combobox for backup-files in company backup
$ /admin/backups.php

25-May-2009 Joe Hunt
# Fixed Supplier Credit so Purchase Order Outstanding is decreased too.
$ /purchasing/includes/db/grn_db.inc
# Fixed so nested subtypes in account types are nested correctly in Balance Sheet and P&L Statement
$ /gl/includes/db/gl_db_accounts.inc
  /reporting/rep706.php
  /reporting/rep707.php
! Extra column in Stock Check Sheet, On Order and option for selecting Only Shortage.
$ /reporting/rep303.php
  /reporting/reports_main.php

23-May-2009 Janusz Dobrowolski
# Fixed transaction table search update.
$ /admin/view_print_transaction.php
# Fixed initial select for array_selector()
$ /includes/ui/ui_lists.inc

22-May-2009 Janusz Dobrowolski
# Fixed buggy reference instead of id in report dimension selectors.
$ /reporting/includes/reports_classes.inc
# Fixed typo in setup menu
$ /applications/setup.php

21-May-2009 Joe Hunt/Tom Moulton
# Recursion fix in manufacturing_db.inc by Tom Moulton
$ /includes/db/manufacturing_db.inc

20-May-2009 Janusz Dobrowolski
# Small cleanup
$ /inventory/prices.php
# Fixed select buttons icon.
$ /sales/manage/customer_branches.php

20-May-2009 Joe Hunt
# Fixed and optimized On Order in Inventory Items Status and reports
$ /includes/db/manufacturing_db.inc
  /inventory/inquiry/stock_status.php
  /reporting/rep302.php
  /reporting/rep303.php
  /sales/includes/db/sales_order_db.inc
  
18-May-2009 Joe Hunt
# html header shown in backup downloads.
$ /admin/backups.php
! Reinserted the link to GL in Work Order Inquiry.
$ /manufacturing/search_work_orders.php
# Added non closed work order requirements on On Order in Inventory Items Status
$ /inventory/inquiry/stock_status.php
! Added mb_flag 'M' in demand checks
$ /sales/includes/db/sales_order_db.inc
  /reporting/rep302.php
  /reporting/rep303.php
  
17-May-2009 Joe Hunt
! Changed service items to use cogs account instead of inventory account.
$ /inventory/manage/items.php

16-May-2009 Joe Hunt
# [0000133] Removed buggy & obsolete hotkey support in pager_link()
$ /includes/ui/db_pager_view.inc
! Removed obsolete 'K' mb_flag checks.
$ /includes/data_checks.inc
  /includes/ui/ui_lists.inc

13-May-2009 Joe Hunt
# Bug in demensions_list. If dimensions are closed they shall NOT show up in the lists.
$ /includes/ui/ui_lists.inc

10-May-2009 Joe Hunt
# Period presentation bug in tax report/inquiry
$ /gl/inquiry/tax_inquiry.php
  /reporting/includes/reports_classes.inc
  
07-May-2009 Joe Hunt
# Layout bug in exchange rate display
$ /includes/ui/ui_view.inc
# Layout bug in sales_order_view. Column Comments renamed to Cust Order Ref
$ /sales/inquiry/sales_orders_view.php
# Layout bug in sales_order_ui. Bad presentation of customer if not editable
$ /sales/includessales_order_ui.inc

05-May-2009 Janusz Dobrowolski
# Fixed check if code for new sales kit is not used.
$ /inventory/manage/sales_kits.php

04-May-2009 Joe Hunt
# Purchase Order document shows wrong purch data conversion if purch data
$ /reporting/rep209.php


------------------------------- Release 2.1.2 ----------------------------------
30-Apr-2009 Joe Hunt
! Release 2.1.2
$ config.php

22-Apr-2009 Joe Hunt
! Changed the text 'Supplier Account No' to 'Our Customer No' in Supplier form
$ /purchasing/manage/suppliers.php

20-Apr-2009 Janusz Dobrowolski
# Rewritten backup manager, fixed progressbar bug.
$ /admin/backups.php
# Fixed bug in zipped sql file restore.
$ /admin/db/maintenance_db.inc
! JsHttpRequest class updated to latest version.
$ /includes/JsHttpRequest.php
  /js/JsHttpRequest.js
! Added optional parameter in vertical_space()
$ /includes/ui/ui_controls.inc
+ Helper for javascript confirm dialogs added.
$ /includes/ui/ui_input.inc
! Client side confirm dialog added for destructive submits.
$ /purchasing/supplier_invoice.php
  /purchasing/includes/ui/invoice_ui.inc
  /sales/sales_order_entry.php
+ Added retry after timeout on unreliable ajax connections. Preparation for client-side javascript checks.
$ /includes/current_user.inc
  /includes/page/footer.inc
  /includes/page/header.inc
  /includes/ui/ui_view.inc
  /access/login.php
  /js/inserts.js
  /js/utils.js
  /themes/aqua/images/progressbar.gif
  /themes/cool/images/progressbar.gif
  /themes/default/images/progressbar.gif
  /themes/default/images/ajax-loader2.gif (new)
  /themes/default/images/warning.png (new)
  /themes/aqua/images/ajax-loader2.gif (new)
  /themes/aqua/images/warning.png (new)
  /themes/cool/images/ajax-loader2.gif (new)
  /themes/cool/images/warning.png (new)
# Fixed supplier uom retrieval.
$ /purchasing/includes/db/po_db.inc

04-Apr-2009 Janusz Dobrowolski
# Paper format defaults to A4 for unknown specifiers.
$ /reporting/includes/pdf_report.inc
# Sealing sql statements.
$ /sales/manage/customers.php

01-Apr-2009 Janusz Dobrowolski
# Fixed document mailing.
$ /reporting/includes/pdf_report.inc
# Fixed focus javascript error on lists.
$ /includes/ui/ui_lists.inc
# Fixed report links hotkey selection
$ /js/inserts.js

------------------------------- Release 2.1.1 ----------------------------------
30-Mar-2009 Janusz Dobrowolski
# Fixed display of unsufficient quantities in sales docs.
$ /sales/includes/ui/sales_order_ui.inc
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
# Updated gettext template file
$ /lang/new_language_template/LC_MASSAGES/empty.po
! Release 2.1.1
$ config.php

29-Mar-2009 Janusz Dobrowolski
# [0000126] 'Invoice' words on credit note document.
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
# [0000125] Sql error when creating credit note.
$ /sales/includes/db/sales_credit_db.inc
# [0000121] Error during qoh calculations.
$ /sales/includes/ui/sales_order_ui.inc

28-Mar-2009 Janusz Dobrowolski
# [0000124] Cannot add exchange rate <1 when comma is set as dec separator.
$ /gl/manage/exchange_rates.php

27-Mar-2009 Janusz Dobrowolski
# Fixed include file path in reports 104,303
$ /reporting/rep104.php
  /reporting/rep303.php

26-Mar-2009 Janusz Dobrowolski
# Fixed problems with cash invoices created after db upgrade.
$ /includes/data_checks.inc
  /sales/includes/db/sales_points_db.inc
  /sales/manage/sales_points.php
  /sql/alter2.1.sql

24-Mar-2009 Joe Hunt
# Wrong price decimals in Report Salesman Listing
$ /reporting/rep106.php

23-Mar-2009 Janusz Dobrowolski
# Fixed keybord access issue after AltTab
$ /js/inserts.js

23-Mar-2009 Joe Hunt
# Bad thousand/decimal formatting in XLS reports.(OpenOffice)
$ /reporting/including/excel_report.inc

22-Mar-2009 Janusz Dobrowolski/Joe Hun rerun, didn't work (empty file when inserting)
# Fixed item picture display after upload, fixed item image filenames. Option to remove image.
$ /inventory/manage/items.php
  /inventory/includes/inventory_db.inc
  /reporting/rep104.php
  /reporting/rep303.php

21-Mar-2009 Janusz Dobrowolski
# Broken currency section after date change.
$ /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc

20-Mar-2009 Joe Hunt
# Truncation bug when inserting/updating entered supplier credit limit
$ /purchasing/manage/suppliers.php

19-Mar-2009 Joe Hunt
# [0000120] SQL Error when leaving Default Rate: blank when adding Tax Types
$ /taxes/tax_types.php

19-Mar-2009 Janusz Dobrowolski
# Fixed quick entry amount update on list change.
$ /gl/includes/ui/gl_journal_ui.inc

------------------------------- Release 2.1 ----------------------------------------------------
18-Mar-2009 Joe Hunt
! Release 2.1
$ config.php

18-Mar-2009 Janusz Dobrowolski
# Additional php.ini checks and fixes for php in CGI mode
$ /.htaccess
  /install.html
  /install/index.php
  /install/save.php
# Default focus in lists on searchbox if used.
$ /includes/ui/ui_lists.inc
# Fixed update after code search.
$ /inventory/manage/sales_kits.php

16-Mar-2009 Janusz Dobrowolski
# Fixed redirection after order cancelation.
$ /sales/sales_order_entry.php

15-Mar-2009 Joe Hunt
# Minor bug in Report List of Journal Entries
$ /reporting/rep702.php

14-Mar-2009 Joe Hunt
! Changed so exchange variances is stamped on invoice GL instead of payment GL
  if invoice date is later than payment date
$ /includes/banking.inc

13-Mar-2009 Janusz Dobrowolski/Joe Hunt
# GL line delete bug fixed.
$ /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /includes/ui/items_cart.inc
# Random syntax error + new menu item :).
$ /manufacturing/inquiry/bom_cost_inquiry.php
  /applications/manufacturing.php
- Removed non used file
$ /admin/db/v_banktrans.inc (removed)

11-Mar-2009 Joe Hunt
# Several errors related to new bank account id in /gl/includes/db/gl_db_banking.inc
$ /gl/include/db/gl_db_banking.inc

10-Mar-2009 Janusz Dobrowolski
# [0000119] Fixed search by item description in sales item selector.
$ /includes/ui/ui_lists.inc
# Fixed email_row/link_row display for empty input value.
$ /includes/ui/ui_inputs.inc
# Small layout fix 
$ /purchasing/allocations/supplier_allocate.php
  /sales/allocations/customer_allocate.php

------------------------------- Release 2.1.0 RC ------------------------------------------------
09-Mar-2009 Joe Hunt
! Release 2.1.0 Release Candidate (RC).
$ config.php
! Report clean up
$ /reporting/includes/excel_report.inc

09-Mar-2009 Janusz Dobrowolski
# Initial prefs for new created user now copied form current admin settings.
$ /admin/users.php
# Changed page_security level to 1
$ /admin/display_prefs.php
# Fixed item code display after item delete
$ /inventory/manage/items.php
# Cosmetic cleanup
$ /includes/session.inc

08-Mar-2009 Joe Hunt
! XLS engine now compatible with PEAR Excel Writer.
$ /reporting/includes/excel_report.inc
  /reporting/includes/Workbook.php
  
05-Mar-2009 Joe Hunt
! Replaced the Excel Writer engine with XLS driver (the XML driver can later be downloaded)
$ /reporting/includes/ExcelWriterXML.php, ExcelWriterXML_Sheet.php and ExcelWriterXM__Style.php removed.
  /reporting/includes/Workbook.php (new file)
  /reporting/includes/excel_report.inc
  /reporting/includes/pdf_report.inc
  /reporting/prn_redirect.php
  /reporting all repXXX.php files
  
03-Mar-2009 Joe Hunt/Janusz Dobrowolski
+ Preparation for Excel Writer continued
$ /reporting/includes/ExcelWriterXML.php
  /reporting/includes/ExcelWriterXML_Sheet.php
  /reporting/includes/ExcelWriterXML_Style.php
  /reporting/includes/excel_report.inc
  /reporting all repXXX.php that are not documents
  
02-Mar-2009 Joe Hunt
+ Preparation for report destination PDF/Printer and Excel (and Open Office Calc)
$ /reporting/includes/reports_classes.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/ExcelWriterXML.php (new file)
  /reporting/includes/ExcelWriterXML_Sheet.php (new file)
  /reporting/includes/ExcelWriterXM__Style (new file)
  /reporting/includes/excel_report.inc (new file)
  /reporting/reports_main.php
  /reporting/rep701.php
  /reporting/rep705.php
  /reporting/rep706.php
  /reporting/rep707.php
  
01-Mar-2009 Janusz Dobrowolski
# Setting magic_quotes_gpc and register_globals to off in htaccess file
$ /.htaccess (new)

28-Feb-2009 Joe Hunt
! Improved layout in standard themes (graphics)
$ /themes/aqua/renderer.php
  /themes/aqua/help.gif (new file)
  /themes/aqua/login.gif (new file)
  /themes/aqua/right.gif (new file)
  /themes/cool/renderer.php
  /themes/cool/help.gif (new file)
  /themes/cool/login.gif (new file)
  /themes/cool/right.gif (new file)
  /themes/default/renderer.php
  /themes/default/help.gif (new file)
  /themes/default/login.gif (new file)
  /themes/default/right.gif (new file)
  /themes/themes/login.css
    
27-Feb-2009 Janusz Dobrowolski
# Security fix to my last commit.
$ /frontaccounting.php
  /includes/lang/language.php

25-Feb-2009 Joe Hunt
! Improved layout
$ /inventory/prices.php
  /inventory/reorder_level.php
  /inventory/inquiry/stock_status.php
  
24-Feb-2009 Janusz Dobrowolski
# Cleaning startup code
$ /index.php
  /frontaccounting.php
  /includes/session.inc
  /includes/db/connect_db.inc
  /includes/lang/gettext.php
  /includes/lang/language.php
# Language changed on display prefs page stored to database.
$ /admin/display_prefs.php
  /admin/db/users_db.inc
  /includes/current_user.inc
# Fixed tab hot keys
$ /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/suppliers.php

23-Feb-2009 Joe Hunt
! Changed extension include to be outside function. Didn't work in submenus.
$ frontaccounting.php
  /includes/main.inc
! Better color in data picker
$ /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
  
22-Feb-2009 Janusz Dobrowolski
! Application startup code cleanup.
$ /frontaccounting.php
  /index.php
  /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/suppliers.php
  /includes/session.inc
  /includes/lang/language.php
  /themes/default/renderer.php
  /themes/aqua/renderer.php
  /themes/cool/renderer.php
! Removed obsolete $applications array.
$ /config.php
! Cosmetic cleanup
$ /includes/main.inc
! Calendar style moved to theme default.css
$ /includes/ui/ui_view.inc
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
# Fixed charset selection on login screen
$ /access/login.php
# Blocked password changes in demo mode
$ /admin/change_current_user_password.php
! Default theme and language set for not logged user
$ /includes/current_user.inc
  /includes/prefs/userprefs.inc
# Fixed initial query order.
$ /purchasing/inquiry/po_search.php

21-Feb-2009 Joe Hunt
! Added nowrap for date type fields in db_pager_view.inc. Problems with (-) sep.
$ /includes/ui/db_pager_view.inc
! Better layout in stock_movements.php
$ /inventory/inquiry/stock_movements.php

18-Feb-2009 Joe Hunt
! Better layout in Items form.
$ /inventory/manage/items.php

16-Feb-2009 Joe Hunt
# Instruction in update.html should include switch to standard theme before upgrade
$ update.html
# Bug in function get_ecb_rate when no function curl_init (missing url part)
$ /gl/includes/db/gl_db_rates.inc

------------------------------- Release 2.1.0 beta 2 -------------------------------------------
15-Feb-2009 Joe Hunt
! Release 2.1.0 beta 2
$ config.php

14-Feb-2009 Janusz Dobrowolski
# Removed obsolete bank_trans field
$ /sql/alter2.1.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
# Drop column queries executed also in not forced upgrade install 
$ /admin/db/maintenance_db.inc

13-Feb-2009 Janusz Dobrowolski
! Added login page language setting
$ /access/login.php
  /admin/inst_lang.php
  /includes/lang/language.php
  /lang/installed_languages.inc
# Message typo fixed
$ /admin/display_prefs.php
# Unified display_error function name in install wizard and main code
$ /install/save.php

13-Feb-2009 Joe Hunt
# Minor bug fix in Quick Entry tax account choice for Journal Entry.
$ /includes/ui/ui_view.inc

12-Feb-2009 Janusz Dobrowolski
! Changed extension menu file placement, added support for gettext in extensions.
$ /frontaccounting.php
# Fix for some buggy curl versions.
$ /gl/includes/db/gl_db_rates.inc
  /gl/manage/exchange_rates.php
# Fixed get_amount() to return 0 for invalid input.
$ /js/utils.js
  /js/budget.js

------------------------------- Release 2.1.0 beta --------------------------------------------

08-Feb-2009 Janusz Dobrowolski
# Fixed division by zero bug in empty pager
$ includes/db_pager.inc
# Fixed special char display issue in item name [0000116]
$ sales/includes/cart_class.inc

08-Feb-2009 Joe Hunt
! Changed license type to GNU GPLv3. Stamped headers changed.
$ all appropriate source files

04-Feb-2009 Joe Hunt
! Removed ALTER TABLE DROP columns
$ /sql/alter2.1.sql
! Removed files from CVS
/company/0/images/logo_frontaccounting.png
/reporting/fonts/vera.afm
+ Added files to CVS
/doc/2.1_Beta.txt
/doc/extensions.txt
/themes/default/images/escape.png

04-Feb-2009 Joe Hunt
# Software Upgrade (re-read of current user needed)
$ /admin/inst_upgrade.php

03-Feb-2009 Joe Hunt
! install/index.php link to AGPL license
$ /install/index.php

03-Feb-2009 Janusz Dobrowolski
! Merging bugfixes since 2.0.6 from main trunk (see below)
$ /config.php
  /gl/includes/db/gl_db_banking.inc
  /gl/manage/gl_account_classes.php
  /includes/ui/items_cart.inc
  /includes/ui/ui_view.inc
  /purchasing/includes/db/invoice_db.inc
  /reporting/rep101.php
  /reporting/rep201.php
  /reporting/includes/class.pdf.inc
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/view/view_credit.php
# Due date display finally fixed.
$ /purchasing/inquiry/supplier_inquiry.php
  /sales/inquiry/customer_inquiry.php

------------------------------- Release 2.0.7 --------------------------------------------
03-Feb-2009 Joe Hunt
! New release 2.0.7
$ config.php

22-Jan-2009 Joe Hunt
# Bug [0000112] It shows invoices as overdue still (in red), even though its been payed and allocated. 
$ /sales/inquiry/customer_inquiry.php

13-Jan-2009 Joe Hunt
# Bug [0000111] Accounts on Credit Hold can still process delivery notes on sales order and invoicing.
$ /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/includes/ui/sales_order_ui.inc
  
08-Jan-2009 Janusz Dobrowolski
# Numeric check on class id added.
$ /gl/manage/gl_account_classes.php

02-Jan-2009 Joe Hunt
# [0000104] minor language updates in a few sales files 
$ /sales/customer_invoice.php

23-Dec-2008 Joe Hunt
# Fixed an accounting sync in GL when adding bank account transactions (no customer/supplier trans)
$ /gl/includes/db/gl_db_banking.inc

22-Dec-2008 Janusz Dobrowolski
# [0000102] Credit note was stored without entered shippment cost and comment.
$ /sales/credit_note_entry.php
# [0000103] Error during save of modified freehand credit note.
$ /sales/includes/db/cust_trans_db.inc

18-Dec-2008 Joe Hunt
# [0000101] Roll back of yeasterday issues
$ /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_invoice_db.inc

17-Dec-2008 Joe Hunt
# [0000101] More wonderful rounding issues 
$ /includes/ui/ui_view.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  
16-Dec-2008 Joe Hunt
# [0000100] Keep getting left allocated weird results (rounding problems).
$ /includes/ui/ui_view.inc
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /reporting/rep101.php
  /reporting/rep201.php
  /sales/inquiry/customer_allocation_inquiry.php

10-Dec-2008 Janusz Dobrowolski
# [0000099] New line added to inventory transfer/adjustment sometimes overwrites old one.
$ /includes/ui/items_cart.inc

09-Dec-2008 Janusz Dobrowolski
# [0000098] Unable issue of credit note for invoice with removed item lines.
$ /sales/customer_credit_invoice.php
# [0000097] Can't void freehand customer credit note.
$ /sales/includes/db/sales_invoice_db.inc
# Fixed to hide empty credit note lines.
$ /sales/view/view_credit.php
-------------------------------------------------------------------------------

03-Feb-2009 Janusz Dobrowolski
# sql2date around row[date] in due date.
$ /purchasing/inquiry/supplier_inquiry.php
# Bugfix [0000115] once again.
$ /sales/inquiry/sales_orders_view.php
# Division by zero avoided in db_pager
$ /includes/db_pager.inc

02-Feb-2009 Joe Hunt
! Better layout in Form setup
$ /admin/forms_setup.php
# sql2date around row[date] in due date.
$ /sales/inquiry/customer_inquiry.php

02-Feb-2009 Janusz Dobrowolski
# Fixed initial sort order in pagers
$ /dimensions/inquiry/search_dimensions.php
  /includes/db_pager.inc
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /sales/allocations/customer_allocation_main.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
# Fixed due date display for invoices.
$ /sales/inquiry/customer_inquiry.php
# Bugfix [0000115] - error on empty table update in fallback mode.
$ /sales/inquiry/customer_allocation_inquiry.php

30-Jan-2009 Joe Hunt
+ Outputs/Inputs on tax inquiry as well (why not)
$ /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/tax_inquiry.php
! Updated en_US-demo.sql, en_US-new.sql and alter2.1.sql
$ /sql/alter2.1.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
  
29-Jan-2009 Joe Hunt
# A few minor fixes to get the tax report and inquiry right and syncronized
$ /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/tax_inquiry.php
  /reporting/rep709.php
# Missing parameter to add_trans_tax_details
$ /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  
29-Jan-2009 Janusz Dobrowolski
# Changes related to rewrite and optimalization of tax registration
$ /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/invoice_items_db.inc
  /purchasing/view/view_supp_credit.php
  /purchasing/view/view_supp_invoice.php
  /reporting/rep107.php
  /reporting/rep110.php
  /reporting/rep709.php
  /sales/includes/db/cust_trans_details_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sql/alter2.1.php
  /sql/alter2.1.sql
  /taxes/tax_calc.inc
  /gl/inquiry/tax_inquiry.php
# Added precheck before system upgrade
$ /admin/inst_upgrade.php
# Reduced delay when ECB currency exrates page is unavailable.
$ /gl/includes/db/gl_db_rates.inc
# Small fixes
$ /inventory/prices.php
  /includes/ui/ui_view.inc
# Fixed bug in checks before group delete.
$ /sales/manage/sales_groups.php
# Removing obsolete tax group in GL account definition
$ /gl/includes/db/gl_db_accounts.inc
  /gl/manage/gl_accounts.php

28-Jan-2009 Joe Hunt
! Changes to committed tax report routines.
$ /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_credit_db.inc
  /purchasing/includes/db/invoice_db.inc
  /reporting/rep709.php
  
28-Jan-2009 Joe Hunt
+ Copyright notes at top op every source file
$ All files still missing

27-Jan-2009 Joe Hunt
- Removed file update_db.php (obsolete). Finetuning en_US-demo.sql
$ update_db.php
  /sql/en_US-demo.sql
# fixed underline in db pager for sortable columns.
$ /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
  
26-Jan-2009 Joe Hunt
+ Added one Post option to Post options in Quick Entry Lines (amount without decrease or increase). Minor bug fixes.
$ /gl/manage/gl_quick_entries.php
  /includes/types.inc
  /includes/ui/ui_view.inc
+ Added 'inactive' field in most 'catalog' tables.
$ /sql/alter2.1.sql
  /sql/en_US-new.sql
  /sql/en_US-demo.sql
+ Added graphics for cancel. (door-out)
  /themes/aqua/images/cancel.png
  /themes/cool/images/cancel.png
  /themes/default/images/cancel.png

24-Jan-2009 Janusz Dobrowolski
! Set maximum width for select to avoid broken layout in two column layout.
$ /themes/aqua/default.css
  /themes/cool/default.css
  /themes/default/default.css
# Voiding tax records included via GL/bank transactions
$ /admin/db/voiding_db.inc
  /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_trans.inc
# Fixed quick entry types values.
$ /includes/types.inc

23-Jan-2009 Joe Hunt
+ Added new files in doc subdirectory
$ /doc/attachments.txt
  /doc/bank_reconciliation.txt
  /doc/dim_on_invoice.txt
  /doc/license.txt
  /doc/quick_entries.txt
  /doc/recurrent_invoice.txt
  
22-Jan-2009 Janusz Dobrowolski
# Added attachments to company sub_dirs
$ /update_db.php
# Added hot key for Quick Entries
$ /applications/generalledger.php
# Improved quick entries.
$ /gl/gl_bank.php
  /gl/gl_journal.php
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /includes/types.inc
  /includes/ui/items_cart.inc
  /gl/manage/gl_quick_entries.php
  /includes/ui/ui_lists.inc
  /includes/ui/ui_view.inc
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/includes/ui/invoice_ui.inc
  /sql/alter2.1.sql
  /sql/en_US-demo.sql
  /sql/en_US-new.sql
! Registration of changes on GL tax accounts in debtor_trans_tax_details/supp_invoice_tax_details.
$ /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /purchasing/includes/db/invoice_db.inc
  /sales/includes/db/cust_trans_details_db.inc
  /taxes/tax_calc.inc
# Allocation bug for cash sales.
$ /sales/includes/db/sales_invoice_db.inc
# Hiding voided gl transactions.
$ /gl/view/gl_trans_view.php
! Icons removed from form buttons for now.
$ /sales/sales_order_entry.php

20-Jan-2009 Joe Hunt
! Preparing for installing of extensions
$ installed_extensions.php (new file)
  frontaccounting.php
  /includes/main.inc
# Bad handling of graphic links in certain browsers
  /includes/ui/ui_input.inc
  
19-Jan-2009 Joe Hunt
! Changed direct sales document line descriptions to be editable (via edit link)
$ /sales/sales_order_entry.php
  /includes/cart_class.inc
  /includes/ui/sales_order_ui.inc
! Fixed so the printed documents can handle multiple lines of description
$ /reporting/rep107.php
  /reporting/rep109.php
  /reporting/rep110.php
  
17-Jan-2009 Joe Hunt
! Changed all smaller forms and tables to be uniform. Copyright notes.
$ All files with small forms and tables.

16-Jan-2009 Janusz Dobrowolski
! Fixed new pager generation on first display.
$ /gl/manage/exchange_rates.php

15-Jan-2009 Joe Hunt
! Adjustment of db pager width. Copyright notes. 
$ All files with db pager
  /db_pager_view.inc
  /themes/default/default.css
  /themes/aqua/default.css
  /themes/cool/default.css

15-Jan-2009 Janusz Dobrowolski
! Rewritten reconciliation page.
$ /gl/bank_account_reconcile.php
  /includes/ui/ui_lists.inc
  /sql/alter2.1.php
  /sql/alter2.1.sql
  /js/reconcile.js (added)
! Standard mysql separator in date functions
$ /includes/date_functions.inc
+ Separated checkbox generation for indirect display use
$ /includes/ui/ui_input.inc
! Standard checkbox helper use.
$ /sales/inquiry/sales_orders_view.php

14-Jan-2009 Joe Hunt
! Page reload problem, progress bar in backup/restore, 
$ /admin/backups.php
  /admin/display_prefs.php
  /includes/lang/language.php
  
12-Jan-2009 Joe Hunt
! Updating install and update helpers
$ install.html
  update.html
  /install/index.php
# Fixing price formatting of left to allocate
$ /purchasing/allocations/supplier_allocation_main.php
  /sales/allocations/customer_allocation_main.php
  
11-Jan-2009 Janusz Dobrowolski
! Added table pager.
$ /admin/view_print_transaction.php
! Improved check_cells().
$ /includes/ui/ui_input.inc
# Added new attachments per company subdirectory.
$ /admin/create_coy.php
# Added hotkey for reconciliation menu option.
$ /applications/generalledger.php
# Fixed false qoh alerts.
$ /sales/includes/ui/sales_order_ui.inc
# Fixed page title.
$ /sales/manage/sales_points.php

11-Jan-2009 Joe Hunt
! Changed notice msg to warnings and changed bg color for warning
$ /admin/company_preferences.php
  /admin/void_transaction.php
  /includes/errors.inc
  /inventory/manage/items.php
  
10-Jan-2009 Joe Hunt
+ Addition of Bank Reconciliation. Author Rob Mallon
$ /applications/generalledger.php 
  /gl/bank_account_reconcile.php (new file)
  /sql/alter2.1.sql
+ Added more fields to suppliers table and fixed PO document
$ /sql/alter2.1.sql
  /includes/ui/ui_input.inc (new link_row)
  /purchasing/manage/suppliers.php
  /reporting/includes/header2.inc
  /reporting/rep209.php
  
09-Jan-2009 Janusz Dobrowolski
+ Added hook file for localized functions.
$ /includes/lang/language.php
! Removed obsolete local css file inclusion.
$ /includes/page/header.inc
! Optional params in table_header() added.
$ /includes/ui/ui_controls.inc
! Added table pager in exchange rates editor.
$ /gl/includes/db/gl_db_rates.inc
  /gl/manage/exchange_rates.php
! Fixed rate column, added width table parameter
$ /includes/db_pager.inc
  /includes/ui/db_pager_view.inc
# Added hot key for attachments menu option.
$ /applications/setup.php
# Removed bank_trans_types_db.inc inclusion.
$ /gl/includes/gl_db.inc
- Removed obsolete files
$ /gl/manage/bank_trans_types.php (removed)
  /gl/includes/db/bank_trans_types.inc (removed)
  /lang/en_US/stylesheet.css (removed)
  /lang/new_language_template/stylesheet.css (removed)
- Example picture files moved to company/0
$ /inventory/manage/image (removed)
  /inventory/manage/image/0 (removed)
  /inventory/manage/image/0/102.jpg (removed)
  /inventory/manage/image/0/103.jpg (removed)
  /inventory/manage/image/0/104.jpg (removed)

09-Jan-2009 Joe Hunt
! Changed $path_to_root in report files and stamped copyright
$ All report files
+ Added Sales kits to Items price list.
$ /reporting/rep104.php
# Company logo can not be deleted.
$ /admin/company_preferences.php
# Bug [0000107] and [0000108]
$ /inventory/includes/db/items_codes_db.inc
  /gl/manage/gl_account_types.php

08-Jan-2009 Joe Hunt
! Changed attachments to use unique files store instead of blobs
$ /admin/attachments/attachments.php
  /sql/alter2.1.sql
  
07-Jan-2009 Joe Hunt
! Changed supplier credit note to only show items for a period, default 30 days back.
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/invoice_ui.inc
  /purchasing/supplier_credit.php
  
07-Jan-2009 Janusz Dobrowolski
# [0000105] Not initialized user pos numbers after upgrade, fixed some new table fields.
$ /sql/alter2.1.sql
# [0000106] Error blocking direct invoice for currencies not listed by ECB.
$ sales/includes/cart_class.inc
# Fixed error handling in forced upgrade mode.
$ admin/db/maintenance_db.inc
+ Added backtrace debugging function;
$ /includes/ui/ui_view.inc

05-Jan-2009 Joe Hunt
+ Possibility to 'Credit This' in supplier transactions like in customer transaction.
  If there are many invoice items during a year, there would be many rows suggestions.
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/supplier_credit.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/view/view_supp_credit.php
  
22-Dec-2008 Janusz Dobrowolski
# Fixed item_code database update on item creation.
$ /inventory/includes/db/item_codes_db.inc
  /inventory/includes/db/items_db.inc

21-Dec-2008 Joe Hunt
# Minor bugs in layout and quick entries.
$ /Includes/ui/ui_view.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/supplier_invoice.php
# Minor bugs in doctext.inc and doctext2.inc
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  
20-Dec-2008 Joe Hunt
! Replaced the ajax paging in stock movements with the old file.
$ /inventory/inquiry/stock_movements.php
! Better layout in big forms
$ /includes/ui/ui_controls.inc

18-Dec-2008 Joe Hunt
+ Added quick entries in supplier invoice/credit note as well. Based on bank payments
$ /gl/gl_bank.php
  /gl/gl_journal.php
  /gl/includes/db/gl_db_banking.inc
  /includes/ui/ui_view.inc
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/includes/ui/invoice_ui.inc

15-Dec-2008 Janusz Dobrowolski
# [0000085] Fixed session conflicts during document edition in multiply tabs.
$ /sales/includes/cart_class.inc
  /sales/includes/sales_ui.inc
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/sales_order_entry.php
  /sales/view/view_sales_order.php
# Fixed initial form values.
$ /sales/manage/recurrent_invoices.php  
! Code cleanup.
$ /purchasing/view/view_po.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc

12-Dec-2008 Joe Hunt
! Changed so document Sales Invoice now shows delivery notes instead of sales order
$ /reporting/includes/header2.inc

11-Dec-2008 Joe Hunt
+ Two new fields in company table, accumulate_shipping and logal_text
  Accumulat shipping is for accumulating shipping on batch invoice
  Legal text is a last line legal info on sales invoices.
$ /sql/alter2.1.sql
  /admin/db/company_db.inc
  /admin/gl_setup.php
  /reporting/includes/header2.inc
  /sales/customer_invoice.php

10-Dec-2008 Janusz Dobrowolski
# File and line was not displayed for devel error messages.
$ /includes/errors.inc
# Fixed duplicate groups in list selectors.
$ /includes/ui/ui_lists.inc

09-Dec-2008 Joe Hunt
# Bug in document right-margin when more than 1 page.
$ /reporting/includes/header2.inc
! Changed so input of account type is possible (like classes)
$ /gl/manage/gl_account_types.php
  /gl/includes/db/gl_db_account_types.inc
  
08-Dec-2008 Janusz Dobrowolski
+ Added helpers for list editor F4 calls.
$ /includes/ui/ui_controls.inc
  /sales/sales_order_entry.php
+ Added development/bugtracking sql trail 
$ /config.php
  /sql/alter2.1.sql
  /includes/db/connect_db.inc
! GL accounts in list selector always grouped by type
$ /admin/gl_setup.php
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /gl/manage/bank_accounts.php
  /gl/manage/gl_accounts.php
  /gl/manage/gl_quick_entries.php
  /includes/ui/ui_lists.inc
  /purchasing/includes/ui/invoice_ui.inc
  /sales/manage/customer_branches.php
# Fixed Win AltGr issue in hotkeys system.
$ /js/inserts.js
# Fixed sales_items selector for MySql 3.xx compatibility
$ /includes/ui/ui_lists.inc
# Fixed broken syntax in delete_item_code()
$ /inventory/includes/db/items_codes_db.inc
# Additional fixes to foreign/kit codes
$ /inventory/manage/item_codes.php
  /inventory/manage/sales_kits.php
! Merged changes from main trunk up to version 2.0.6 (see below)
$ /config.php
  /update.html
  /update_db.php
  /admin/create_coy.php
  /admin/db/maintenance_db.inc
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /includes/banking.inc
  /includes/current_user.inc
  /manufacturing/view/wo_production_view.php
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /reporting/rep107.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep209.php
  /reporting/rep302.php
  /reporting/rep303.php
  /reporting/includes/pdf_report.inc
  /sales/customer_delivery.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_sales_order.php
  /taxes/tax_calc.inc
------------------------------- Release 2.0.6 --------------------------------------------
08-Dec-2008 Joe Hunt
! New release 2.0.6
$ config.php

05-Dec-2008 Joe Hunt
# [0000095] Bad behaviour of routine number_format and round in Windows.
$ /gl/includes/gl_db_trans.inc
  /includes/banking.inc
  /includes/current_user.inc
  /purchasing/includes/ui/invoice_ui.inc
  /reporting/rep107.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep209.php
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_sales_order.php

04-Dec-2008 Janusz Dobrowolski
# Check write permissions and create per company subdirectory structure.
$ /update.html
  /update_db.php
# Fixed index.php files in new company dirs.
$ /admin/create_coy.php
  /admin/db/maintenance_db.inc

04-Dec-2008 Joe Hunt
# [0000095] Inbalance double entry on Documents
$ /gl/includes/db/gl_db_trans.inc
  /gl/includes/db/gl_db_banking.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_invoice_db.inc
  
29-Nov-2008 Joe Hunt
# [0000094] Report does not show items that have 0 qty but have demand qty
$ /reporting/rep302.php
  /reporting/rep303.php
  
28-Nov-2008 Joe Hunt
# [0000093] Voiding Supplier Invoices Causes some lines cost update to go to 0 and exchange rate change
$ /purchasing/includes/db/invoice_db.inc

27_Nov-2008 Joe Hunt
# [0000092] Stock Sheet Report. Bad Page break.
$ /reporting/includes/pdf_report.inc

26-Nov-2008 Joe Hunt
# [0000091] Tax for 2 decimal places doesn't compute properly
$ /taxes/tax_calc.inc

25-Nov-2008 Janusz Dobrowolski
# [0000084] Low inventory items are not marked properly.
$ /sales/customer_delivery.php
# [0000086] New line added to document sometimes overwrites old one.
$ /sales/includes/cart_class.inc
# [0000087] Change of order date always updates prices.
$ /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
# Fixed automatic price calculations always on.
$ /sales/includes/sales_db.inc

08-Dec-2008 Joe Hunt
! Better support for purchasing data (automatic updating from PO receive)
$ /purchasing/includes/db/grn_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/po_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/purchasing_db.inc
  /reporting/rep209.php

07-Dec-2008 Janusz Dobrowolski
+ Added list category grouping.
$ /includes/ui/ui_lists.inc
! Changed branch/customer invoice address/name selection on reports
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  /reporting/includes/header2.inc
! Fixed default delivery address selection
$ /sales/includes/ui/sales_order_ui.inc
+ Added delivery links
$ /sales/view/view_invoice.php
# Small syntax fix.
$ /sql/alter2.1.php
# Fixed error handling during upgrade
$ /admin/db/maintenance_db.inc
# Fixed warnings display
$ /includes/errors.inc

08-Dec-2008 Joe Hunt
# Bad and missing parameter to header2 funciton
$ /reporting/rep109.php
  /reporting/rep209.php
! Rerun of invoice_ui.inc
$ /purchasing/includes/ui/invoice_ui.inc

07-Dec-2008 Joe Hunt
! Better layout. Copyright notes. Mailto links, outer table routines.
$ /admin/company_preferences.php
  /admin/display_prefs.php
  /admin/gl_setup.php
  /admin/users.php
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /includes/ui_controls.inc
  /includes/ui_input.inc
  /inventory/adjustments.php
  /inventory/transfers.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /inventory/manage/locations.php
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /purchasing/manage/suppliers.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
  /sales/manage/sales_people.php
  /sales/customer_payments.php
  
05-Dec-2008 Joe Hunt
+ New fields in suppliers, phone, fax, vat no, contact and credit limit
$ /purchasing/suppliers.php
  /sql/alter2.1.sql
! Changed dimension view to show result instead of ledger trans
$ /dimensions/view/view_dimension.php
  /dimensions/includes/dimension_ui.inc
  
05-Dec-2008 Janusz Dobrowolski
! Allowed optional ORDER BY option in base db_pager sql query
$ /includes/db_pager.inc
# Small fixes to pager layout
$ /includes/ui/db_pager_view.inc
! Reusable button code
$ /includes/ui/ui_controls.inc
! Button helpers moved from ui_controls.inc
$ /includes/ui/ui_input.inc
  /includes/ui/ui_controls.inc
# Fixed errors during focus on nonexistent elements
$ /js/utils.js

26-Nov-2008 Janusz Dobrowolski
# Fixed layout of amount_ex() fields with label.
$ /includes/ui/ui_input.inc
# Fixed combo_input for $sql with GROUP BY option
$ /includes/ui/ui_lists.inc

25-Nov-2008 Janusz Dobrowolski
! Merged all changes from main trunk up to 2.0.5 (see details below)
$ /CHANGELOG.txt
  /update.html
  /admin/void_transaction.php
  /admin/db/voiding_db.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/inquiry/gl_trial_balance.php
  /includes/banking.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_view.inc
  /manufacturing/manage/bom_edit.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /reporting/rep101.php
  /reporting/rep106.php
  /reporting/rep201.php
  /reporting/rep203.php
  /reporting/rep209.php
  /reporting/rep708.php
  /reporting/reports_main.php
  /reporting/includes/class.pdf.inc
  /sales/customer_payments.php
  /sales/allocations/customer_allocate.php
  /sales/includes/sales_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/payment_db.inc
  /sales/view/view_receipt.php
------------------------------- Release 2.0.5 --------------------------------------------
24-Nov.2008 Joe Hunt
! Release 2.0.5
$ config.php
! Changed update.html
$ update.html
# Small bug fixes
$ /reporting/includes/header2.inc
  /sales/view/view_receipt.php

20-Nov-2008 Janusz Dobrowolski
# [0000082] Bad js allocation on All/None button press.
$ /sales/allocations/customer_allocate.php

20-Nov-2008 Joe Hunt
# Do not allow editing invoice if allocated > 0
$ /sales/inquiry/customer_inquiry.php

19-Nov-2008 Joe Hunt
+ Possibility to view a transaction before final voiding.
$ /admin/void_transaction.php

11-Nov-2008 Janusz Dobrowolski
# Fixed right alignment of amount cells.
$ /includes/ui/ui_input.inc
# Fixed display bug for fully received items and false modify conflicts.
$ /purchasing/po_receive_items.php

10-Nov-2008 Joe Hunt
! [0000081] Trial Balance again minor changes.
$ /gl/inquiry/gl_trial_balance.php
  /reporting/rep708.php

07-Nov-2008 Joe Hunt
! [0000081] Changed Trial Balance to show all debits and credits (option to only show balances)
$ /gl/inquiry/gl_trial_balance.php
  /reporting/reports_main.php
  /reporting/rep708.php
  
03-Nov-2008 Janusz Dobrowolski
# Fixed price priority in automatic calculations.
$ sales/includes/sales_db.inc

30-Oct-2008 Janusz Dobrowolski
# [0000080] BOM elements was not editable after entry.
$ /manufacturing/manage/bom_edit.php

29-Oct-2008 Joe Hunt
# Voiding a supplier invoice/credit note with GL Postings creates a database error
$ /purchasing/includes/db/invoice_db.inc

28-Oct-2008 Joe Hunt
# [0000079] Delivery Note/Sales Invoice should not be editable after it has been voided.
$ /admin/db/voiding_db.inc
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/customer_inquiry.php
  
27-Oct-2008 Joe Hunt
! [0000078] Opened Exchange rate for editing (without storing) in sales/purchasing module payment
# Fixed exchange rate display bugs in Supplier Payment (earlier dates).
$ /gl/includes/db/gl_db_trans.inc
  /includes/banking.inc
  /includes/ui/ui_view.inc
  /purchasing/supplier_payment.php
  /purchasing/includes/purchasing_db.inc
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /sales/customer_payments.php
  /sales/includes/sales_db.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/payment_db.inc
# [0000078] Fixed some reports with wrong exchange rates.
$ /reporting/rep101.php
  /reporting/rep106.php
  /reporting/rep201.php
  /reporting/rep203.php
  /reporting/rep209.php
+ Added confirm box when admins are about to remove PO GRNs from Supplier Invoice
$ /purchasing/supplier_invoice.php

24-Oct-2008 Joe Hunt
! [0000077] Added a total before ending balance in trial balance (also in report)
$ /gl/inquiry/gl_trial_balance.php
  /reporting/rep708.php
! Increased memory limit if reports in unicode (48M) as suggested in forum.
  /reporting/includes/class.pdf.inc
! Improved layout of Supplier Invoice/Credit. All Items can now be added in one sweep.
$ /purchasing/supplier_invoice.php
  /purchasing/supplier_credit.php
  /purchasing/includes/ui/invoice_ui.inc
  
------------------------------- Release 2.0.4 --------------------------------------------
23-Oct-2008 Joe Hunt
! Release 2.0.4
25-Nov-2008 Joe Hunt
! Inserted Copyright Notice and fixed graphic items
$ /access/login.php
  /access/logout.php
  /admin/attachments.php
  /admin/backups.php
  /admin/change_current_user_password.php
  /admin/db/company_db.inc
  /admin/db/maintenence_db.inc
  /admin/db/printers_db.inc
  /admin/db/users_db.inc
  /admin/db/v_banktrans.inc
  /admin/db/voiding_db.inc
  /admin/display_prefs.php
  /admin/fiscalyears.php
  /admin/forms_setup.php
  /admin/gl_setup.php
  /admin/inst_upgrade.php
  /admin/payment_terms.php
  /admin/print_profiles.php
  /admin/printers.php
  /admin/shipping_companies.php
  /admin/users.php
  /admin/view_print_transaction.php
  /admin/void_transaction.php
  /gl/gl_journal.php
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /gl/inquiry/bank_inquiry.php
  /gl/inquiry/tax_inquiry.php
  /gl/manage/bank_accounts.php
  /includes/ui/ui_controls.inc
  /reporting/includes/pdf_report.inc
  /reporting/rep709.php
  /sales/includes/ui/sales_credit_ui.inc
  /sql/alter2.1.php
  
24-Nov-2008 Janusz Dobrowolski
+ Added alias/foreign item codes and sales kits support.
$ /applications/inventory.php
  /includes/ui/ui_lists.inc
  /inventory/prices.php
  /inventory/includes/inventory_db.inc
  /inventory/includes/db/items_category_db.inc
  /inventory/includes/db/items_db.inc
  /inventory/manage/items.php
  /inventory/includes/db/items_codes_db.inc (new)
  /inventory/manage/item_codes.php (new)
  /inventory/manage/sales_kits.php (new)
  /sales/includes/sales_db.inc
  /sales/includes/ui/sales_order_ui.inc
! Added decimals to get_item_edit_info() return (sql usage optimization).
$ /includes/db/inventory_db.inc
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /manufacturing/includes/work_order_issue_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /sales/includes/ui/sales_credit_ui.inc
! Added postlabel update in amount_cells_ex() and derivative helpers, fixed qty_cell $dec handling
$ /includes/ui/ui_input.inc
# Fixed _vd() debug function for use also in ajax mode.
$ /includes/ui/ui_view.inc
! Changed foreign column name to avoid mysql syntax problems, added category.
$ /sql/alter2.1.sql
  /sql/alter2.1.php
# Fixed unconsistent units of measure.
$ /sql/en_US-demo.sql
  /sql/en_US-new.sql

24-Nov-2008 Joe Hunt
! Preparing for graphic Links
$ config.php
  /includes/ui/ui_input.inc
  /sales/sales_order_entry.php
  /sales/includes/ui/sales_order_ui.inc
  /themes/aqua/images/ok.gif
  /themes/cool/images/ok.gif
  /themes/default/images/ok.gif
# Small layout bug in header2.inc
$ /reporting/includes/header2.inc
# Small layout bug in report bank statement
$ /reporting/rep601.php
# Restriction on links
$ /sales/inquiry/customer_inquiry.php

22-Nov-2008 Joe Hunt
+ Preparing for Graphic Links final.Optimized.
$ config.php
  /admin/create_coy.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /dimensions/inquiry/search_dimensions.php
  /includes/ui/ui_controls.inc
  /includes/ui/ui_view.inc
  /includes/db_pager_view.inc
  /manufacturing/search_work_orders.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/allocations/supplier_allocation_main.php
  /reporting/includes/reporting.inc
  /sales/allocations/customer_allocation_main.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_orders_view.php
  /sales/inquiry/sales_deliveries_view.php
  /themes/default/images/receive.gif (new file)
  /themes/aquat/images/receive.gif (new file)
  /themes/cool/images/receive.gif (new file)
  
  
21-Nov-2008 Joe Hunt
+ Preparing for Graphic Links instead of Text Links (user display option, default)
  (new field in 0_users, graphic_links)
$ config.php
  /admin/display_prefs.php
  /admin/create_coy.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /admin/db/users_db.inc
  /includes/current_user.inc
  /includes/prefs/userprefs.inc
  /includes/ui/ui_controls.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_view.inc
  /reporting/includes/reporting.inc
  /sql/alter2.1.sql 
  /themes/default/images/add.png, credit.gif, delete.gif, download.gif, edit.gif, gl.png, 
          invoice.gif, money.png, pdf.gif, print.png, remove.png, report.png, view.gif 
  /themes/aqua/images/add.png, credit.gif, delete.gif, download.gif, edit.gif, gl.png, 
          invoice.gif, money.png, pdf.gif, print.png, remove.png, report.png, view.gif 
  /themes/cool/images/add.png, credit.gif, delete.gif, download.gif, edit.gif, gl.png, 
          invoice.gif, money.png, pdf.gif, print.png, remove.png, report.png, view.gif 
  
20-Nov-2008 Joe Hunt
+ Added new AGPL license file
$ /doc/license.txt (new file)

19-Nov-2008 Janusz Dobrowolski
# Fixed error handling during database upgrade in normal and forced mode.
$ /admin/db/maintenance_db.inc
! Additions needed for foreign item codes support.
$ /sql/alter2.1.php
  /sql/alter2.1.sql

19-Nov-2008 Joe Hunt
! Changed the default header2.inc.
$ /reporting/includes/header2.inc

18-Nov-2008 Janusz Dobrowolski
+ System upgrade page for site admins
$ /admin/db/maintenance_db.inc
  /applications/setup.php
  /admin/inst_upgrade.php	(new)
  /sql/alter2.1.php		(new)
! Added $tbpref parameter to get_user_prefs()
$ /admin/db/company_db.inc
# Next fixes to db_pager behaviour.
$ /includes/db_pager.inc
  /includes/ui/db_pager_view.inc
  /dimensions/inquiry/search_dimensions.php
  /inventory/inquiry/stock_movements.php
  /manufacturing/search_work_orders.php
  /manufacturing/inquiry/where_used_inquiry.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /sales/allocations/customer_allocation_main.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php

16-Nov-2008 Janusz Dobrowolski
! Rewritten for paged query results.
$ /inventory/inquiry/stock_movements.php
+ Added optional footer and header in db_pager, simplified usage.
$ /includes/db_pager.inc
  /includes/ui/db_pager_view.inc
! Code cleanup.
$ /dimensions/inquiry/search_dimensions.php
  /manufacturing/search_work_orders.php
  /manufacturing/inquiry/where_used_inquiry.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php

16-Nov-2008 Joe Hunt
+ Added Attachment of Documents and a couple of links from supplier invoice/credit note
$ /admin/attachments.php (new file)
  /applications/setup.php
  /purchasing/supplier_credit,php
  /purchasing/supplier_invoice.php
  /sql/alter2.1.sql
# Minor bug in view_print_transactions.php
$ /admin/view_print_transactions.php

15-Nov-2008 Joe Hunt
+ Added Quick Entries in GL Journal Entry and changed some needed fixes.
$ /gl/gl_bank.php
  /gl/gl_journal.php
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/includes/ui/gl_journal_ui.inc
  /includes/ui/ui_lists.inc
  
15-Nov-2008 Joe Hunt
+ Added Tax Inquiry in Banking and General Ledger tab.
$ /applications/generalledger.php
  /gl/inquiry/tax_inquiry.php (new file)
  
14-Nov-2008 Joe Hunt
+ Added Sales Groups and Recurrent Invoices.
$ /applications/customers.php
  /includes/ui/ui_lists.inc
  /reporting/includes/reporting.inc
  /reporting/rep108.php
  /sales/includes/db/branches_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/inquiry/sales_orders_view.php
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
  /sql/alter2.1.sql
  /sales/create_recurrent_invoices.php (new file)
  /sales/manage/recurrent_invoices.php (new file)
  /sales/manage/sales_groups.php (new file)

13-Nov-2008 Janusz Dobrowolski
! Rewritten for paged query results.
$ /dimensions/inquiry/search_dimensions.php
# Removed obsolete dimension list submit_on_change option.
$ /sales/includes/ui/sales_order_ui.inc
  /sales/credit_note_entry.php
  /sales/includes/ui/sales_credit_ui.inc

12-Nov-2008 Janusz Dobrowolski
! Rewritten for paged query results.
$ /manufacturing/search_work_orders.php
  /manufacturing/inquiry/where_used_inquiry.php
  /purchasing/allocations/supplier_allocation_main.php
  /sales/allocations/customer_allocation_main.php
! Code reorganization to reuse sql query by db_pager.
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/includes/db/suppalloc_db.inc
  /sales/includes/db/custalloc_db.inc
! Added $echo parameter to view_stock_status()
$ /includes/ui/ui_view.inc
# Fixed sql query (duplicated rows in query result)
$ /sales/inquiry/customer_inquiry.php
# Fixed bom selection via $_GET['stock_id']
$  /manufacturing/manage/bom_edit.php

12-Nov-2008 Joe Hunt
! Added dimension entries in delivery and invoice forms
$ /includes/ui/ui_lists.inc
  /sales/credit_note_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_order_db.inc
  /sales/includes/sales_db.inc
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/sales_order_entry.php
  /sql/alter2.1.sql
  
12-Nov-2008 Janusz Dobrowolski
! Changed db_pager API for inserted columns.
$ /includes/db_pager.inc
  /includes/ui/db_pager_view.inc
! Fixed $cols according to api change.
$ /purchasing/inquiry/supplier_inquiry.php
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
! Rewritten for paged query results.
$ /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php

10-Nov-2008 Janusz Dobrowolski
# Suppressed page update after import errors
$ /admin/backups.php
# More fail safe db_import()
$ /admin/db/maintenance_db.inc
# Added check for POS relations before account delete.
$ /gl/manage/bank_accounts.php
# Fixed for MySQL <4.0.18, removed bank_trans_types
$ /sql/alter2.1.sql
# Fixed page update after branch/customer change.
$ /sales/includes/ui/sales_order_ui.inc

10-Nov-2008 Joe Hunt
! changing the default.css style sheets to handle the new navibar/buttons
$ /themes/default/default.css 
  /themes/aqua/default.css
  /themes/cool/default.css
  /themes/cool/images/sort_asc.gif
  /themes/cool/images/sort_desc.gif
  
10-Nov-2008 Joe Hunt
! Changed Bank Statement Report in accourding to Bank Account Change
$ /reporting/rep601.php
  /reporting/includes/reports_classes.inc
# Removed Type header from bank inquiry.
  /gl/inquiry/bank_inquiry.php
  
09-Nov-2008 Janusz Dobrowolski
! Allowed multiply bank accounts on one GL account, removed obsolete bank trans type.
$ /applications/generalledger.php
  /gl/bank_transfer.php
  /gl/gl_bank.php
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_banking.inc
  /gl/includes/db/gl_db_trans.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/inquiry/bank_inquiry.php
  /gl/manage/bank_accounts.php
  /gl/view/bank_transfer_view.php
  /gl/view/gl_deposit_view.php
  /gl/view/gl_payment_view.php
  /includes/banking.inc
  /includes/data_checks.inc
  /includes/types.inc
  /includes/ui/ui_lists.inc
  /purchasing/supplier_payment.php
  /purchasing/includes/db/supp_payment_db.inc
  /purchasing/includes/db/supp_trans_db.inc
  /purchasing/view/view_supp_payment.php
  /sales/customer_payments.php
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/view/view_receipt.php
  /sql/alter2.1.sql
! Fixed session name for multiuser debuging tests.
  /includes/lang/language.php
! Preparing to paged table view in customer_allocation_main.php 
$ /sales/includes/db/cust_trans_db.inc
  /sales/includes/db/custalloc_db.inc
# Small fix to avoid sql conflicts
$ /sales/includes/db/sales_points_db.inc
# Changes to POS addition related to above changes.
$ /includes/ui/ui_lists.inc
  /sales/includes/db/sales_points_db.inc
  /sales/manage/sales_points.php
  /sql/alter2.1.sql

09-Nov-2008 Joe Hunt
! changed Quick Entries in Bank Payments/Deposits (Banking and General Ledger) to also work as Automatic Codings.
$ /includes/ui/ui_lists.inc 
  /includes/ui/ui_input.inc 
  /gl/gl_bank.php
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/manage/gl_quick_entries.php
! New table, 0:quick_entry_lines, change to 0_quick_entries
$ /sql/alter2.1.sql

08-Nov-2008 Janusz Dobrowolski
! Rewritten for paged query results.
$ /purchasing/inquiry/supplier_inquiry.php
# Fixed broken table content after customer selector change.
$ /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php

05-Nov-2008 Janusz Dobrowolski
! Changed dbpager API.
$ /includes/ui/db_pager_view.inc
# Polishing db_pager code.
$ /includes/db_pager.inc
+ Added array_replace() and array_append() helpers.
$ /includes/main.inc
# Fixed multiply sales document view links.
$ /includes/ui/ui_view.inc
! Rewritten for paged query results.
$ /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
! Code cleanup.
$ /sales/inquiry/sales_orders_view.php

04-Nov-2008 Janusz Dobrowolski
+ Added db_pager widget for paged/sorted sql query display.
$ /includes/db_pager.inc (New)
  /includes/ui/db_pager_view.inc (New)
  /themes/aqua/images/sort_asc.gif (New)
  /themes/aqua/images/sort_desc.gif (New)
  /themes/aqua/images/sort_none.gif (New)
  /themes/cool/images/sort_asc.gif (New)
  /themes/cool/images/sort_desc.gif (New)
  /themes/cool/images/sort_none.gif (New)
  /themes/default/images/sort_asc.gif (New)
  /themes/default/images/sort_desc.gif (New)
  /themes/default/images/sort_none.gif (New)
  /themes/default/default.css
  /themes/aqua/default.css
+ Added query size user preference.
$ /admin/display_prefs.php
  /admin/db/users_db.inc
  /includes/current_user.inc
  /includes/prefs/userprefs.inc
  /sql/alter2.1.sql
+ Added helper functions for array manipulation.
$ /includes/main.inc
+ Added mysql_fetch_assoc() wrapper.
$ /includes/db/connect_db.inc
! Paged query result.
$ /sales/inquiry/sales_orders_view.php
# Two smaller fixes.
$ /js/inserts.js

31-Oct-2008 Janusz Dobrowolski
+ POS and cash sale support.
$ /admin/users.php
  /admin/db/users_db.inc
  /applications/setup.php
  /includes/current_user.inc
  /includes/ui/ui_lists.inc
  /sales/sales_order_entry.php
  /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/manage/sales_points.php (New)
  /sales/includes/db/sales_points_db.inc (New)
  /sales/includes/cart_class.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_order_db.inc
  /sql/alter2.1.sql
# Fixed focus after error display.
$ /js/utils.js
# Fixed buggy output when SetLineWidth is used before first AddPage call.
$ /reporting/includes/tcpdf.php
# Fixed sign in payment view.
$ /sales/view/view_receipt.php
# Fixed missing hotkeys support for print links.
$ /reporting/includes/reporting.inc

30-Oct-2008 Joe Hunt
! Added Quick Entries in Bank Payments/Deposits (Banking and General Ledger).
$ /applications/generalledger.php 
  /includes/data_checks.inc
  /includes/types.inc
  /includes/ui/ui_lists.inc
  /gl/gl_bank.php
  /gl/includes/db/gl_db_bank_accounts.inc
  /gl/includes/ui/gl_bank_ui.inc
  /gl/manage/gl_quick_entries.php
  /sales/manage/customer_branches.php
! New table, 0_quick_entries
$ /sql/alter2.1.sql
! Changed GL Accounts form. The tax_code is now Tax Group instead of Tax Type.
$ /gl/manage/gl_accounts.php

24-Oct-2008 Janusz Dobrowolski
! Added hotkeys to final menu options.
$ /dimensions/dimension_entry.php
  /gl/bank_transfer.php
  /gl/gl_bank.php
  /gl/gl_journal.php
  /inventory/adjustments.php
  /inventory/transfers.php
  /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_issue.php
  /manufacturing/work_order_release.php
  /purchasing/po_entry_items.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_payment.php
  /sales/credit_note_entry.php
  /sales/customer_credit_invoice.php
  /sales/customer_invoice.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
# Fixed TCPDF errors display.
$ /reporting/includes/tcpdf.php
# Fixed page position after message display.
$  /js/utils.js

23-Oct-2008 Janusz Dobrowolski
+ Improved report module performance, also usable without javascript.
$ /reporting/reports_main.php
  /reporting/includes/class.pdf.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/reports_classes.inc
  /reporting/includes/header2.inc
+ Hotkey support for viewer links.
$ /includes/ui/ui_view.inc
  /js/inserts.js
+ Added purchase order printing after entry.
$ /purchasing/po_entry_items.php
+ Added hotkeys to credit note final menu.
$ /sales/credit_note_entry.php
# Fixed submit button for IE7
$ /includes/ui/ui_input.inc
# Fixed ajax popup flicker.
$ /js/utils.js
# Fix after 2.0.4 merge
$ /sales/inquiry/sales_orders_view.php

23-Oct-2008 Joe Hunt
! Merging the changes up to 2-0-4
$ /purchasing/supplier_invoice.php
  /purchasing/supplier_credit.php
  /purchasing/includes/db/invoice_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/supplier_invoice_grns.php (File removed)
  /purchasing/supplier_credit_grns.php (File removed)
  /purchasing/supplier_trans_gl.php (File removed)
  /gl/inquiry/gl_trial_balance.php
  /gl/inquiry/gl_account_inquiry.php
  /reporting/rep704.php
  /reporting/rep708.php
  /sql/en_US-demo.sql
  /sales/includes/ui/sales_order_ui.inc
  /sales/inquiry/sales_orders_view.php
  
20-Oct-2008 Janusz Dobrowolski
# Fix for pdf reports (php 5.2.4 issue)
$ /reporting/includes/pdf_report.inc

19-Oct-2008 Janusz Dobrowolski
+ User interface mode (full vs fallback) detected and set on login
$ /access/login.php
  /includes/current_user.inc
  /includes/session.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
+ More sales documents available for printing from inquiry page.
$ /sales/inquiry/customer_inquiry.php
  /reporting/includes/header2.inc
! Changed version info.
$ /config.php
# Fixed ajax popup/redirection.
$ /reporting/includes/pdf_report.inc
  /includes/ajax.inc

17-Oct-2008 Janusz Dobrowolski
+ Added ajax request indicator.
$ /js/utils.js
  /themes/aqua/renderer.php
  /themes/aqua/images/ajax-loader.gif (new)
  /themes/cool/renderer.php
  /themes/cool/images/ajax-loader.gif (new)
  /themes/default/renderer.php
  /themes/default/images/ajax-loader.gif (new)
+ Added optional popup for pdf reports display.
$ /admin/display_prefs.php
  /admin/users.php
  /admin/db/users_db.inc
  /includes/current_user.inc
  /includes/prefs/userprefs.inc
  /reporting/includes/pdf_report.inc
  /sql/alter2.1.sql
# Changed message for missing currency rate.
$ /includes/banking.inc
# Fixed submit/button behaviour.
$ /js/inserts.js
# Fixed canceling order.
$ /sales/sales_order_entry.php
# Fixed typo in css
$ /themes/aqua/default.css
# Fixed pdf_debug mode
$ /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc

15-Oct-2008 Janusz Dobrowolski
+ Added remote printing support
$ /admin/print_profiles.php (new)
  /admin/printers.php (new)
  /admin/db/printers_db.inc (new)
  /reporting/prn_redirect.php (new)
  /reporting/includes/printer_class.inc (new)
  /sql/alter2.1.sql (new)
  /config.php
  /admin/display_prefs.php
  /admin/users.php
  /admin/db/users_db.inc
  /applications/setup.php
  /includes/current_user.inc
  /includes/prefs/userprefs.inc
  /includes/ui/ui_lists.inc
  /js/inserts.js
  /js/utils.js
  /reporting/rep109.php
  /reporting/reports_main.php
  /reporting/includes/pdf_report.inc
  /reporting/includes/reporting.inc
  /reporting/includes/reports_classes.inc
!Fixes related to changed printing api.
$ /admin/view_print_transaction.php
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/sales_order_entry.php
  /sales/inquiry/customer_inquiry.php
  /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
+ Added optional id parameter for label helpers; added value for buttons.
$ /includes/ui/ui_input.inc
+ Added ajax popup screen command.
$ /includes/ajax.inc
# Skipping index.php file during flush_dir()
$ /includes/main.inc

06-Oct-2008 Janusz Dobrowolski
+ Menu hotkeys system implementation.
$ /includes/page/header.inc
  /includes/ui/ui_controls.inc
  /includes/ui/ui_input.inc
  /js/JsHttpRequest.js
  /js/inserts.js
  /js/utils.js
  /reporting/includes/reports_classes.inc
  /sales/sales_order_entry.php
  /sales/manage/customers.php
  /themes/aqua/default.css
  /themes/aqua/renderer.php
  /themes/cool/default.css
  /themes/cool/renderer.php
  /themes/default/default.css
  /themes/default/renderer.php
+ Access keys added to menu options strings.
$ /config.php
  /applications/customers.php
  /applications/dimensions.php
  /applications/generalledger.php
  /applications/inventory.php
  /applications/manufacturing.php
  /applications/setup.php
  /applications/suppliers.php
  /reporting/reports_main.php

------------------------------- Release 2.0.3 --------------------------------------------
06-Oct-2008 Joe Hunt
! Release 2.0.3
$ config.php
# Bug [0000072] Item stock movement should check for if there is empty Inventory.
$ /inventory/inquiry/stock_movements.php

05-Oct-2008 Janusz Dobrowolski
# Bugfix [0000063] Bad update of parent document lines after edition of sales documents.
$ /sales/includes/cart_class.inc
  /sales/includes/sales_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
# Bugfix [0000071] Ordering for customer with bad history available after F4 - Return
$ /sales/manage/customers.php

04-Oct-2008 Joe Hunt
# Bug [0000069] Constraint on voiding delivery note if a non voided, linked invoice exists.
$ /admin/db/voiding_db.inc
# Bug [0000061] Cost Update doesn't compute correctly after inventory adjust.
$ /inventory/includes/db/item_adjust_db.inc

01-Oct-2008 Joe Hunt
# When deleting the last module in FA a parce error arose:
$ /admin/inst_module.php
  /admin/inst_lang.php

30-Sep-2008 Janusz Dobrowolski
# Bug [0000067] Settled supplier documents were displayed as overdued.
$ /purchasing/inquiry/supplier_inquiry.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
# Bug [0000068] Removed unneeded constraint on edition of fully allocated sales doc.
$ /sales/allocations/customer_allocation_main.php

29-Sep-2008 Janusz Dobrowolski
# Bug [0000065] Changing item type during adding new item caused record reset.
$ /inventory/manage/items.php

26-Sep-2008 Joe Hunt
# Bug [0000064] Credit This on an invoice should automatically allocate the credit to that invoice
$ /sales/includes/db/sales_credit_db.inc

26-Sep-2008 Janusz Dobrowolski
# Bug [0000062] Delivery Modifitication - duplicated tax details.
$ /sales/includes/db/sales_delivery_db.inc

25-Sep-2008 Joe Hunt
# if MySQL is in strict sql mode, a couple of files didn't pass that. Better not use strict sql mode.
  This is not necessary, because FA handle this internally. in my.ini(win) or my.cnf(linux) set sql-mode="".
$ /gl/gl_budget.php
  /includes/db/comments_db.inc
  /inventory/cost_update.php
  /purchasing/includes/db/supp_trans_db.inc
  /sales/includes/db/cust_trans_db.inc
# Bug [0000060] table prefix error message and inconsistency at install
$ /admin/db/maintenance_db.inc
  /install/index.php
  /install/save.php
# Bug [0000061] Delivery Modifitication (standard cost change)
$ /sales/includes/db/sales_delivery_db.inc

------------------------------- Release 2.0.2 --------------------------------------------
23-Sep-2008 Joe Hunt
! Release 2.0.2
$ config.php
! Increased time_out to 3 minutes.
$ /install/save.php

23-Sep-2008 Joe Hunt
# Bug [0000059] Direct Invoice or Delivery Notes doesn't account for negative inventory flag
$ /sales/sales_order_entry.php

21-Sep-2008 Janusz Dobrowolski
+ Added submit_on_change option for date fields
$ /includes/ui/ui_input.inc
+ Automatic exchange rate update after document date change
$ /gl/bank_transfer.php
  /gl/gl_bank.php
  /gl/includes/db/gl_db_rates.inc
  /gl/includes/ui/gl_bank_ui.inc
  /includes/banking.inc
  /includes/ui/ui_view.inc
  /purchasing/supplier_payment.php
  /sales/customer_payments.php
  /sales/includes/cart_class.inc
# Sales/purchase terms update after document date change [0000058]
$ /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /sales/customer_invoice.php
# Fixed edit line total, price update after date change
$ /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
# Fixed unneeded page reload on enter key in text inputs
$ /js/inserts.js
# Fixed session variables conflicts with some third party software (e.g. XRMS)
$ /includes/lang/language.php
# Fixed calendar flicker, removed buttons from exchange_rate_display()
$ /includes/ui/ui_view.inc
! Default delivery required by changed to 1 day.
$ /includes/prefs/sysprefs.inc
# Small bug fix 
$ /sales/includes/sales_db.inc

20-Sep-2008 Joe Hunt
# Fix for exchange variation when allocating payments. re-inserted in System and GL Setup.
$ /admin/gl_setup.php
  /admin/db/company_db
  /includes/banking.inc
  /purchasing/allocations/supplier_allocate.php
  /purchasing/includes/db/suppalloc_db.inc
  /sales/allocations/customer_allocate.php
  /sales/includes/db/custalloc_db.inc
  /sales/includes/db/payment_db.inc
  /sales/includes/db/sales_credit_db.inc
! New tcpdf.php file. Minor bugfixes from tcpdf.org
  /reporting/includes/tcpdf.php
! Layout adjustments
  /dimensions/includes/dimensions_ui.inc
  /dimensions/view/view_dimension.php
  /inventory/view/view_adjustment.php
  /manufacturing/view/work_order_view.php
  
18-Sep-2008 Janusz Dobrowolski
+ Support for calling external pages during document entry (e.g. for adding customer/supplier/items).
$ /index.php
  /includes/ui/ui_controls.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
  /js/inserts.js
+ Add/view on F4 in customer/supplier selectors
$ /gl/gl_bank.php
+ Add/view on F4 in supplier/items selectors
$ /purchasing/po_entry_items.php
  /inventory/manage/items.php
+ Add/view on F4 in supplier selector
$ /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocation_main.php
  /purchasing/manage/suppliers.php
  /inventory/purchasing_data.php
+ Add/view on F4 in customer selector
  /sales/credit_note_entry.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/allocations/customer_allocation_main.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/manage/customer_branches.php
  /sales/manage/customers.php
# Syntax error introduced in previous update fixed
$ /inventory/prices.php
# Fixed retreiving of exchange rates [0000057]
$ /gl/manage/exchange_rates.php
  /includes/banking.inc
  /includes/ui/ui_view.inc

18-Sep-2008 Joe Hunt
+ New Report - Bank Statement.
$ /reporting/reports_main.php
  /reporting/rep601.php (new file)
  
17-Sep-2008 Joe Hunt
! New PDF tcpdf.php file. Support for cid-0 fonts (Chinese, Japanese, Korean, CJK, Asian fonts) without embedding.
  New cid-0 fonts will be available for download when release 2.0.2 is shipping. Reduces file size enormouusly
$ /reporting/includes/tcpdf.php
! Inventory column option in Report Stock Sheet Check.
$ /reporting/reports_main.php
  /reporting/rep303.php
  
11-Sep-2008 Janusz Dobrowolski
# Fixed slash quotation problems on direct POST values display.
$ /includes/session.inc
  /includes/db/connect_db.inc
# Added missing db_escape on person_id.
$ /gl/includes/db/gl_db_bank_trans.inc
  /gl/includes/db/gl_db_trans.inc
# Added error message and suppressed db update on failed ECB exchange rate read.
$ /includes/ui/ui_view.inc

10-Sep-2008 Janusz Dobrowolski
# Fixed company folders renaming after company remove.
$ /admin/create_coy.php
# Fixed list selectors' behaviour during search.
$ /includes/ui/ui_lists.inc
# Fixed page update after item search. Closes bugs [0000051],[0000054].
$ /inventory/cost_update.php
  /inventory/prices.php
  /inventory/purchasing_data.php
  /inventory/reorder_level.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /inventory/inquiry/stock_status.php
  /inventory/manage/items.php
  /manufacturing/includes/work_order_issue_ui.inc
  /manufacturing/inquiry/where_used_inquiry.php
  /purchasing/includes/ui/po_ui.inc
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc

09-Sep-2008 Joe Hunt
# Bug [0000055] Rasmus detected a cost diff. bug and changed some code for us. Very appreciated.
$ /purchasing/includes/db/invoice_db.inc

------------------------------- Release 2.0.1 --------------------------------------------
07-Sep-2008 Joe Hunt
! Release 2.0.1
$ config.php

05-Sep-2008 Janusz Dobrowolski
# Bug [0000046] Sales invoice not working on some php versions (php bug #40509)
$ /sales/includes/sales_db.inc
  /sales/includes/db/sales_credit_db.inc
! Obsolete code removed
$ /sales/customer_credit_invoice.php

05-Sep-2008 Joe Hunt
# Bug [0000053] Missing GL postings on item issue on Work Order
$ /manufacturing/includes/db/work_order_quick_db.inc
  /manufacturing/includes/db/work_order_issues_db.inc
  /manufacturing/includes/db/work_order_produce_items_db.inc
! Bad layout in aging on report Statements
$ /reporting/rep108.php

04-Sep-2008 Joe Hunt
# Bug [0000050] Invoice no. on all sales reports
$ /reporting/includes/doctext.inc
  /reporting/includes/doctext2.inc
  
04-Sep-2008 Joe Hunt
# Bug [0000052] Inventory Valuation Report
$ /reporting/rep301.php

04-Sep-2008 Joe Hunt
# Bug [0000047] Not possible to view delivery sequence
$ /purchasing/supplier_credit_grns.php
  /purchasing/supplier_invoice_grns.php
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/view/view_po.php
  /purchasing/view/view_supp_credit.php
# Bug [0000048] Crediting invoice and choosing gl account for items to be written off doesn't work  
$ /sales/includes/db/sales_credit_db.inc  

03-Sep-2008 Janusz Dobrowolski
# Fixed fatal error handling in php5
$ /includes/errors.inc
  /includes/session.inc
# Fixed display of errors while saving sales documents
$ /sales/sales_order_entry.php

03-Sep-2008 Joe Hunt
# Bug [0000044] Standard Cost error on credit note. Reopened. Stock Movement forgot the credit note.
$ /inventory/inquiry/stock_movements.php
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/invoice_db.inc

03-Sep-2008 Joe Hunt
# Bug [0000043] Inventory Adjustment Session doesn't update standard cost
# Bug [0000044] Standard Cost error on credit note
$ /inventory/includes/db/items_adjust_db.inc
  /purchasing/includes/db/grn_db.inc
  /purchasing/includes/invoice_db.inc
# Bug [0000045] Cannot close fiscal year 
$ /admin/fiscalyears.php
# Update screen bug in Bank Account Inquiry.
  $ /gl/inquiry/bank_inquiry.php

02-Sep-2008 Joe Hunt
# Bug when selecting report, List of Journal Entries, by type. Nothing selected.
$ /reporting/includes/reports_classes.inc
$ /reporting/rep702.php

01-Sep-2008 Joe Hunt
! Up-to-date translation file (some strings were missing, single quotations in .inc files)
$ /lang/new_language_template/LC_MASSAGES/empty.po
  /lang/en_US/LC_MESSAGES/en_US.mo

31-Aug-2008 Janusz Dobrowolski
+ Added ajax support for file uploading
$ /js/utils.js
# Final fix for logo file upload
$ /admin/company_preferences.php
# Fixed item image file upload
$ /inventory/manage/items.php

30-Aug-2008 Janusz Dobrowolski
! Up to date translation file
$ /lang/new_language_template/LC_MASSAGES/empty.po
# Fixed broken &amp's in backup files [0000040]
$ /admin/db/maintenance_db.inc
# Temporary fix (sync page reload) for uploading logo file
$ /admin/company_preferences.php
-------------------------------2.0 Final --------------------------------------------
21_aug-2008 Joe Hunt
! config.php file. Version changed to 2.0
$ config.php
! Set time out to 120 seconds.
$ /install/save.php
# Removed js warnings on index pages
$ /js/utils.js

20-Aug-2008 Joe Hunt
# Bug [0000037] Price diff and deliveries between po receive and supp invoice. (Again)
$ /includes/db/inventory_db.inc
  /purchase/includes/db/grn_db.inc
  /purchase/includes/db/invoice_db.inc

20-Aug-2008
# [0000041] Voiding PO GRN's could be dangerous, if deliveries have been done. Eliminating it. Use item adjustment with 0 price.
$ /admin/db/voiding_db.inc
# Fixing a minor bug in grn_db.inc
$ /purchasing/includes/db/grn_db.inc 
  
19-Aug-2008 Joe Hunt
# Fixed some color conversion problems in the new PDF Engine
$ /reporting/includes/pdf_report.inc
  /reporting/includes/class.pdf.inc
  
19-Aut-2008 Joe Hunt
! Optimized the textwraplines in pdf_report.inc and header2.inc
  /reporting/includes/pdf_report.inc
  /reporting/includes/header2.inc (This is important to download too!)
  
19-Aug-2008 Joe Hunt
! Replacing the PDF Engine with a slightly modified TCPDF
$ /reporting/fonts/helvetica*.php (new php files)
  /reporting/fonts/*.atm files removed
  /reporting/includes/pdf_report.inc (changed)
  /reporting/includes/class.pdf.inc (changed)
  /reporting/includes/barcodes.php (new file)
  /reporting/includes/htmlcolors.php (new file)
  /reporting/includes/html_entity_decode_php4.php (new file)
  /reporting/includes/tcpdf.php (new file, the PDF engine)
  /reporting/includes/unicode_data2.php (new file, reduced unicode_data.php)
  
18-Aug-2008 Joe Hunt
# Bug [0000038] Voiding a cost update doesn't void even if it says so. There will now be an error msg saying
  that this can not be done. 
$ /admin/db/voiding_db.inc

18-Aug-2008 Joe Hunt
# Bug [0000037] Price diff and deliveries between po receive and supp invoice.
$ /purchase/includes/db/grn_db.inc
  /purchase/includes/db/invoice_db.inc
  
16-Aug-2008 Janusz Dobrowolski
# Fixed first supplier add confirmation [0000039].
$ /purchasing/manage/suppliers.php
# Fixed entering direct documents with date in the past [0000036]
$ /sales/customer_delivery.php
  /sales/includes/cart_class.inc
# Fixed date_picker caching in debug mode
$ /includes/ui/ui_view.inc
# Some focus fixes after user entry error
$ /sales/manage/credit_status.php
  /sales/manage/customer_branches.php
  /sales/manage/sales_areas.php
  /sales/manage/sales_people.php

08-Aug-2008 Joe Hunt
# Wrong email-adress field taken when emailing documents [0000035].
$ /sales/includes/db/cust_trans_db.inc

02-Aug-2008 Joe Hunt
# Use Item Sales Account as default when creating new branch. Customer Branch Sales Account overrides Item Sales Accounts.
$ /sales/manage/customer_branches.php

01-Aug-2008 Joe Hunt
! Customer Dimension overrides an Item Dimension when creating GL transactions
$ /sales/includes/db/customers_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  
31-Jul-2008 Joe Hunt
+ Added a new menu entry after that Bank Payment or Bank Deposit has been processed.
$ /gl/gl_bank.php

30-Jul-2008 Joe Hunt
! Currency selection in Price Listing Report
$ /reporting/rep104.php
  /reporting/reports_main.php
  
28-Jul-2008 Janusz Dobrowolski
# Fixed control buttons reset after record deletion.
$ /admin/fiscalyears.php
  /admin/payment_terms.php
  /admin/shipping_companies.php
  /gl/manage/bank_accounts.php
  /gl/manage/currencies.php
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /inventory/manage/item_categories.php
  /inventory/manage/item_units.php
  /inventory/manage/locations.php
  /inventory/manage/movement_types.php
  /manufacturing/manage/work_centres.php
  /sales/manage/credit_status.php
  /sales/manage/customer_branches.php
  /sales/manage/sales_areas.php
  /sales/manage/sales_people.php
  /sales/manage/sales_types.php
  /taxes/item_tax_types.php
  /taxes/tax_groups.php
  /taxes/tax_types.php

27-Jul-2008 Janusz Dobrowolski
# Fixed record selection on pages using non-numeric selectors with simple_page_mode() helper. 
$ /includes/ui/ui_controls.inc
  /includes/ui/ui_input.inc
  /inventory/manage/item_units.php
# Fixed focus setting on multi-form pages.
$ /js/utils.js
# Fixed ajax reload
$ /manufacturing/work_order_release.php

26-Jul-2008 Janusz Dobrowolski
! Potentially dangerous for whole FA site operations are currently available only for admins of first registered company (site admins).
$ /config.php
  /admin/create_coy.php
  /admin/inst_lang.php
  /admin/inst_module.php
  /includes/current_user.inc
# Small layout fix
  /admin/fiscalyears.php

25-Jul-2008 Joe Hunt
# Minor adjustments
$ /includes/page/header.inc
  /manufacturing/work_order_release.php
  
25-Jul-2008 Joe Hunt
# Default application setting does not work [0000034]
$ /includes/page/header.inc

25-Jul-2008 Joe Hunt
! The built version in config.php now shows the last change date of this file (CHANGELOG.txt).
$ config.php

25-Jul-2008 Joe Hunt
# Missing GL transactions when producing advanced manufacturing [0000032].
$ /manufacturing/includes/db/work_order_produce_items_db.inc

24-Jul-2008 Janusz Dobrowolski
+ Added fatal error handling during ajax calls - [0000003] closed
$ includes/session.inc
# Fixed hints for lists without submit [0000026]
$ includes/ui/ui_lists.inc
# Removed not used file (related to [0000023])
$ sql/basic.sql

24-Jul-2008 Joe Hunt
# Pressing the link in the meta_forward function may result in a blank page.
$ /includes/ui/ui_controls.inc

23-Jul-2008 Joe Hunt
# Increment reference bug in GL Deposit and missing hyperlink parameter.
$ /gl/gl_bank.php
  /gl/includes/gl_bank_ui.inc
  
22-Jul-2008 Janusz Dobrowolski
# Corrected backup maintenance page display during script download.
$ /admin/backups.php

20-Jul-2008 Janusz Dobrowolski
# Corrected reports page display after yesterday change.
$ /reporting/reports_main.php

19-Jul-2008 Janusz Dobrowolski
! Content of js-only pages superseded by the requirement notification in non-js browsers.
$ /admin/backups.php
  /reporting/reports_main.php
+ Support for js only divs/pages.
$ /includes/main.inc
  /includes/ui/ui_controls.inc
  /js/inserts.js
# Fixed page usability in non-js mode.
$ /sales/inquiry/sales_orders_view.php
# Small table view fix
$ /admin/inst_lang.php

18-Jul-2008 Janusz Dobrowolski
+ Added optional processing progressbar for submit buttons
$ /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
  /js/inserts.js
  /themes/aqua/images/progressbar.gif (new)
  /themes/cool/images/progressbar.gif (new)
  /themes/default/images/progressbar.gif (new)
# Fixed database error after empty supplier search result [0000022]
$ /purchasing/supplier_credit.php
  /purchasing/supplier_invoice.php
# Fixed focus after update
$ /admin/company_preferences.php
# Fixed message typo.
$ /admin/create_coy.php
# Fixed line edition layout
$ /inventory/includes/item_adjustments_ui.inc

18-Jul-2008 Joe Hunt
# Parse error fixed [0000021] in customer_credit_invoice.php
$ /sales/customer_credit_invoice.php

15-Jul-2008 Janusz Dobrowolski
# Fixed bug [0000018] - unwanted freight cost reset on page update.
$ /sales/customer_delivery.php

14-Jul-2008 Janusz Dobrowolski
# Fixed bug [0000017] - error while checking qoh
$ /includes/ui/items_cart.inc
  /manufacturing/work_order_issue.php
# Fixed ajax update
$ /gl/manage/gl_accounts.php

13-Jul-2008 Joe Hunt
+ Added GL Summary of Tax Report (rep709.php). Usable only if different Tax Accounts are used.
$ /reporting/rep709.php

12-Jul-2008 Joe Hunt
! Rewrite of Tax Report (rep709.php).
$ /reporting/rep709.php

09-Jul-2008 Janusz Dobrowolski
# Corrections to maximum input lengths
$ /gl/manage/bank_accounts.php
  /gl/manage/gl_account_classes.php
# Fixed spare Back link on restricted pages
$ /includes/session.inc
# Fixed bank_account_types_list()
$ /includes/ui/ui_lists.inc
# Fixed warning about unexisting POST var
$ /sales/manage/customers.php

08-Jul-2008 Janusz Dobrowolski
# Added validation of entered quantities
$ /sales/customer_credit_invoice.php
# Fixed ajax update (0000015) and quantity checks
$ /sales/customer_delivery.php
  /sales/customer_invoice.php
# Fixed invalid voiding sales invoice/delivery/credit (0000016)
$ /sales/includes/db/sales_delivery_db.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/sales_db.inc
# Fixed setting document date to Today() 
$ /sales/includes/cart_class.inc

08-Jul-2008 Joe Hunt
+ Addition in test of duplicate fiscal year
$ /admin/fiscalyears.php

07-Jul-2008 Joe Hunt
# Corrected a subbug in 00000012 (blank page in sales_types.php).
$ /sales/manage/sales_types.php

07-Jul-2008 Janusz Dobrowolski
+ Added ajax
$ /admin/fiscalyears.php
  /inventory/purchasing_data.php
# Corrected factor parameter checking (fixes 00000012)
$ /sales/includes/sales_db.inc
! Changed selector for fiscal year functions to id
$ /admin/db/company_db.inc
# Checking options parameter for combos 
$ /includes/ui/ui_lists.inc

06-Jul-2008 Janusz Dobrowolski
+ Ajax additions
$ /admin/view_print_transaction.php
  /admin/void_transaction.php
  /dimensions/dimension_entry.php
  /manufacturing/work_order_entry.php
  /manufacturing/manage/bom_edit.php
  /sales/manage/customer_branches.php
+ Default value calculated for new prices
$ /inventory/prices.php
+ Optional default value for input_num()
$ /includes/ui/ui_input.inc
+ Submit on change option for currency lists
$ /includes/ui/ui_lists.inc
# factor parameter in get_price() is now optional
$ /sales/includes/sales_db.inc
# Smaller fix to ajax page content update
$ /sales/manage/customers.php

05-Jul-2008 Janusz Dobrowolski
+ Ajax additions
$ /admin/change_current_user_password.php
  /admin/company_preferences.php
  /admin/forms_setup.php
  /admin/gl_setup.php
  /admin/payment_terms.php
  /admin/shipping_companies.php
  /admin/users.php
  /inventory/manage/item_categories.php
  /inventory/manage/item_units.php
  /inventory/manage/locations.php
  /inventory/manage/movement_types.php
  /manufacturing/manage/work_centres.php
  /sales/manage/credit_status.php
  /sales/manage/sales_areas.php
  /sales/manage/sales_people.php
  /sales/manage/sales_types.php
  /taxes/item_tax_types.php
  /taxes/tax_groups.php
  /taxes/tax_types.php
# Gettext fixes
$ /gl/manage/bank_accounts.php
  /gl/manage/bank_trans_types.php
  /gl/manage/currencies.php
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php

04-Jul-2008 Janusz Dobrowolski
+ Ajax additions
  /gl/inquiry/bank_inquiry.php
  /gl/inquiry/gl_account_inquiry.php
  /gl/inquiry/gl_trial_balance.php
  /gl/manage/bank_accounts.php
  /gl/manage/bank_trans_types.php
  /gl/manage/currencies.php
  /gl/manage/exchange_rates.php
  /gl/manage/gl_account_classes.php
  /gl/manage/gl_account_types.php
  /gl/manage/gl_accounts.php
! Changed layout for simple db table editor pages
$ /includes/ui/ui_input.inc
- Removed unused GL account settings.
$ /admin/gl_setup.php
  /admin/db/company_db.inc
  /gl/manage/gl_accounts.php
# Fixed default sales account for customer branch.
$ /admin/gl_setup.php
  /sales/manage/customer_branches.php
# Fixed focus after ajax page reload.
$ /includes/ajax.inc
# Fixed optional submit for yesno and gl_all_accounts lists.
$ /includes/ui/ui_lists.inc

01-Jul-2008 Janusz Dobrowolski
+ Ajax additions
  /gl/bank_transfer.php
  /gl/gl_budget.php
  /gl/gl_journal.php
  /gl/includes/ui/gl_journal_ui.inc
+ Added client side calculations for budget
  /gl/gl_budget.php
  /js/budget.js
# Fixed default POST assigning [fixes 0000009]
  /includes/ui/ui_lists.inc
# Fixed submit type in submit_row()
  /includes/ui/ui_input.inc
# Small display fix
  /gl/manage/currencies.php
! Code cleanup
  /gl/gl_bank.php
  /gl/includes/ui/gl_bank_ui.inc
  /inventory/adjustments.php
  /inventory/transfers.php
  /purchasing/po_entry_items.php
  /sales/sales_order_entry.php
  /sales/credit_note_entry.php

29-Jun-2008 Janusz Dobrowolski
! Rewritten bank deposit/payment related files, added ajax
  /gl/gl_deposit.php (removed)
  /gl/gl_payment.php (removed)
  /gl/gl_bank.php (added)
  /gl/includes/ui/gl_bank_ui.inc (new file)
  /gl/includes/ui/gl_deposit_ui.inc (removed)
  /gl/includes/ui/gl_payment_ui.inc (removed)
  /gl/includes/db/gl_db_banking.inc
  /gl/gl_journal.php
  /manufacturing/search_work_orders.php
  /applications/generalledger.php
+ Added fallback flag for non-js mode only ui elements
$ /js/inserts.js
! Default value from POST for check_box,hidden and text_cells inputs
$ /includes/ui/ui_input.inc
! Rewritten non-sql list selectors
$ /includes/ui/ui_lists.inc
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
! Added trans_type parameter to items_cart()  
$ /includes/ui/items_cart.inc
  /inventory/adjustments.php
  /inventory/transfers.php
  /manufacturing/work_order_issue.php

27-Jun-2008 Janusz Dobrowolski
+ Ajax additions
$ /dimensions/dimension_entry.php
  /dimensions/inquiry/search_dimensions.php
  /manufacturing/work_order_add_finished.php
  /manufacturing/work_order_issue.php
  /manufacturing/work_order_release.php
  /manufacturing/includes/work_order_issue_ui.inc
  /manufacturing/search_work_orders.php
! Default $selected_id=null (ie current $_POST value) for all lists;
   standard view (ie with search box) of stock_component_list()
$ /includes/ui/ui_lists.inc
# Fixed selection for outstanding work orders
$ /manufacturing/search_work_orders.php
# Fixed stock item links
$ /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
# Fixed typo in menu option
$ /applications/manufacturing.php

27-Jun-2008 Joe Hunt
# Minor html adjustment in login.php
$ /access/login.php
# Fixed a bug when trying to create a duplicate year
$ /admin/fiscalyears.php
# Fixed a misspelled parameter (OutstandingOnly) in manufacturing.php
$ /applications/manufacturing.php

26-Jun-2008 Janusz Dobrowolski
+ Ajax additions
$ /includes/ui/ui_lists.inc
  /inventory/adjustments.php
  /inventory/cost_update.php
  /inventory/prices.php
  /inventory/transfers.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /inventory/inquiry/stock_movements.php
  /inventory/manage/items.php
  /manufacturing/work_order_entry.php
  /purchasing/po_entry_items.php
! Changes to items_cart API (line_items indexed by line# instead of stock_id)
$ /includes/ui/items_cart.inc
# Fixed bug 0000008 (call to no more existing function)
$ /sales/includes/db/sales_types_db.inc

25-Jun-2008 Joe Hunt
# Fixed 'div end out of order' in invoice_ui.inc causing the newwave bug with missing menu
$ /purchasing/includes/ui/invoice_ui.inc

25-Jun-2008 Janusz Dobrowolski
# Fixed bug 0000004, removed nested forms in supplier invoice/credit
$ /purchasing/includes/ui/invoice_ui.inc

25-Jun-2008 Joe Hunt
# Fixed bug when updating/saving Tax Group Items
$ /includes/ui/ui_lists.inc

24-Jun-2008 Joe Hunt
# Fixed inconsistencies in customer and supplier aging 
$ /sales/includes/db/customers_db.inc
  /sales/inquiry/customer_inquiry.php
  /purchasing/includes/db/suppliers_db.inc
  /reporting/rep102.php
  /reporting/rep202.php
# Fixed a bug when trying to back the inv.date and due date in Direct Invoicing.
$ /sales/sales_order_entry.php


23-Jun-2008 Janusz Dobrowolski
+ Ajax additions to sales and purchasing modules
$ /purchasing/po_receive_items.php
  /purchasing/supplier_credit.php
  /purchasing/supplier_credit_grns.php
  /purchasing/supplier_invoice.php
  /purchasing/supplier_invoice_grns.php
  /purchasing/supplier_trans_gl.php
  /purchasing/allocations/supplier_allocate.php
  /purchasing/includes/ui/invoice_ui.inc
  /sales/customer_credit_invoice.php
  /sales/allocations/customer_allocate.php
# Fixed edition of purchase order (bug #0000001)
$ /purchasing/includes/ui/po_ui.inc
! Improved client side allocation functions
$ /js/allocate.js
+ Optional coloured price_format()
$ /js/utils.js
  /js/inserts.js
! Async update of locations selector
$ /includes/ui/ui_lists.inc
# Fixed warning on pages without default focus.
$ /includes/ui/ui_controls.inc
# Fixed initial display for numeric inputs with dec=0. 
$ /includes/ui/ui_input.inc

21-Jun-2008 Janusz Dobrowolski
+ Ajax additions to sales and purchasing modules
$ /purchasing/po_entry_items.php
  /purchasing/supplier_payment.php
  /purchasing/allocations/supplier_allocate.php
  /purchasing/includes/ui/po_ui.inc
  /purchasing/inquiry/po_search.php
  /purchasing/inquiry/po_search_completed.php
  /purchasing/inquiry/supplier_allocation_inquiry.php
  /purchasing/inquiry/supplier_inquiry.php
  /purchasing/manage/suppliers.php
  /sales/manage/customers.php

21-Jun-2008 Joe Hunt
+ Added upload functionality to company logo. Better names on lists search.
$ /admin/company_preferences.php
! Better layout on company logo print-out
$ /reporting/includes/header2.inc

---------------------------------------Release Candidate 2-------------------------------
20-Jun-2008 Joe Hunt
! 2.0 Release Candidate 2
$ config.php
  update.html
  
20-Jun-2008 Joe Hunt
! In reorder_level.php the heading gets updated as well
$ /inventory/reorder_level.php
! Changes the -1 to 'User Quantiry Decimals' in the table for units.
$ /inventory/manage/item_units.php

20-Jun-2008 Janusz Dobrowolski
# Proper error handling even after exit() call.
$ /includes/errors.inc
  /includes/main.inc
  /includes/session.inc
# Fixed initial combo selection.
  /includes/ui/ui_lists.inc
# Layout fixes to customer edition.
  /sales/manage/customers.php
# Added order table reload after template option change
  /sales/inquiry/sales_orders_view.php

19-Jun-2008 Janusz Dobrowolski
+ Added ajax improvements
$ /purchasing/allocations/supplier_allocation_main.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/allocations/customer_allocation_main.php
  /sales/manage/customers.php
+ Ajax added to check helper function
$ /includes/ui/ui_input.inc
# Fixing database error in branch exist check on empty customer_id
$ /includes/data_checks.inc
# Layout fix for hyperlink_params_td()
$ /includes/ui/ui_controls.inc
# Fix for initial combo position
$ /includes/ui/ui_lists.inc
# Fix to select onchange extension
$ /js/inserts.js

19-Jun-2008 Joe Hunt
! changed so the due date is updated when changing customer in direct invoice.
$ /sales/includes/ui/sales_order_ui.inc

19-Jun-2008 Joe Hunt
# Minor layout bug at Credit Shipping Costs in customer_credit_invoice.php
$ /sales/customer_credit_invoice.php

18-Jun-2008 Janusz Dobrowolski
+ Added ajax improvements
$ /sales/credit_note_entry.php
  /sales/customer_payments.php
  /sales/sales_order_entry.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/inquiry/customer_allocation_inquiry.php
  /sales/inquiry/customer_inquiry.php
+ Added optional trigger parameter to div_start()
$ /includes/ui/ui_controls.inc
+ Added dec attribute ajax update for amount fields 
$ /includes/ui/ui_input.inc
+ Ajaxified stock item types and credit types lists
$ /includes/ui/ui_lists.inc
# Fixed onblur for amount fields, extended onchange event handling for selects
$ /js/inserts.js
# Fixed addAssign() js handler for nonstandard attributes
$ /js/utils.js
# Fixed bug in stock item image upload
$ /inventory/manage/items.php

17-Jun-2008 Joe Hunt
! More files with Quantity routines needed fix due to php4 related issue.
$ /includes/current_user.inc
  /manufacturing/work_order_entry.php
  /manufacturing/inquiry/where_used_inquiry.php
  /manufacturing/manage/bom_edit.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit_grns.php
  /purchasing/supplier_invoice_grns.php
  /sales/customer_credit_invoice.php
  /sales/includes/ui/sales_order_ui.inc

16-Jun-2008 Joe Hunt
! Changed so Customer's Reference is printed on all sales documents (you can f.i. enter PO number here).
$ /reporting/includes/header2.inc
  /reporting/doctext.inc
  /reporting/doctext2.inc
  
16-Jun-2008 Joe Hunt
! Changed the Quantity routines to use the Item Units decimals if any. A lot of files.
$ /includes/current_user.inc
  /includes/ui/ui_input.inc
  /includes/ui/ui_lists.inc
  /inventory/reorder_level.inc
  /inventory/includes/item_adjustments_ui.inc
  /inventory/includes/stock_transfers_ui.inc
  /inventory/includes/db/items_units_db.inc
  /inventory/inquiry/stock_movements.php
  /inventory/inquiry/stock_status.php
  /inventory/manage/item_units.php
  /inventory/view/view_adjustment.php
  /inventory/view/view_transfer.php
  /manufacturing/search_work_orders.php
  /manufacturing/work_order_entry.php
  /manufacturing/includes/manufacturing_ui.inc
  /manufacturing/includes/work_order_issue_ui.inc
  /manufacturing/inquiry/where_used_inquiry.php
  /manufacturing/manage/bom_edit.php
  /manufacturing/view/wo_issue_view.php
  /manufacturing/view/wo_production_view.php
  /purchasing/po_receive_items.php
  /purchasing/supplier_credit_grns.php
  /purchasing/supplier_invoice_grns.php
  /purchasing/includes/ui/invoice_ui.inc
  /purchasing/includes/ui/po_ui.inc
  /purchasing/view/view_grn.php
  /purchasing/view/view_po.php
  /reporting/rep105.php
  /reporting/rep107.php
  /reporting/rep108.php
  /reporting/rep109.php
  /reporting/rep110.php
  /reporting/rep204.php
  /reporting/rep209.php
  /reporting/rep301.php
  /reporting/rep302.php
  /reporting/rep303.php
  /reporting/rep401.php
  /sales/customer_credit_invoice.php
  /sales/customer_delivery.php
  /sales/customer_invoice.php
  /sales/includes/ui/sales_credit_ui.inc
  /sales/includes/ui/sales_order_ui.inc
  /sales/view/view_credit.php
  /sales/view/view_dispatch.php
  /sales/view/view_invoice.php
  /sales/view/view_sales_order.php
  
15-Jun-2008 Janusz Dobrowolski
+ Ajax driven delivery and order queries.
$ /sales/inquiry/sales_deliveries_view.php
  /sales/inquiry/sales_orders_view.php
+ Added searchbox class selector for text inputs with onchange event handlers.
! Added text selection after focus.
$ /js/inserts.js
  /js/utils.js
+ Added submit_on_change option to ref input functions, fixed data picker
$ /includes/ui/ui_input.inc
# Fixed bug in non-js mode for combos type 0 (stock_items_lists).
$ /includes/ui/ui_lists.inc

15-Jun-2008 Joe Hunt
# Changed so Invoice Template gets the current day instead of original day.
$ /sales/sales_order_entry.php

15-Jun-2008 Joe Hunt
# Bug in tax_types_list (spec_id)
$ /includes/ui/ui_lists.inc

14-Jun-2008 Joe Hunt
# Minor annoying layout bug in stock movements.
$ /inventory/inquiry/stock_movements.php

14-Jun-2008 Joe Hunt
! The Customer Branch Sales Account now overrides the Item Sales Accounts if a Sales Account is here.
  Can now be set to 'Use Item Sales Accounts', which is the first choice in list and default.
! If setting the Customer Branch AR Account to a Bank Account (and hereby also Cash Account) the 
  transactions from Direct Invoice and Credit Note will be allocated immediately when placing.
$ /includes/ui/ui_lists.inc
  /sales/includes/db/sales_invoice_db.inc
  /sales/includes/db/sales_credit_db.inc
  /sales/manage/customer_branches.php
  .
12-Jun-2008 Joe Hunt
+ New inventory sales report. Shows total sales - costs - contribution per category, location, detailed/summary and period.
$ /reporting/reports_main.php
  /reporting/rep304.php (new file)
  
---------------------------------------Release Candidate 1-------------------------------
10-Jun-2008 Janusz Dobrowolski
# Some more fixes related to ajax combos usage
$ /includes/ui/ui_lists.inc
  /inventory/cost_update.php
  /inventory/prices.php
  /inventory/purchasing_data.php
  /inventory/reorder_level.php
  /inventory/includes/item_adjustments_ui.inc
  /inventory/inquiry/stock_status.php
  /manufacturing/inquiry/where_used_inquiry.php
  /manufacturing/manage/bom_edit.php
  /purchasing/includes/ui/po_ui.inc
# Fixed focus issues
$ /gl/gl_journal.php
  /gl/gl_deposit.php
  /gl/gl_payment.php
  /js/inserts.js
  
09-Jun-2008 Janusz Dobrowolski
# Some additional fixes related to last big committment
$ /gl/gl_journal.php
  /gl/gl_deposit.php
  /gl/gl_payment.php
  /includes/ajax.inc
  /includes/reserved.inc
  /includes/ui/ui_lists.inc
  /includes/ui/ui_view.inc
  /js/inserts.js
  /js/utils.js
  /sales/includes/ui/sales_order_ui.inc
  /themes/default/default.css
  /themes/aqua/default.css
  /themes/cool/default.css

08-Jun-2008 Joe Hunt
! Preparing for release candidate 1
$ config.php

08-Jun-2008 Joe Hunt
